<?php

namespace MetodikaTI\Http\Controllers\Back\Liga;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use MetodikaTI\Http\Controllers\Controller;
use MetodikaTI\Http\Requests\Back\Awards\CreateAwardRequest;
use MetodikaTI\League;
use MetodikaTI\PremiacionEachCategory;
use MetodikaTI\PremiacionLugares;

class AwardsController extends Controller
{


    public function create($league_id)
    {

        $league = League::find(base64_decode($league_id));
        $premiacion_each_categories = PremiacionEachCategory::where("league_id", base64_decode($league_id))->first();

        //Si ya existe este catalogo en BD, lo redireccionamos a edit
        if ($premiacion_each_categories != null) {
            return redirect(route('premiacion.edit', $league_id));
        } else {
            return view('back.league.awards.create', array("league" => $league));
        }

    }


    public function store(CreateAwardRequest $request, $id)
    {

        //dd($request->all());

        $response = array('status' => false);
        $league = League::find($id);

        DB::beginTransaction();


        foreach ($league->get_team_and_category_specification->get_categories as $categoryes) {

            $premiacion_each_categories = new PremiacionEachCategory();
            $premiacion_each_categories->league_id = $id;
            $premiacion_each_categories->team_category_id = $categoryes->id;
            $premiacion_each_categories->save();

            //Para regla de '¿Tienes una regla para premios individuales?' solamente es un campo (la validacion es diferente a los demas)
            if ($request->has_how_many_games_needs_to_play_to_choose_an_award[$categoryes->id] == 1) {
                if ($request->how_many_games_needs_to_play_to_choose_an_award[$categoryes->id] > 0 && $request->how_many_games_needs_to_play_to_choose_an_award[$categoryes->id] != "") {
                    $premiacion_each_categories->how_many_games_needs_to_play_to_choose_an_award = $request->how_many_games_needs_to_play_to_choose_an_award[$categoryes->id];
                    $premiacion_each_categories->save();
                }
            }

            //Cuantos equipos premias?
            $premiacion_each_categories->how_many_teams_get_award = $request->how_many_teams_get_award[$categoryes->id];
            $premiacion_each_categories->save();


            //Los premios son por jerarquía??
            $premiacion_each_categories->awards_are_by_hierarchy = $request->awards_are_by_hierarchy[$categoryes->id];
            $premiacion_each_categories->save();


            $i = 0;
            if ($request->has_game_high_by_team[$categoryes->id] == 1) {
                if (isset($request->game_high_by_team[$categoryes->id])) {
                    if (is_array($request->game_high_by_team[$categoryes->id])) {
                        foreach ($request->game_high_by_team[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_by_team";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_by_team_with_handicap[$categoryes->id] == 1) {
                if (isset($request->game_high_by_team_with_handicap[$categoryes->id])) {
                    if (is_array($request->game_high_by_team_with_handicap[$categoryes->id])) {
                        foreach ($request->game_high_by_team_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_by_team_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_by_team[$categoryes->id] == 1) {
                if (isset($request->serie_high_by_team[$categoryes->id])) {
                    if (is_array($request->serie_high_by_team[$categoryes->id])) {
                        foreach ($request->serie_high_by_team[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_by_team";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_by_team_with_handicap[$categoryes->id] == 1) {
                if (isset($request->serie_high_by_team_with_handicap[$categoryes->id])) {
                    if (is_array($request->serie_high_by_team_with_handicap[$categoryes->id])) {
                        foreach ($request->serie_high_by_team_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_by_team_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_award_by_team[$categoryes->id] == 1) {
                if (isset($request->award_by_team[$categoryes->id])) {
                    if (is_array($request->award_by_team[$categoryes->id])) {
                        foreach ($request->award_by_team[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "award_by_team";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }

            $i = 0;
            if ($request->has_game_high_individual_male[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_male[$categoryes->id])) {
                    if (is_array($request->game_high_individual_male[$categoryes->id])) {
                        foreach ($request->game_high_individual_male[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_male";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_male_with_handicap[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_male_with_handicap[$categoryes->id])) {
                    if (is_array($request->game_high_individual_male_with_handicap[$categoryes->id])) {
                        foreach ($request->game_high_individual_male_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_male_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_male[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_male[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_male[$categoryes->id])) {
                        foreach ($request->serie_high_individual_male[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_male";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_male_with_handicap[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_male_with_handicap[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_male_with_handicap[$categoryes->id])) {
                        foreach ($request->serie_high_individual_male_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_male_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_average_individual_male[$categoryes->id] == 1) {
                if (isset($request->average_individual_male[$categoryes->id])) {
                    if (is_array($request->average_individual_male[$categoryes->id])) {
                        foreach ($request->average_individual_male[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "average_individual_male";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_female[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_female[$categoryes->id])) {
                    if (is_array($request->game_high_individual_female[$categoryes->id])) {
                        foreach ($request->game_high_individual_female[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_female";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_female_with_handicap[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_female_with_handicap[$categoryes->id])) {
                    if (is_array($request->game_high_individual_female_with_handicap[$categoryes->id])) {
                        foreach ($request->game_high_individual_female_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_female_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_female[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_female[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_female[$categoryes->id])) {
                        foreach ($request->serie_high_individual_female[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_female";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_female_with_handicap[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_female_with_handicap[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_female_with_handicap[$categoryes->id])) {
                        foreach ($request->serie_high_individual_female_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_female_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_average_individual_female[$categoryes->id] == 1) {
                if (isset($request->average_individual_female[$categoryes->id])) {
                    if (is_array($request->average_individual_female[$categoryes->id])) {
                        foreach ($request->average_individual_female[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "average_individual_female";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_perfect_game[$categoryes->id] == 1) {
                if (isset($request->perfect_game[$categoryes->id])) {
                    if (is_array($request->perfect_game[$categoryes->id])) {
                        foreach ($request->perfect_game[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "perfect_game";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


        }

        DB::commit();
        $response['status'] = true;
        $response["message"] = "Los datos se han almacenado correctamente.";
        $response['url'] = route('rol_de_juegos_create', base64_encode($id));

        return response()->json($response);
    }


    public function edit($id)
    {

        $league = League::find(base64_decode($id));
        $premiacion_each_categories = PremiacionEachCategory::where("league_id", base64_decode($id))->first();
        error_log("premiacion_each_categories => ". $league);
        return view('back.league.awards.edit', array("league" => $league, "premiacion_each_categories" => $premiacion_each_categories));
    }


    public function update(CreateAwardRequest $request, $id)
    {

        $response = array('status' => false);
        $league = League::find($id);

        // error_log("League ===>".$league);

        error_log( "get_team_and_category_specification =>". json_encode($league->get_team_and_category_specification->get_categories) );

        DB::beginTransaction();

        foreach ($league->get_team_and_category_specification->get_categories as $categoryes) {

            
            $premiacion_each_categories = PremiacionEachCategory::where("team_category_id", $categoryes->id)->first();
            error_log( "category => ". $categoryes->id );

            //Para regla de '¿Tienes una regla para premios individuales?' solamente es un campo (la validacion es diferente a los demas)
            if ($request->has_how_many_games_needs_to_play_to_choose_an_award[$categoryes->id] == 1) {
                if ($request->how_many_games_needs_to_play_to_choose_an_award[$categoryes->id] > 0 && $request->how_many_games_needs_to_play_to_choose_an_award[$categoryes->id] != "") {
                    $premiacion_each_categories->how_many_games_needs_to_play_to_choose_an_award = $request->how_many_games_needs_to_play_to_choose_an_award[$categoryes->id];
                    $premiacion_each_categories->save();
                } else {
                    $premiacion_each_categories->how_many_games_needs_to_play_to_choose_an_award = 0;
                    $premiacion_each_categories->save();
                }
            } else {
                error_log($premiacion_each_categories);
                $premiacion_each_categories->how_many_games_needs_to_play_to_choose_an_award = 0;
                $premiacion_each_categories->save();
            }


            //Cuantos equipos premias?
            $premiacion_each_categories->how_many_teams_get_award = $request->how_many_teams_get_award[$categoryes->id];
            $premiacion_each_categories->save();


            //Los premios son por jerarquía??
            $premiacion_each_categories->awards_are_by_hierarchy = $request->awards_are_by_hierarchy[$categoryes->id];
            $premiacion_each_categories->save();


            //Eliminamos todos los premios de cada categoria para agregarlos nuevamente
            PremiacionLugares::where("category_id", $categoryes->id)->delete();
            
            $i = 0;
            if ($request->has_game_high_by_team[$categoryes->id] == 1) {
                if (isset($request->game_high_by_team[$categoryes->id])) {
                    if (is_array($request->game_high_by_team[$categoryes->id])) {
                        foreach ($request->game_high_by_team[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_by_team";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_by_team_with_handicap[$categoryes->id] == 1) {
                if (isset($request->game_high_by_team_with_handicap[$categoryes->id])) {
                    if (is_array($request->game_high_by_team_with_handicap[$categoryes->id])) {
                        foreach ($request->game_high_by_team_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_by_team_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_by_team[$categoryes->id] == 1) {
                if (isset($request->serie_high_by_team[$categoryes->id])) {
                    if (is_array($request->serie_high_by_team[$categoryes->id])) {
                        foreach ($request->serie_high_by_team[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_by_team";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_by_team_with_handicap[$categoryes->id] == 1) {
                if (isset($request->serie_high_by_team_with_handicap[$categoryes->id])) {
                    if (is_array($request->serie_high_by_team_with_handicap[$categoryes->id])) {
                        foreach ($request->serie_high_by_team_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_by_team_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_award_by_team[$categoryes->id] == 1) {
                if (isset($request->award_by_team[$categoryes->id])) {
                    if (is_array($request->award_by_team[$categoryes->id])) {
                        foreach ($request->award_by_team[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "award_by_team";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_male[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_male[$categoryes->id])) {
                    if (is_array($request->game_high_individual_male[$categoryes->id])) {
                        foreach ($request->game_high_individual_male[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_male";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_male_with_handicap[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_male_with_handicap[$categoryes->id])) {
                    if (is_array($request->game_high_individual_male_with_handicap[$categoryes->id])) {
                        foreach ($request->game_high_individual_male_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_male_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_male[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_male[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_male[$categoryes->id])) {
                        foreach ($request->serie_high_individual_male[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_male";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_male_with_handicap[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_male_with_handicap[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_male_with_handicap[$categoryes->id])) {
                        foreach ($request->serie_high_individual_male_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_male_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_average_individual_male[$categoryes->id] == 1) {
                if (isset($request->average_individual_male[$categoryes->id])) {
                    if (is_array($request->average_individual_male[$categoryes->id])) {
                        foreach ($request->average_individual_male[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "average_individual_male";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_female[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_female[$categoryes->id])) {
                    if (is_array($request->game_high_individual_female[$categoryes->id])) {
                        foreach ($request->game_high_individual_female[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_female";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_game_high_individual_female_with_handicap[$categoryes->id] == 1) {
                if (isset($request->game_high_individual_female_with_handicap[$categoryes->id])) {
                    if (is_array($request->game_high_individual_female_with_handicap[$categoryes->id])) {
                        foreach ($request->game_high_individual_female_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "game_high_individual_female_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_female[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_female[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_female[$categoryes->id])) {
                        foreach ($request->serie_high_individual_female[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_female";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_serie_high_individual_female_with_handicap[$categoryes->id] == 1) {
                if (isset($request->serie_high_individual_female_with_handicap[$categoryes->id])) {
                    if (is_array($request->serie_high_individual_female_with_handicap[$categoryes->id])) {
                        foreach ($request->serie_high_individual_female_with_handicap[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "serie_high_individual_female_with_handicap";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_average_individual_female[$categoryes->id] == 1) {
                if (isset($request->average_individual_female[$categoryes->id])) {
                    if (is_array($request->average_individual_female[$categoryes->id])) {
                        foreach ($request->average_individual_female[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "average_individual_female";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


            $i = 0;
            if ($request->has_perfect_game[$categoryes->id] == 1) {
                if (isset($request->perfect_game[$categoryes->id])) {
                    if (is_array($request->perfect_game[$categoryes->id])) {
                        foreach ($request->perfect_game[$categoryes->id] as $team_id => $award) {
                            //Validamos
                            if ($award > 0 && $award != "") {
                                $premiacion_lugares = new PremiacionLugares();
                                $premiacion_lugares->premiacion_each_categories_id = $premiacion_each_categories->id;
                                $premiacion_lugares->category_id = $categoryes->id;
                                $premiacion_lugares->type = "perfect_game";
                                $premiacion_lugares->place = $i;
                                $premiacion_lugares->money_award = $award;
                                $premiacion_lugares->save();
                                $i++;
                            }
                        }
                    }
                }
            }


        }

        DB::commit();
        $response['status'] = true;
        $response["message"] = "Los datos se han almacenado correctamente.";
        $response['url'] = route('premiacion.edit', base64_encode($id));


        return response()->json($response);
    }


}
