<?php

namespace MetodikaTI\Http\Controllers\Back\Liga;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use MetodikaTI\HandicapEachCategory;
use MetodikaTI\Http\Controllers\Controller;
use MetodikaTI\Http\Requests\Back\TeamAndCategory\CreateTeamAndCategorySpecificationRequest;
use MetodikaTI\League;
use MetodikaTI\Library\Pastora;
use MetodikaTI\Rol;
use MetodikaTI\RolTournament;
use MetodikaTI\TeamAndCategorySpecification;
use MetodikaTI\TeamCategory;
use MetodikaTI\TeamEachCategory;
use MetodikaTI\Team;
use MetodikaTI\TeamsAddedInCurrentTournament;
use MetodikaTI\RolTournamentSession;
use MetodikaTI\CategoryRule;

class TeamAndCategorySpecificationController extends Controller
{

    public function create($league_id)
    {

        $league = League::find(base64_decode($league_id));
        $team_and_category_specification = TeamAndCategorySpecification::where("league_id", base64_decode($league_id))->first();

        //Si ya existe este catalogo en BD, lo redireccionamos a edit
        if ($team_and_category_specification != null) {
            return redirect(route('teams.edit', $league_id));
        } else {
            return view('back.league.team_and_category_specification.create', array("league" => $league));
        }

    }


    public function store(CreateTeamAndCategorySpecificationRequest $request, $id)
    {

        $response = array('status' => false);

        

        DB::beginTransaction();

        $team_and_category_specifications = new TeamAndCategorySpecification();

        //Equipos y categorias
        $team_and_category_specifications->league_id = $id;
        //$team_and_category_specifications->quantity_of_teams = $request->quantity_of_teams;

        //if ($request->quantity_of_teams % 2 == 1) {
        //    $team_and_category_specifications->add_dummy_team = $request->add_dummy_team;
        //} else {
        //    $team_and_category_specifications->add_dummy_team = 0;
        //}

        $team_and_category_specifications->is_league_divided_by_categories = $request->is_league_divided_by_categories;

        if ($request->is_league_divided_by_categories == 1) {
            $team_and_category_specifications->quantity_of_categories = $request->quantity_of_categories;
        } else {
            $team_and_category_specifications->quantity_of_categories = 1;
        }


        if ($team_and_category_specifications->save()) {

            //Agregamos las categorias
            foreach ($request->name as $key => $value) {

                $team_categories = new TeamCategory();
                $team_categories->team_and_category_specifications_id = $team_and_category_specifications->id;
                $team_categories->name = $request->name[$key];
                $team_categories->total_teams_in_category = $request->total_teams_in_category[$key];
                $team_categories->is_table_asigned = $request->is_table_asigned[$key];

                if ($request->is_table_asigned[$key] == 1) {
                    $team_categories->table_number_start = $request->table_number_start[$key];
                } else {
                    $team_categories->table_number_start = 0;
                }

                $team_categories->save();

            }


            //Pastora::reload_players($id);


            DB::commit();
            $response['status'] = true;
            $response["message"] = "Los datos se han almacenado correctamente.";
            $response['url'] = route('category_rules_create', base64_encode($id));

        } else {

            DB::rollBack();
            $response['status'] = false;
            $response["message"] = "No hemos podido almacenar los datos, intentalo nuevamente.";

        }

        return response()->json($response);
    }


    public function edit($id)
    {
        $league = League::find(base64_decode($id));
        error_log("EDIT ==> ".$league);
        $team_and_category_specification = TeamAndCategorySpecification::where("league_id", base64_decode($id))->first();

        return view('back.league.team_and_category_specification.edit', array("league" => $league, "team_and_category_specification" => $team_and_category_specification));
    }

    public function equipos( Request $request ){
        $response["mensaje"] = "";
        $response["data"]    = "";

        $teams = Team::all();
        // $teams = DB::table('teams')->get();

        $response["teams"] = $teams;

        return response()->json($response);

    }

    public function check_dummy_in_team( Request $request ){
        $response["mensaje"] = "";
        $response["data"]    = "";

        $team_specification = TeamAndCategorySpecification::where("league_id", $request->id)->first();
        $team_categories    = TeamCategory::where("team_and_category_specifications_id", $team_specification->id)->first();

        // error_log($team_categories);
        //REVISA SI EXISTE DUMMY
        $team_each_categories = TeamEachCategory::where('team_category_id', $team_categories->id)->where('team_id',39)->get();
        //NUMERO DE EQUIPOS ASIGNADOS
        $team_each_category   = count($team_each_categories);//TeamEachCategory::where('team_category_id', $request->id)->count();

        $response["team_each_categories"] = $team_each_categories;
        $response["team_each_category"]   = $team_each_category;

        return response()->json($response);

    }


    public function add_equipo( Request $request ){

        $response["mensaje"] = "";
        $response["data"]    = "";
        $response["status"]  = "";

        $id_equipo   = $request->id;
        $id_liga     = $request->id_liga;
        $week        = $request->week;
        $num_equipos = $request->num_equipos;

        $team_specification = TeamAndCategorySpecification::where("league_id", $request->id_liga)->first();
        $team_categories    = TeamCategory::where("team_and_category_specifications_id", $team_specification->id)->first();

        $team_each_categories = TeamEachCategory::where('team_category_id', $team_categories->id)->where('team_id',39)->get();

        error_log("prueba de dummy". json_encode($team_each_categories) );

        //se comprueba que exista un dummy
        if( count( $team_each_categories ) > 0 ){

            TeamEachCategory::where('team_category_id', $team_categories->id)->where('team_id',39)->update(["team_id" => $id_equipo]);
            
            $rol = Rol::where("league_id", $id_liga)->first();
            $category_rules = CategoryRule::where("league_id", $id_liga)->first();
            $rol_tournament_first_team = RolTournament::where("category_id", $category_rules->id )->where("rol_id",$rol->id)->where("first_team_id",39)->get();
            //se añade un GET para recibir un array pensando en que pudiera haber mas de un eqipo dummy en el dia de juego
            if( count($rol_tournament_first_team) > 0 ){
                $ids = array();
                foreach ($rol_tournament_first_team as $key => $value) {
                    array_push( $ids, $value->id );
                }
                
                $update = RolTournament::whereIn('id', $ids)->update( [ "first_team_id" => $id_equipo ] );

            }
                
            $rol_tournament_second_team = RolTournament::where("category_id", $category_rules->id )->where("rol_id",$rol->id)->where("second_team_id",39)->get();
            //revisa si tiene mas de un dummy en todas las semanas
            if( count($rol_tournament_second_team) > 0 ){

                $ids = array();
                //acumuna los id de los dummy
                foreach ($rol_tournament_second_team as $key => $value) {

                    array_push( $ids, $value->id );

                }   
                
                //update con el nuevo equipo
                $update = RolTournament::whereIn('id', $ids)->update( [ "second_team_id" => $id_equipo ] );
            }

            //AÑADE equipos agregados en torneos actuales, esto para mostrar el handicap
            //Ya que el handicap se empezara a contar desde la semana almacenada

            TeamsAddedInCurrentTournament::where("league_id",$id_liga)->where("type",1)->delete();

            $teams_added_in_current_tournament = new TeamsAddedInCurrentTournament();

            $teams_added_in_current_tournament->team_id   = $id_equipo;
            $teams_added_in_current_tournament->league_id = $id_liga;
            $teams_added_in_current_tournament->week      = $week;
            $teams_added_in_current_tournament->type      = 1; //equipo añadido con torneo iniciado

            $teams_added_in_current_tournament->save();

            
            // $team_and_category_specification = TeamAndCategorySpecification::where("league_id", $id_liga)->update(["quantity_of_teams" => $num_equipos]);
            $team_category = TeamCategory::where("id", $id_liga)->update(["total_teams_in_category" => $num_equipos]);
            // error_log( "team_category===>". $team_category."================= id ".$id_equipo );
            
            //SE LES DA LOS JUEGOS ANTERIORES PERDIDOS AL EQUIPO ASIGNADO - SERIES
            $this->pierde_series_equipo( $week, $id_equipo, $id_liga);

            $response["ids"] = $ids;
            $response["status"] = true;
            $response["url"] = route("jugadores.edit", ["id" => base64_encode( $id_liga ) ]);
            $response["rol_tournament_first_team"] = $rol_tournament_first_team;
            $response["rol_tournament_second_team"] = $rol_tournament_second_team;                        

        }else{
            //si no hay dummy el equipo se registro par

        }

        $response["data"] = $team_each_categories;
        $response["mensaje"] = $request->id;

        return response()->json($response);
    }

    public function pierde_series_equipo( $week,  $id_equipo, $id_liga  ){
        //es la week menos uno ya que RolTournament esta basado en 0

        $rol = Rol::where("league_id",$id_liga)->first();
        //MUESTRA LOS ID DE LAS SEMANAS ANTERIORES A SUSTITUIR AL NUMMY
        $rol_tournaments = RolTournament::where("rol_id", $rol->id)->where("category_id", $id_liga)->where("iterator_week", "<", $week)->whereRaw("(first_team_id = " . $id_equipo . " OR second_team_id = " . $id_equipo . ")")->pluck("id")->toArray();                    
        // $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", 39)->pluck("id")->toArray();
        // $rol_tournament_sessions = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", 39)->get();
        $rol_tournament_sessions_update = RolTournamentSession::whereIn("rol_tournament_id", $rol_tournaments)->where("team_id", 39)->update([ "team_id" => $id_equipo, "win" => 0 ]);    
        //error_log("rol_tournament".print_r($rol_tournament_sessions_update, true));

    }

    public function last_week_of_tournament( Request $request ){

        $response["status"] = false;

        if($request->id_league){

            $rol = Rol::where("league_id", $request->id_league)->first();
            $rol_tournament = RolTournament::where("rol_id", $rol->id)->orderBy('iterator_week', 'desc')->first();
            
            $response["status"] = true;
            $response["rol_tournament"] = $rol_tournament;
    
            return response()->json($response);

        }else{
            $response["status"] = false;
            return response()->json($response);
        }


    }


    public function update(CreateTeamAndCategorySpecificationRequest $request, $id)
    {
        
        $response = array('status' => false);

        // dd($request->all());

        error_log("liga => ".$id);

        TeamsAddedInCurrentTournament::where("league_id",$id)->delete();
        
        DB::beginTransaction();
        
        $team_and_category_specifications = TeamAndCategorySpecification::where("league_id", $id)->first();

        $team_and_category_specifications->is_league_divided_by_categories = $request->is_league_divided_by_categories;

        if ($request->is_league_divided_by_categories == 1) {
            $team_and_category_specifications->quantity_of_categories = $request->quantity_of_categories;
        } else {
            $team_and_category_specifications->quantity_of_categories = 1;
        }


        if ($team_and_category_specifications->save()) {

            //Editamos la información de las categorias
            $current_id_to_edit = array();
            if (isset($request->name_edited)) {

                foreach ($request->name_edited as $key => $value) {

                    $current_id_to_edit[] = $key;

                    $team_categories = TeamCategory::find($key);
                    $team_categories->name = $request->name_edited[$key];
                    $team_categories->total_teams_in_category = $request->total_teams_in_category_edited[$key];
                    $team_categories->is_table_asigned = $request->is_table_asigned_edited[$key];

                    if ($request->is_table_asigned_edited[$key] == 1) {
                        $team_categories->table_number_start = $request->table_number_start_edited[$key];
                    } else {
                        $team_categories->table_number_start = 0;
                    }

                    $team_categories->save();

                }

            }

            //**** Eliminamos las categorias que ya no estan disponibles por ejemplo habian 3 categorias y si edito y solo habran 2 tendria que eliminar la tercer categoria
            $teams_categories_to_deletes = TeamCategory::where("team_and_category_specifications_id", $team_and_category_specifications->id)->whereNotIn("id", $current_id_to_edit)->get();

            foreach ($teams_categories_to_deletes as $team_category) {
                error_log("ELIMINA EQUIPOS QUE YA PERTENEZCAN");
                //Eliminamos los equipos que ya no pertenezcan a la categoria eliminada
                TeamEachCategory::where("team_category_id", $team_category->id)->delete();
                TeamCategory::where("id", $team_category->id)->delete();
                HandicapEachCategory::where("team_category_id", $team_category->id)->delete();

            }

            //**** Agregamos las categorias en caso de que tenga nuevas
            if (isset($request->name)) {
                foreach ($request->name as $key => $value) {

                    $team_categories = new TeamCategory();
                    $team_categories->team_and_category_specifications_id = $team_and_category_specifications->id;
                    $team_categories->name = $request->name[$key];
                    $team_categories->total_teams_in_category = $request->total_teams_in_category[$key];
                    $team_categories->is_table_asigned = $request->is_table_asigned[$key];

                    if ($request->is_table_asigned[$key] == 1) {
                        $team_categories->table_number_start = $request->table_number_start[$key];
                    } else {
                        $team_categories->table_number_start = 0;
                    }

                    $team_categories->save();

                }
            }

            //**** Ahora verificamos que la cantidad de equipos quel que se compondra la liga por cada categoria no halla subfrido algun cambio, por ejmplo si en una categoria
            //antes aceptaba 5 equipos y si edito y ahora solo cepto 2, tendria que eliminar los 3 restantes, de igual manera en caso de que agregue mas cantidad de equipos disponibles
            $team_categories = TeamCategory::where("team_and_category_specifications_id", $team_and_category_specifications->id)->get();
            foreach ($team_categories as $team_category) {

                //Para cada equipo vamos a verificar si vamos a agregar o eliminar
                $team_each_categories = TeamEachCategory::where("team_category_id", $team_category->id)->count();
                error_log( $team_category->total_teams_in_category .">". $team_each_categories );
                if ($team_category->total_teams_in_category > $team_each_categories) {          //si es mayor, vamos a agregar

                    // $total_agregar = $team_category->total_teams_in_category - $team_each_categories;
                    // for ($i = 0; $i < $total_agregar; $i++) {
                    //     $team_each_categories = new TeamEachCategory();
                    //     $team_each_categories->team_category_id = $team_category->id;
                    //     //$team_each_categories->team_name = "";
                    //     $team_each_categories->save();
                    // }
                

                } else if ($team_category->total_teams_in_category < $team_each_categories) {   //si es menor, vamos a eliminar

                    $total_eliminar = $team_each_categories - $team_category->total_teams_in_category;
                    TeamEachCategory::where("team_category_id", $team_category->id)->orderBy("id", "DESC")->take($total_eliminar)->delete();

                }

            }


            //**** En caso de que ya existan equipos asignados, verificamos si va a ser necesario agregar el equipo dumy o no, incluso borrarlo
            $team_and_category_specifications = TeamAndCategorySpecification::where("league_id", $id)->first();
            foreach ($team_and_category_specifications->get_categories as $team_categories) {

                if ($team_categories->get_team_each_category->count() % 2 == 0) {

                    //No ocupamos el equipo dummy, verificamos si existe para borrarlo
                    TeamEachCategory::where("team_category_id", $team_categories->id)->where("team_id", 39)->delete();

                } else {

                    //Ocupamos el equipo dummy, verificamos si existe si no para agregarlo
                    $already_exists_dummy = TeamEachCategory::where("team_category_id", $team_categories->id)->where("team_id", 39)->count();
                    if ($already_exists_dummy <= 0) {
                        //No existe el equipo dummy, lo agregamos
                        $team_each_categories = new TeamEachCategory();
                        $team_each_categories->team_category_id = $team_categories->id;
                        $team_each_categories->team_id = 39;
                        $team_each_categories->alias_team = 0;
                        $team_each_categories->save();
                    }

                }

                //Reordenamos los alias de los equipos, los alias sirven para el rol de juegos
                $team_each_category = TeamEachCategory::where("team_category_id", $team_categories->id)->get();
                foreach ($team_each_category as $key => $team) {
                    $team->alias_team = ($key + 1);
                    $team->save();
                }

            }


            //Eliminamos el rol de juegos ya que puede que no concuerde con los cambios realizados
            $rol = Rol::where("league_id", $id)->first();
            if ($rol != null) {
                RolTournament::where("rol_id", $rol->id)->delete();
                $rol->delete();
            }

            DB::commit();
            $response['status'] = true;
            $response["message"] = "Los datos se han almacenado correctamente. Revisa las 'Reglas de categorías' y el 'Rol de juegos' ya que se generaron cambios en las categorías de los equipos.";
            $response['url'] = route('teams.edit', base64_encode($id));

        } else {

            DB::rollBack();
            $response['status'] = false;
            $response["message"] = "No hemos podido almacenar los datos, intentalo nuevamente.";

        }

        return response()->json($response);
    }


}