<?php

namespace MetodikaTI\Http\Requests\API;

use Illuminate\Foundation\Http\FormRequest;

class UpdateProfileRequest extends FormRequest

{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        
        return [
            "name" => "required",
//            "last_name" => "required",
//            "second_last_name" => "required",
//            "nickname" => "required",
            "birthday" => "required|date_format:d/m/Y",
            "gender" => "required",
//            "city" => "required",
//            "state" => "required",
//            "country" => "required",
//            "nationality" => "required",
//            "nationality_second" => "required",
//            "residence_city" => "required",
            "cellphone" => "required",
            "email" => "required|email|unique:players,email," . $this->player_object->id . ",id",
            "password" => "confirmed",
        ];
    }


    public function messages()
    {
        return [
            "name.required" => "El campo nombre es requerido.",
            "birthday.required" => "El campo fecha de nacimiento es requerido.",
            "birthday.date_format" => "Ingresa el campo de fecha de nacimiento con el formato día/mes/año, ejemplo 26/01/1993.",
            "gender.required" => "El campo genero es requerido.",
            "cellphone.required" => "El campo celular es requerido.",
            "email.required" => "El campo correo electrónico es requerido.",
            "email.email" => "El campo correo electrónico no tiene un formato valido.",
            "email.unique" => "El campo correo electrónico ya se encuentra registrado.",
        ];
    }

}
