<?php

namespace MetodikaTI\Http\Requests\Back\League;

use Illuminate\Foundation\Http\FormRequest;

class LeaguePrincipalInformationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $rules = array();

        $rules["date_league"] = "required";
        $rules["league_name"] = "required";
        $rules["place"] = "required";
        $rules["date_start_league"] = "required";
        $rules["date_end_league"] = "required";
        $rules["hour_start"] = "required";
        $rules["frecuency"] = "required";

        if ($this->lunes == "" && $this->martes == "" && $this->miercoles == "" && $this->jueves == "" && $this->viernes == "" && $this->sabado == "" && $this->domingo == "") {
            $rules["days_available"] = "required";
        }

        if ($this->frecuency == "intervalo_fechas") {
            $rules["interval_dates"] = "required";
        }

        if ($this->frecuency == "semana") {
            $rules["cada_semana"] = "required";
        }

        return $rules;
    }


    public function messages()
    {
        return [
            "date_league.required" => "El campo 'Fecha' es requerido.",
            "league_name.required" => "El campo 'Nombre de la liga' es requerido.",
            "place.required" => "El campo 'Sede' es requerido.",
            "date_start_league.required" => "El campo ' Fecha de inicio' es requerido.",
            "date_end_league.required" => "El campo 'Fecha final' es requerido.",
            "hour_start.required" => "El campo 'Horario' es requerido.",
            "days_available.required" => "Ingresa los días en que se llevará a cabo la liga.",
            "frecuency.required" => "El campo 'Frecuencia' es requerido.",
            "interval_dates.required" => "Ingresa los días disponibles para el intervalo de fechas que tendrá la liga.",
            "cada_semana.required" => "Ingresa cada cuantas semanas tendrá frecuencia la liga.",
        ];
    }


}
