<?php

namespace MetodikaTI\Http\Requests\Back\Players;

use Illuminate\Foundation\Http\FormRequest;

class CreatePlayerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            "name" => "required",
            "birthday" => "required|date_format:d/m/Y",
            "gender" => "required",
            "email" => "required|email|unique:players,email,NULL,id,deleted_at,NULL",
        ];

    }


    public function messages()
    {

        return [
            "gender.required" => "El campo 'Genero' es requerido.",
            "name.required" => "El campo 'Nombre(s)' es requerido.",
            "birthday.required" => "El campo 'Fecha de nacimiento' es requerido.",
            "birthday.date_format" => "El campo 'Fecha de nacimiento' no tiene un valor valido, ingresa una fecha con el formato día/mes/año, ejemplo 26/01/1993.",
            "email.required" => "El campo 'Correo electrónico' es requerido.",
            "email.email" => "El campo 'Correo electrónico' no tiene un formato de correo valido.",
            "email.unique" => "El campo 'Correo electrónico' ya se encuentra registrado en otro jugador.",
        ];

    }

}
