<?php

namespace MetodikaTI\Http\Requests\Back\TeamAndCategory;

use Illuminate\Foundation\Http\FormRequest;

class CreateTeamAndCategorySpecificationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $rules = array();

        //$rules["quantity_of_teams"] = "required|min:0|not_in:0";

        //if ($this->quantity_of_teams % 2 == 2) {
        //    $rules["add_dummy_team"] = "required";
        //}

        $rules["is_league_divided_by_categories"] = "required";

        if ($this->is_league_divided_by_categories == 1) {
            $rules["quantity_of_categories"] = "required|min:0|not_in:0";
        }


        /**************************** Nuevas categorias ****************************/
        if (isset($this->name)) {
            foreach ($this->name as $name) {
                if ($name == null) {
                    $rules["category_name_validate"] = "required";
                }
            }
        }

        if (isset($this->total_teams_in_category)) {
            foreach ($this->total_teams_in_category as $total_teams_in_category) {
                if ($total_teams_in_category == null) {
                    $rules["total_teams_in_category_validate"] = "required";
                }
            }
        }

        if (isset($this->is_table_asigned)) {
            foreach ($this->is_table_asigned as $is_table_asigned) {
                if ($is_table_asigned == null) {
                    $rules["is_table_asigned_validate"] = "required";
                }
            }
        }

        if (isset($this->is_table_asigned)) {
            foreach ($this->is_table_asigned as $key => $value) {
                if ($this->is_table_asigned[$key] == 1) {
                    if ($this->table_number_start[$key] == null) {
                        $rules["table_number_start_validate"] = "required";
                    }
                }
            }
        }


        /**************************** En caso de que edite categorias ****************************/
        if (isset($this->name_edited)) {
            foreach ($this->name_edited as $name) {
                if ($name == null) {
                    $rules["category_name_validate"] = "required";
                }
            }
        }

        if (isset($this->total_teams_in_category_edited)) {
            foreach ($this->total_teams_in_category_edited as $total_teams_in_category) {
                if ($total_teams_in_category == null) {
                    $rules["total_teams_in_category_validate"] = "required";
                }
            }
        }

        if (isset($this->is_table_asigned_edited)) {
            foreach ($this->is_table_asigned_edited as $is_table_asigned) {
                if ($is_table_asigned == null) {
                    $rules["is_table_asigned_validate"] = "required";
                }
            }
        }

        if (isset($this->is_table_asigned_edited)) {
            foreach ($this->is_table_asigned_edited as $key => $value) {
                if ($this->is_table_asigned_edited[$key] == 1) {
                    if ($this->table_number_start_edited[$key] == null) {
                        $rules["table_number_start_validate"] = "required";
                    }
                }
            }
        }


        return $rules;
    }


    public function messages()
    {
        return [
            "quantity_of_teams.required" => "El campo 'Cantidad de equipos que integra la liga' es requerido.",
            "quantity_of_teams.min" => "El campo 'Cantidad de equipos que integra la liga' debe de ser mayor a 0.",
            "quantity_of_teams.not_in" => "El campo 'Cantidad de equipos que integra la liga' debe de ser mayor a 0.",

            "add_dummy_team.required" => "El campo '¿Agregar equipo DUMMY?' es requerido.",
            "is_league_divided_by_categories.required" => "El campo 'Liga dividida en categorías' es requerido.",
            "quantity_of_categories.required" => "El campo 'Cantidad de categorías' es requerido.",
            "quantity_of_categories.min" => "El campo 'Cantidad de categorías' debe de ser mayor a 0.",
            "quantity_of_categories.not_in" => "El campo 'Cantidad de categorías' debe de ser mayor a 0.",

            "category_name_validate.required" => "El campo 'Nombre' para las categorías es requerido.",
            "total_teams_in_category_validate.required" => "El campo 'Número de equipos' para las categorías es requerido.",
            "is_table_asigned_validate.required" => "El campo 'mesas asignadas' para las categorías es requerido.",
            "table_number_start_validate.required" => "El campo 'Mesa inicial' para las categorías es requerido.",
        ];
    }


}
