<?php

namespace MetodikaTI;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class League extends Model
{

    public function get_contacts()
    {
        return $this->hasMany(LeagueContact::class, "league_id", "id");
    }


    public function get_category_rule()
    {
        return $this->hasOne(CategoryRule::class, "league_id", "id");
    }


    public function get_frecuency_custom_leagues()
    {

        $frecuency_custom_leagues = FrecuencyCustomLeague::where("league_id", $this->id)->get();
        $frecuency_custom_leagues_array = "";

        foreach ($frecuency_custom_leagues as $date) {
            $frecuency_custom_leagues_array .= Carbon::createFromFormat("Y-m-d", $date->date_available)->format("d/m/Y") . ",";
        }

        $frecuency_custom_leagues_array = substr($frecuency_custom_leagues_array, 0, strlen($frecuency_custom_leagues_array) - 1);

        return $frecuency_custom_leagues_array;
    }


    public function day_available_formatted()
    {

        $days_available = explode(",", $this->days_available);
        $days_available_fomatted = "";

        if ($days_available[0] == 1) {
            $days_available_fomatted .= "Lunes<br>";
        }

        if ($days_available[1] == 1) {
            $days_available_fomatted .= "Martes<br>";
        }

        if ($days_available[2] == 1) {
            $days_available_fomatted .= "Miércoles<br>";
        }

        if ($days_available[3] == 1) {
            $days_available_fomatted .= "Jueves<br>";
        }

        if ($days_available[4] == 1) {
            $days_available_fomatted .= "Viernes<br>";
        }

        if ($days_available[5] == 1) {
            $days_available_fomatted .= "Sábado<br>";
        }

        if ($days_available[6] == 1) {
            $days_available_fomatted .= "Domingo<br>";
        }

        $days_available_fomatted = substr($days_available_fomatted, 0, strlen($days_available_fomatted) - 4);

        return "<p style='font-size: 12px; margin: 0;'>" . $days_available_fomatted . "</p>";
    }


    public function get_team_and_category_specification()
    {
        return $this->hasOne(TeamAndCategorySpecification::class, "league_id", "id");
    }


    //Opciones para mostrar si ya se hizo ese apartado
    public function set_already_added_informacion_principal()
    {

        $is_available = League::find($this->id);

        return ($is_available != null) ? "already_made" : "";
    }


    public function set_already_added_player_types()
    {

        $is_available = PlayerType::where("league_id", $this->id)->first();

        return ($is_available != null) ? "already_made" : "";
    }


    public function set_already_added_teams_specifications()
    {

        $is_available = TeamAndCategorySpecification::where("league_id", $this->id)->first();

        return ($is_available != null) ? "already_made" : "";
    }


    public function set_already_added_category_rules()
    {

        $is_available = CategoryRule::where("league_id", $this->id)->first();

        return ($is_available != null) ? "already_made" : "";
    }


    public function set_already_added_handycap()
    {

        $is_available = Handicap::where("league_id", $this->id)->first();

        return ($is_available != null) ? "already_made" : "";
    }


    public function set_already_added_players()
    {

        $is_available = PlayerRules::where("league_id", $this->id)->first();

        return ($is_available != null) ? "already_made" : "";
    }


    public function set_already_added_award()
    {

        $is_available = PremiacionEachCategory::where("league_id", $this->id)->first();

        return ($is_available != null) ? "already_made" : "";
    }


    public function is_enable_make_rol_de_juegos()
    {


        $informacion_principal = $this->set_already_added_informacion_principal();
        $player_types = $this->set_already_added_player_types();
        $teams_specifications = $this->set_already_added_teams_specifications();
        $category_rules = $this->set_already_added_category_rules();
        $handycap = $this->set_already_added_handycap();
        //$players = $this->set_already_added_players();
        $award = $this->set_already_added_award();

        if (
            $informacion_principal == "already_made" &&
            $player_types == "already_made" &&
            $teams_specifications == "already_made" &&
            $category_rules == "already_made" &&
            $handycap == "already_made" &&
            //$players == "already_made" &&
            $award == "already_made"
        ) {
            return "enable_to_make enable-to-click";
        } else {
            return "";
        }

    }


    public function get_player_types()
    {
        return $this->hasOne(PlayerType::class, "league_id", "id");
    }


    public function get_rol()
    {
        return $this->hasOne(Rol::class, "league_id", "id");
    }

}
