<?php

namespace MetodikaTI;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Player extends Model
{

    use SoftDeletes;


    public function getPlayerTypeAttribute()
    {

        $age = 99999;
        if ($this->birthday != "") {
            $age = (Carbon::createFromFormat("Y-m-d", $this->birthday))->age;
        }

        if ($this->special == 1) {
            return "special";
        } elseif ($age <= env("AGE_YOUNG")) {
            return "young";
        } elseif (trim($this->gender) == "male") {
            return "male";
        } elseif (trim($this->gender) == "female") {
            return "female";
        } else {
            return "";
        }

    }

}
