<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateHandicapsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('handicaps', function (Blueprint $table) {
            $table->increments('id');

            $table->integer("league_id");
            $table->integer("how_many_games_to_get_new_handicap")->default(0);               //Cuantos juegos debe de jugar un jugador para otener su HC nuevo
            $table->integer("weeks_to_complete_games")->default(0);                          //Semanas para completar sus juegos

            $table->integer("news_players_how_many_games_play_on_first_week")->default(0);   //Cuantos juegos debe de realizar en la primer semana 

            $table->integer("dummy_by_team")->default(0);                                    //Cuantos dummy permites por equipo (osease las faltas)

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('handicaps');
    }
}
