<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePlayerRulesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('player_rules', function (Blueprint $table) {
            $table->increments('id');

            $table->integer("players_start_with_zero_handicap")->default(0);
            $table->date("limit_date_to_register_player");
            $table->integer("can_players_change_between_teams")->default(0);

            //Si "can_players_change_between_teams" == 1
            $table->date("limit_date");
            $table->integer("transfer_player_with_handicap")->default(0);

            //Si "transfer_player_with_handicap" == 0
            $table->integer("how_many_games_needs_to_play_to_recover_handicap")->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('player_rules');
    }
}
