$(document).ready(function () {

    $(this).on("keyup change", "select[name='is_league_divided_by_categories'], input[name='quantity_of_categories']", function (e) {
        draw_sections();
        hide_and_show_quantity_of_categories_section();
    });

    $(this).on("keyup change", "input[name='quantity_of_teams']", function (e) {
        hide_and_show_dummy_section();
        draw_sections();
    });

    $(this).on("change", ".point_by_game", function (e) {
        console.log(1);
        hide_and_show_mesa_asignada();
    });

    draw_sections();
    hide_and_show_dummy_section();
    hide_and_show_quantity_of_categories_section();
    hide_and_show_mesa_asignada();

});


function hide_and_show_dummy_section() {

    var quantity_of_teams = $("input[name='quantity_of_teams']").val();

    if (quantity_of_teams != "") {

        if (parseInt(quantity_of_teams) % 2 == 0) {
            $("#dummy_section").hide(200);
        } else {
            $("#dummy_section").show(200);
        }

    } else {
        $("#dummy_section").hide(200);
    }

}


function hide_and_show_quantity_of_categories_section() {

    var is_league_divided_by_categories = $("select[name='is_league_divided_by_categories']").val();

    if (is_league_divided_by_categories == 1) {
        $("#quantity_of_categories_section").show(200);
    } else {
        $("#quantity_of_categories_section").hide(200);
    }

}


function hide_and_show_mesa_asignada() {
    $(".point_by_game").each(function () {
        var input = $(this);

        if (input.val() == 0) {
            input.parent().parent().parent().find(".table_number_start_section").hide(200);
        } else {
            input.parent().parent().parent().find(".table_number_start_section").show(200);
        }

    });

}


function draw_sections() {
    var is_league_divided_by_categories = $("select[name='is_league_divided_by_categories']").val();
    var quantity_of_categories = $("input[name='quantity_of_categories']").val();
    var total_iteration = 0;

    if (is_league_divided_by_categories == 1) {
        if (quantity_of_categories != "") {
            total_iteration = parseInt(quantity_of_categories);
        } else {
            total_iteration = 0;
        }
    } else {
        total_iteration = 1;
    }


    for (var i = 1; i <= total_iteration; i++) {

        var html_dom = "";
        html_dom += ' <div class="col-md-12 single_category_section" category-row-number="' + i + '">';
        html_dom += '     <div class="row">';
        html_dom += '         <div class="col-md-12">';

        console.log(total_iteration);
        if (total_iteration > 1) {
            html_dom += '             <h6 class="card-title">Categoría ' + i + '</h6>';
        } else {
            html_dom += '             <h6 class="card-title">Categoría única</h6>';
        }

        html_dom += '         </div>';
        html_dom += '         <div class="col-md-5">';
        html_dom += '             <div class="form-group">';
        html_dom += '                 <label>* Nombre</label>';
        html_dom += '                 <input type="text" value="" class="form-control" name="name[]">';
        html_dom += '             </div>';
        html_dom += '         </div>';
        html_dom += '         <div class="col-md-2">';
        html_dom += '             <div class="form-group">';
        html_dom += '                 <label>* Número de equipos</label>';
        html_dom += '                 <input type="number" value="" class="form-control" name="total_teams_in_category[]">';
        html_dom += '             </div>';
        html_dom += '         </div>';
        html_dom += '         <div class="col-md-3">';
        html_dom += '             <div class="form-group">';
        html_dom += '                 <label>* ¿Tiene mesas asignadas?</label>';
        html_dom += '                 <select class="form-control point_by_game" name="is_table_asigned[]">';
        html_dom += '                     <option value="0">No</option>';
        html_dom += '                     <option value="1">Si</option>';
        html_dom += '                 </select>';
        html_dom += '             </div>';
        html_dom += '         </div>';
        html_dom += '         <div class="col-md-2 table_number_start_section" style="display: none;">';
        html_dom += '             <div class="form-group">';
        html_dom += '                 <label>* Mesa inicial</label>';
        html_dom += '                 <input type="number" value="" class="form-control" name="table_number_start[]">';
        html_dom += '             </div>';
        html_dom += '         </div>';
        html_dom += '     </div>';
        html_dom += ' </div>';

        //Si ya existe no lo agregamos
        if ($("div[category-row-number='" + i + "']").length <= 0) {
            $("#categories").append(html_dom);
        }

    }

    //Ahora hacemos una limpia de los  en caso de que hallan de más
    var total_single_category_section = $(".single_category_section").length;
    for (var i = 1; i <= total_single_category_section; i++) {
        if (i > total_iteration) {
            $("div[category-row-number='" + i + "']").remove();
        }
    }

    //Ahora hacemos una limpia de todos los nombres de las categorias 'Categoría unica', 'Categoría 1', 'Categoría 2', 'Categoría 3'
    var total_single_category_section = $(".single_category_section").length;
    if (total_single_category_section > 1) {
        //Quitamos el disabled en caso de tenerlo
        // $("div[category-row-number='1']").find("input[name='total_teams_in_category[]']").prop("disabled", false);
        for (var i = 1; i <= total_single_category_section; i++) {
            $("div[category-row-number='" + i + "']").find(".card-title").text("Categoría " + i);
        }
    } else {
        $("div[category-row-number='1']").find(".card-title").text("Categoría única");
        // $("div[category-row-number='1']").find("input[name='total_teams_in_category[]']").val($("input[name='quantity_of_teams']").val());
        // $("div[category-row-number='1']").find("input[name='total_teams_in_category[]']").prop("disabled", true);
    }

} 