@extends('back.layout.dashboard')

@section('contentTitle', 'Edición de equipo')

@section('topButton')
    <a href="{{ route('team_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                {{ Form::open(['route' => array('team.update', base64_encode($data->id)), 'class' => 'form-horizontal']) }}

                <div class="form-group">
                    <label>* Nombre</label>
                    {{ Form::text('name', $data->name, ['class' => 'form-control text-uppercase']) }}
                </div>

                <div class="form-group">
                    <label>Logo</label>
                    @if($data->image_path != "")
                        <br>
                        <br>
                        <img src="{{ url($data->image_path) }}" style="width: 100%; max-width: 150px; margin-bottom: 10px;">
                        <br>
                    @endif
                    {{ Form::file('image_path', ['class' => 'form-control']) }}
                </div>

                <button type="submit" class="btn btn-primary">Guardar</button>

                {{ Form::close() }}

            </div>
        </div>
    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
