@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')
    {{ $league->id }}
    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('premiacion.update', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Premiación por categorías</h4>
                        <h5 class="card-subtitle">Configuración de premiación</h5>                        
                        
                        <div class="row">
                            <?php $i = 0; ?>
                            @foreach($league->get_team_and_category_specification->get_categories as $key => $categoryes)


                                <div class="col-md-12">
                                    <h5 class="card-title">{{ $categoryes->name }}</h5>
                                </div>

                                {{--General individual--}}
                                <div class="col-md-12">

                                    <div class="row">

                                        <div class="col-md-12">

                                            {{-- Juego Alto por Equipo --}}
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* ¿Tienes una regla para premios individuales?</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_how_many_games_needs_to_play_to_choose_an_award[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($categoryes->get_rule_for_individual_award["how_many_games_needs_to_play_to_choose_an_award"] <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($categoryes->get_rule_for_individual_award["how_many_games_needs_to_play_to_choose_an_award"] > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="form-group">
                                                        <label>* ¿Cuantos juegos debe de jugar para ser elegible para premio?</label> <br>
                                                        <input type="number" class="form-control col-md-2 text-center" name="how_many_games_needs_to_play_to_choose_an_award[{{ $categoryes->id }}]" value="{{ $categoryes->get_rule_for_individual_award["how_many_games_needs_to_play_to_choose_an_award"] }}">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">

                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* ¿Cuántos equipos premias?</label> <br>
                                                        <input type="number" class="form-control col-md-4 text-center" name="how_many_teams_get_award[{{ $categoryes->id }}]" value="{{ $categoryes->get_how_many_teams_get_award["how_many_teams_get_award"] }}">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>¿Los premios son por jerarquía?</label> <br>
                                                        <select class="form-control col-md-3 available_award" style="vertical-align: top;" name="awards_are_by_hierarchy[{{ $categoryes->id }}]">
                                                            <option value="0" <?php echo ($categoryes->get_awards_are_by_hierarchy["awards_are_by_hierarchy"] == 0) ? "selected" : "" ?> >No</option>
                                                            <option value="1" <?php echo ($categoryes->get_awards_are_by_hierarchy["awards_are_by_hierarchy"] == 1) ? "selected" : "" ?> >Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <br>

                                </div>


                                {{--Equipos--}}
                                <div class="col-md-12">

                                    <div class="row">

                                        <div class="col-md-12">
                                            <h5 class="card-subtitle">Equipos</h5>
                                        </div>

                                        <div class="col-md-12">

                                            {{-- Juego Alto por Equipo --}}
                                            <?php
                                            $awards = $categoryes->get_award_game_high_by_team;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego Alto por Equipo</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_game_high_by_team[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="game_high_by_team[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Juego Alto por Equipo con Handicap --}}
                                            <?php
                                            $awards = $categoryes->get_award_game_high_by_team_with_handicap;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego Alto por Equipo con Handicap</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_game_high_by_team_with_handicap[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="game_high_by_team_with_handicap[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Serie Alta por Equipo --}}
                                            <?php
                                            $awards = $categoryes->get_award_serie_high_by_team;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Serie Alta por Equipo</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_serie_high_by_team[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="serie_high_by_team[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Serie Alta por equipo con Handicap --}}
                                            <?php
                                            $awards = $categoryes->get_award_serie_high_by_team_with_handicap;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Serie Alta por equipo con Handicap</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_serie_high_by_team_with_handicap[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="serie_high_by_team_with_handicap[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>


                                            {{-- Premio por equipo --}}
                                            <?php
                                            $awards = $categoryes->get_award_by_team;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Premio por equipo</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_award_by_team[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="award_by_team[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>


                                        </div>

                                    </div>

                                    <br>

                                </div>


                                {{--Varonil--}}
                                <div class="col-md-12">

                                    <div class="row">

                                        <div class="col-md-12">
                                            <h5 class="card-subtitle">Varonil</h5>
                                        </div>

                                        <div class="col-md-12">

                                            {{-- Juego alto individual   --}}
                                            <?php
                                            $awards = $categoryes->get_award_game_high_individual_male;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego alto individual </label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_game_high_individual_male[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="game_high_individual_male[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Juego Alto individual con handicap --}}
                                            <?php
                                            $awards = $categoryes->get_award_game_high_individual_male_with_handicap;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego Alto individual con handicap</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_game_high_individual_male_with_handicap[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="game_high_individual_male_with_handicap[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Serie Alta individual  --}}
                                            <?php
                                            $awards = $categoryes->get_award_serie_high_individual_male;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Serie Alta individual </label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_serie_high_individual_male[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="serie_high_individual_male[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Serie Alta individual con Handicap --}}
                                            <?php
                                            $awards = $categoryes->get_award_serie_high_individual_male_with_handicap;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Serie Alta individual con Handicap</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_serie_high_individual_male_with_handicap[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="serie_high_individual_male_with_handicap[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Promedio individual --}}
                                            <?php
                                            $awards = $categoryes->get_award_average_individual_male;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Promedio individual</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_average_individual_male[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="average_individual_male[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                    </div>

                                    <br>

                                </div>


                                {{--Femenil--}}
                                <div class="col-md-12">

                                    <div class="row">

                                        <div class="col-md-12">
                                            <h5 class="card-subtitle">Femenil</h5>
                                        </div>

                                        <div class="col-md-12">

                                            {{-- Juego alto individual   --}}
                                            <?php
                                            $awards = $categoryes->get_award_game_high_individual_female;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego alto individual </label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_game_high_individual_female[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="game_high_individual_female[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Juego Alto individual con handicap --}}
                                            <?php
                                            $awards = $categoryes->get_award_game_high_individual_female_with_handicap;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego Alto individual con handicap</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_game_high_individual_female_with_handicap[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="game_high_individual_female_with_handicap[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Serie Alta individual  --}}
                                            <?php
                                            $awards = $categoryes->get_award_serie_high_individual_female;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Serie Alta individual </label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_serie_high_individual_female[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="serie_high_individual_female[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Serie Alta individual con Handicap --}}
                                            <?php
                                            $awards = $categoryes->get_award_serie_high_individual_female_with_handicap;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Serie Alta individual con Handicap</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_serie_high_individual_female_with_handicap[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="serie_high_individual_female_with_handicap[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- Promedio individual --}}
                                            <?php
                                            $awards = $categoryes->get_award_average_individual_female;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Promedio individual</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_average_individual_female[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="average_individual_female[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                    </div>

                                    <br>

                                </div>


                                {{--JUEGO PERFECTO--}}
                                <div class="col-md-12">

                                    <div class="row">

                                        <div class="col-md-12">

                                            {{-- Juego alto individual   --}}
                                            <?php
                                            $awards = $categoryes->get_award_perfect_game;
                                            ?>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>* Juego perfecto</label> <br>
                                                        <select class="form-control col-md-4 available_award" style="vertical-align: top;" name="has_perfect_game[{{ $categoryes->id }}]">
                                                            <option value="0" {{ ($awards->count() <= 0)  ? "selected" : "" }}>No</option>
                                                            <option value="1" {{ ($awards->count() > 0)   ? "selected" : "" }}>Si</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-8 quantity_places_content">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <label>* Cuantos </label> <br>
                                                                <input type="number" class="form-control col-md-8 text-center quantity_places" value="{{ $awards->count() }}">
                                                            </div>
                                                        </div>

                                                        <div class="col-md-9">
                                                            <div class="row places_award">

                                                                @foreach($awards as $key => $award)
                                                                    <div class="col-md-3 single_category_section" category-row-number="{{ ($key + 1) }}">
                                                                        <div class="input-group"><label class="text-center col-md-12">{{ ($key + 1) }} º</label>
                                                                            <div class="input-group-append"><span class="input-group-text" id="basic-addon2">$</span></div>
                                                                            <input type="number" class="form-control text-right" placeholder="" aria-label="" aria-describedby="basic-addon2" name="perfect_game[{{ $award->category_id }}][{{ $key }}]" value="{{ $award->money_award }}" step="any">
                                                                        </div>
                                                                    </div>
                                                                @endforeach

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>


                                        </div>

                                    </div>

                                </div>

                                @if( $i < ($league->get_team_and_category_specification->get_categories->count() - 1))
                                    <hr class="w-100">
                                    <br>
                                    <br>
                                @endif

                                <?php $i++; ?>

                            @endforeach

                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>

                        </div>

                    </div>


                </div>
            </div>
        </div>

        {{ Form::close() }}

    </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/awards/edit.js')  }}
@stop
