@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('category_rules.update', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Reglas de categorias y equipos</h4>
                        <h5 class="card-subtitle">Especificación de reglas por categorías y equipos que componen la liga</h5>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Máximo número de integrantes por equipo</label><br>
                                    <input type="number" value="{{ $category_rules->maximum_players_by_team }}" class="form-control col-md-4" name="maximum_players_by_team">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Equipos</h4>

                        <div class="row team_form">

                            @foreach($league->get_team_and_category_specification->get_categories as $key => $categoryes)

                                <div class="col-md-6 category_team_list m-b-30">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5 class="card-subtitle text-left">{{ $categoryes->name }}</h5>
                                        </div>
                                        <div class="col-md-12">

                                            @foreach($categoryes->get_team_each_category as $key => $team_each_category)
                                                @if($team_each_category->team_id != 39)
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group uppercase_selected_2">
                                                                <label>Equipo {{ $key+1 }}</label> <br>
                                                                {!! Form::select("team_name[".$team_each_category->id."][".($key+1)."]", $teams, $team_each_category->team_id, ['class' => 'form-control', 'placeholder' => "Selecciona equipo", 'custom-select' => 'select2']) !!}
                                                            </div>
                                                        </div>
                                                    </div>
                                                @else
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group uppercase_selected_2">
                                                                <label>Equipo {{ $key+1 }}</label> <br>
                                                                {!! Form::select("team_name[".$team_each_category->id."][".($key+1)."]", [39 => "DUMMY"], 39, ['class' => 'form-control','custom-select' => 'select2']) !!}
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endif
                                            @endforeach

                                            @for($i = $categoryes->get_team_each_category->count(); $i < $categoryes->total_teams_in_category; $i++)
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group uppercase_selected_2">
                                                            <label>Equipo {{ $i+1 }}</label> <br>
                                                            {!! Form::select("team_name_nuevo[".$categoryes->id."][".($i+1)."]", $teams, null, ['class' => 'form-control', 'placeholder' => "Selecciona equipo", 'custom-select' => 'select2']) !!}
                                                        </div>
                                                    </div>
                                                </div>
                                            @endfor


                                        </div>
                                    </div>
                                </div>


                            @endforeach

                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            {{ Form::close() }}

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/category_rules/edit.js')  }}
@stop
