@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('jugadores.store', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Configuración de jugadores</h4>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Jugadores inician con handicap en "0"?</label> <br>
                                    <select class="form-control col-md-4" style="vertical-align: top;" name="players_start_with_zero_handicap">
                                        <option value="1">Si</option>
                                        <option value="0">No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Fecha limite para dar de alta un jugador</label> <br>
                                    <input type="text" class="form-control col-md-5 text-center" custom-input='date-input' value="{{ date("d/m/Y") }}" name="limit_date_to_register_player">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>* ¿Permites cambios de jugadores entre los equipos?</label> <br>
                                    <select class="form-control col-md-2" style="vertical-align: top;" name="can_players_change_between_teams">
                                        <option value="0" selected>No</option>
                                        <option value="1">Si</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>* Fecha limite</label> <br>
                                    <input type="text" class="form-control col-md-10 text-center" custom-input='date-input' value="{{ date("d/m/Y") }}" name="limit_date">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Se tranfiere el jugador con el handicap</label> <br>
                                    <select class="form-control col-md-4" style="vertical-align: top;" name="transfer_player_with_handicap">
                                        <option value="0" selected>No</option>
                                        <option value="1">Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6" id="quantity_recover_handicap">
                                <div class="form-group">
                                    <label>* Cuantos juegos debe de jugar para recuperar su nuevo handicap</label> <br>
                                    <input type="number" class="form-control col-md-3" value="" name="how_many_games_needs_to_play_to_recover_handicap">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Jugadores</h4>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Selecciona el equipo</label> <br>
                                <select class="form-control col-md-4" style="vertical-align: top;" name="team_to_choose">
                                    @foreach($league->get_team_and_category_specification->get_categories as $category)
                                        @foreach($category->get_team as $team)
                                            <option value="{{ $team->id }}">{{ $team->team_name }}</option>
                                        @endforeach
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <br>

                        @foreach($league->get_team_and_category_specification->get_categories as $category)
                            @foreach($category->get_team as $team)

                                <div class="vtabs" id="team_{{ $team->id }}">

                                    <ul class="nav nav-tabs tabs-vertical" role="tablist">
                                        @for($i = 0; $i < $maximum_players_by_team; $i++)
                                            <li class="nav-item">
                                                <a class="nav-link {{ ($i == 0) ? "active" : "" }}" data-toggle="tab" href="#jugador_form_{{ $team->id }}_{{ $i }}" role="tab">
                                                    <span class="hidden-xs-down">Jugador {{ $i+1 }}</span>
                                                </a>
                                            </li>
                                        @endfor
                                    </ul>

                                    <!-- Tab panes -->
                                    <div class="tab-content">
                                        @for($i = 0; $i < $maximum_players_by_team; $i++)
                                            <div class="tab-pane {{ ($i == 0) ? "active" : "" }}" id="jugador_form_{{ $team->id }}_{{ $i }}" role="tabpanel">

                                                <h5 class="card-title">{{ $team->team_name }}</h5>
                                                <h5 class="card-subtitle">Jugador {{ $i+1 }}</h5>

                                                <input type="hidden" class="form-control" value="{{ $team->team_name }}" name="jugadores[{{ $team->id }}][{{ $i }}][team_name]">
                                                <input type="hidden" class="reference_name" value="jugadores[{{ $team->id }}][{{ $i }}]">


                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>* Genero</label> <br>
                                                            <select class="form-control" style="vertical-align: top;" name="jugadores[{{ $team->id }}][{{ $i }}][gender]">
                                                                <option value="male" selected>Masculio</option>
                                                                <option value="female">Femenino</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>* Nombre(s)</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][name]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Apellido paterno</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][last_name]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Apellido materno</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][second_last_name]">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>* Alias</label>
                                                            <input type="text" class="form-control " value="" name="jugadores[{{ $team->id }}][{{ $i }}][nickname]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>* Fecha de nacimiento</label> <br>
                                                            <input type="text" class="form-control text-center col-md-6" custom-input='date-input' value="" name="jugadores[{{ $team->id }}][{{ $i }}][birthday]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Handycap inicial</label> <br>
                                                            <input type="number" class="form-control text-center col-md-6" value="0" name="jugadores[{{ $team->id }}][{{ $i }}][handycap_inicial]">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Ciudad</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][city]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Estado</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][state]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>País</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][country]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Nacionalidad</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][nationality]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Ciudad de residencia </label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][residence_city]">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Celular</label>
                                                            <input type="tel" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][cellphone]">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label>Correo electrónico</label>
                                                            <input type="text" class="form-control" value="" name="jugadores[{{ $team->id }}][{{ $i }}][email]">
                                                        </div>
                                                    </div>
                                                </div>


                                            </div>
                                        @endfor
                                    </div>

                                </div>

                            @endforeach
                        @endforeach


                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <br><br>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>


                </div>
            </div>
        </div>

        {{ Form::close() }}

    </div>

    </div>

@stop

@section('JS')
    {{--    {{ Html::script('system/js/form.js')  }}--}}
    {{ Html::script('system/players/create.js')  }}
@stop
