@extends('back.layout.dashboard')

@section('contentTitle', 'Ligas registradas')

@section('topButton')
    @if( $permitions["create"] )
        <a href="{{ route('league_create') }}" class="m-l-15">
            <button type="button" class="btn btn-info d-none d-lg-block"><i class="fa fa-plus-circle"></i> Nueva Liga</button>
        </a>
    @endif
@stop


{{-- Main Content --}}
@section('content_dashboard')
    
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Nombre de la liga</th>
                                <th>Sede</th>
                                <th>Fecha de inicio</th>
                                <th>Fecha final</th>
                                <th>Días de juego</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $item)
                                <tr>
                                    <td>{{ $item->id  }}</td>
                                    <td>{{ $item->league_name  }}</td>
                                    <td>{{ $item->place  }}</td>
                                    <td>{{ date("d/m/Y", strtotime($item->date_start_league))  }}</td>
                                    <td>{{ date("d/m/Y", strtotime($item->date_end_league))  }}</td>
                                    <td>{!! $item->day_available_formatted() !!}</td>
                                    <td>

                                        @if( $permitions["edit"] )
                                            <a href="{{ route('league.edit', base64_encode($item->id)) }}">
                                                <button type="button" class="btn waves-effect waves-light btn-success"><i class="fas fa-edit"></i> Editar</button>
                                            </a>
                                        @endif

                                        @if( $permitions["delete"] )
                                            <a href="{{ route('league.delete',  base64_encode($item->id)) }}" class="btn-delete">
                                                <button type="button" class="btn waves-effect waves-light btn-danger"><i class="fas fa-minus-circle"></i> Eliminar</button>
                                            </a>
                                        @endif

                                        @if($item->get_rol)
                                            @if( $item->get_team_and_category_specification )
                                            <a href="{{ route('asignar_puntaje.create',  [base64_encode($item->id), 0, $item->get_team_and_category_specification->get_categories[0]->id, "ronda_inicial"]) }}">
                                                <button type="button" class="btn waves-effect waves-light btn-info"><i class="fas fa-bowling-ball"></i> Asignar puntaje</button>
                                            </a>
                                            @endif
                                        @else
                                            <button type="button" class="btn waves-effect waves-light btn-info disabled"><i class="fas fa-bowling-ball"></i> Asignar puntaje</button>
                                        @endif

                                    </td>
                                </tr>
                                @endforeach
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@stop

{{-- Page JS --}}
@section('JS')
    {{ Html::script('system/js/table.js')  }}
@stop
