@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        {{ Form::open(['route' => array('rol_de_juegos.update', $league->id), 'class' => 'form-horizontal']) }}

                        <h4 class="card-title">Rol de juegos por categorías</h4>
                        <h5 class="card-subtitle">Generación de rol de juegos</h5>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Cada cuantas semanas hay ronda de posiciones?</label><br>
                                    <input type="number" value="{{ $rol_data->calculate_position }}" class="form-control col-md-4" name="calculate_position">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Hay permiso para faltas de equipos?</label><br>
                                    <select class="form-control col-md-4" name="can_team_ausent">
                                        <option value="no" {{ ($rol_data->can_team_ausent == 0) ? "selected" : "" }}>No</option>
                                        <option value="si" {{ ($rol_data->can_team_ausent == 1) ? "selected" : "" }}>Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4" id="how_many_ausent_section">
                                <div class="form-group">
                                    <label>* ¿Cuantas faltas tienen permitido los equipos?</label><br>
                                    <input type="number" value="{{ $rol_data->how_many_ausent }}" class="form-control col-md-4" name="how_many_ausent">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <button type="button" class="btn btn-info" onclick="refresh_rol_de_juegos();">Reiniciar rol de juegos</button>
                            </div>
                        </div>


                        <hr class="w-100">

                        <div class="row" route-name="{{ route("rol_de_juegos.get_rol", $league->id) }}" id="content_rol">

                            {!! $rol_view !!}

                        </div>

                        <br>
                        <br>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-primary">Guardar y reiniciar</button>
                            </div>
                        </div>

                        {{ Form::close() }}

                    </div>

                </div>

            </div>

        </div>

    </div>

    <div class="sections_step_forms" id="cambios-rol" style="display: none;">

        <div class="content_tab informacion_principal">

            <div class="row">
                
                <div class="col-sm-12">
                    
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Cambios en rol</h4>
                        <h5 class="card-subtitle">Solo se sustituyen los cambios realizados</h5>

                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Semana</th>
                                    <th>Mesa</th>
                                    {{-- <th>Equipo Actual</th> --}}
                                    <th>Equipo Nuevo</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody id="body-cambios-rol">
                                
                            </tbody>
                        </table>
                        <br>
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <button type="button" id="guardar-rol" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>

                    </div>

                </div>

            </div>

        </div>


    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/roles/edit.js')  }}

    <script>        
    
    var league = {!! json_encode( $league ) !!}; 

    var addRolDeJuegos = [];
    function rolDeJuegos( event, category, team_id, home_away, key_partido, key_fechas_torneo, id, semana, mesa ){

        var dataObject = {category:category, home_away: home_away,new_equipo_id: event.value, new_equipo: event.options[event.selectedIndex].text, mesa: mesa, team_id: team_id, id_semana: id, semana:semana };
        
        searchSemana( dataObject );

        addRolDeJuegos.push( dataObject );

        $("#body-cambios-rol").empty();
        for( var team of addRolDeJuegos ){
            console.log( team );
            $("#body-cambios-rol").append("<tr id='"+team.id_semana+"'><td>"+team.semana+"</td><td>"+team.mesa+"</td><td>"+team.new_equipo+"</td><td><i style='cursor:pointer; color:#dc3545;' class='fa fa-trash' aria-hidden='true' onclick='remove( "+team.id_semana+","+team.home_away+" )'></i></td></tr>");
        }

        if( addRolDeJuegos.length > 0 ){
            $("#cambios-rol").show(300);
        }else{
            $("#cambios-rol").hide(300);
        }

        $("#"+dataObject.id_semana).addClass("table-success");
        setTimeout(()=>{
            $("#"+dataObject.id_semana).removeClass("table-success");
        }, 2000);
        
    }


    function rolTest( event, category ){
        console.log( event, category );
    }

    function searchSemana( object ){

        var filtered = addRolDeJuegos.filter(function(value, index, arr){ 
            if( value.id_semana == object.id_semana && value.home_away == object.home_away ){
                addRolDeJuegos.splice(index, 1);
            }
            // return value.id_semana == object.id_semana;
        });

    }

    function remove( id, home_away ){
        var object = {};
        object.id_semana = id;
        object.home_away = home_away;
        searchSemana( object );
        $("#"+id).empty();
        if( addRolDeJuegos.length > 0 ){
            $("#cambios-rol").show(300);
        }else{
            $("#cambios-rol").hide(300);
        }
    }

    $("#guardar-rol").click(function(){

        Swal.fire({
            title: 'Realmente deseas actualizar el rol de juegos?',
            text: "Solo sufriran cambios los enfrentamientos que estan en la tabla.",
            icon: 'error',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'SI',
            cancelButtonText:'NO'
            }).then((result) => {

                if (result.value) {
                    $.ajax({
                        url: '{{ route("rol_de_juegos.edit_rol_team") }}',
                        type: "POST",
                        data: { data: addRolDeJuegos, league_id: league.id },
                        error: function (e) {

                        },  
                        success: function (response) {

                            console.log("RESP", response,{ data: addRolDeJuegos, league_id: league.id });
                            
                            addRolDeJuegos = [];                            
                            $("#body-cambios-rol").empty();
                            $("#cambios-rol").hide(300);

                            Swal.fire(
                                'Rol actualizado!',
                                response.message,
                                'success'
                            );
                        
                        }                         
                    });
                }

            });
            
        });

    </script>
@stop
