@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de liga')

@section('topButton')
    <a href="{{ route('league_index') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
@stop

@section('content_dashboard')

    @include("back.league.top_header_tabs", ["league" => $league])

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            {{ Form::open(['route' => array('teams.store', $league->id), 'class' => 'form-horizontal']) }}

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Equipos y categorías</h4>
                        <h5 class="card-subtitle">Especificación de equipos y categorías en la liga</h5>

                        {{--<div class="row">--}}
                        {{--<div class="col-md-4">--}}
                        {{--<div class="form-group">--}}
                        {{--<label>* Cantidad de equipos que integra la liga </label><br>--}}
                        {{--<input type="number" value="" class="form-control col-md-4" name="quantity_of_teams">--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        {{--<div class="col-md-3" id="dummy_section">--}}
                        {{--<div class="form-group">--}}
                        {{--<label>* ¿Agregar equipo DUMMY?</label><br>--}}
                        {{--<select class="form-control col-md-4" name="add_dummy_team">--}}
                        {{--<option value="0">No</option>--}}
                        {{--<option value="1">Si</option>--}}
                        {{--</select>--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Liga dividida en categorías</label><br>
                                    <select class="form-control col-md-4" name="is_league_divided_by_categories">
                                        <option value="0">No</option>
                                        <option value="1">Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3" id="quantity_of_categories_section">
                                <div class="form-group">
                                    <label>* Cantidad de categorías</label> <br>
                                    <input type="number" value="" class="form-control col-md-4" name="quantity_of_categories">
                                </div>
                            </div>
                        </div>

                        <hr>
                        <br>

                        <h4 class="card-title">Categorías</h4>

                        <div id="categories" class="row">
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Siguiente</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            {{ Form::close() }}

        </div>

    </div>

@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
    {{ Html::script('system/team_category_specification/create.js')  }}
@stop
