<?php

use Illuminate\Http\Request;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::post('do_login', 'API\APIController@do_login');
Route::post('recover_password', 'API\APIController@recover_password');
Route::post('do_register', 'API\APIController@do_register');
Route::post('login_facebook', 'API\APIController@login_facebook');


Route::group(['middleware' => ['auth.app']], function () {
    Route::post('get_profile_data', 'API\APIController@get_profile_data');
    Route::post('update_profile_data', 'API\APIController@update_profile_data');
    Route::post('search_my_leagues', 'API\APIController@search_my_leagues');
    Route::post('get_rol_general', 'API\APIController@get_rol_general');
    Route::post('get_rol_detalle', 'API\APIController@get_rol_detalle');
    Route::post('get_list_week_games', 'API\APIController@get_list_week_games');
    Route::post('get_games_by_date', 'API\APIController@get_games_by_date');
    Route::post('get_games_by_date', 'API\APIController@get_games_by_date');
    Route::post('select_players_in_game', 'API\APIController@select_players_in_game');
    Route::post('save_players_in_game', 'API\APIController@save_players_in_game');
    Route::post('delete_player_in_game', 'API\APIController@delete_player_in_game');
    Route::post('get_game_in_progress', 'API\APIController@get_game_in_progress');
    Route::post('validate_players_selected_by_rol_tournamet', 'API\APIController@validate_players_selected_by_rol_tournamet');
    Route::post('save_puntaje_juego', 'API\APIController@save_puntaje_juego');
    Route::post('rechazar_puntaje_juego', 'API\APIController@rechazar_puntaje_juego');
    Route::post('validar_puntaje_juego', 'API\APIController@validar_puntaje_juego');
    Route::post('get_tabla_de_posiciones', 'API\APIController@get_tabla_de_posiciones');
    Route::post('get_player', 'API\APIController@get_player');
    Route::post('update_nip', 'API\APIController@update_nip');
    Route::post('valida_nip', 'API\APIController@valida_nip');
    Route::post('estadisticas', 'API\APIController@estadisticas');
    Route::post('player_in_games', 'API\APIController@player_in_games');
    /** Conekta **/
    Route::post('create_customer', 'API\APIController@create_customer');
    Route::post('get_cards', 'API\APIController@get_cards');
    Route::post('add_card', 'API\APIController@add_card');
    Route::post('update_card', 'API\APIController@update_card');
    Route::post('delete_card', 'API\APIController@delete_card');
    Route::post('to_pay', 'API\APIController@to_pay');
    
    /** Fin conekta **/
    Route::post('puntuaciones', 'API\APIController@puntuaciones');
    Route::post('puntaje', 'API\APIController@puntaje');
    Route::post('player_in_game_id', 'API\APIController@player_in_game_id');
    Route::post('practicas', 'API\APIController@practicas');
    Route::post('add_practica', 'API\APIController@add_practica');
    Route::post('practicas_play_id', 'API\APIController@practicas_play_id');
    Route::post('add_score', 'API\APIController@add_score');
    Route::post('finalize_score', 'API\APIController@finalize_score');
    Route::post('get_practica_id', 'API\APIController@get_practica_id');
    Route::post('status_practica', 'API\APIController@status_practica');
    Route::post('practica_anterior', 'API\APIController@practica_anterior');
    Route::post('delete_practica', 'API\APIController@delete_practica');
    Route::post('juegos_por_pinos', 'API\APIController@juegos_por_pinos');
    Route::post('score_game', 'API\APIController@score_game');
    Route::post('add_score_for_pines', 'API\APIController@add_score_for_pines');
    Route::post('update_conekta_id', 'API\APIController@update_conekta_id');
    Route::post('upload_imagen', 'API\APIController@upload_imagen');
    Route::post('update_url_img_player', 'API\APIController@update_url_img_player');
    Route::post('status_practica_por_pinos', 'API\APIController@status_practica_por_pinos');
    Route::post('add_game_por_pinos', 'API\APIController@add_game_por_pinos');
    Route::post('tabla_posiciones_individual', 'API\APIController@tabla_posiciones_individual');
    Route::post('ver-puntaje', 'API\APIController@ver_puntaje');
    Route::post('alertas', 'API\APIController@get_alerts_player');  
    Route::post('update-token', 'API\APIController@update_token');  
    Route::post('handicap', 'API\APIController@handicap');  
    Route::post('player_nip', 'API\APIController@player_nip');  
    Route::post('contactos', 'API\APIController@contactos'); 
    Route::post('contacto_nip', 'API\APIController@get_contacto_nip');     
    Route::get('get_ligas_registradas', 'API\APIController@get_ligas_registradas');
    Route::post('premiacion', 'API\APIController@premiacion');   
    Route::post('get_tabla_posiciones_individual', 'API\APIController@get_tabla_posiciones_individual'); 
    Route::post('penalties', 'API\APIController@penalties');    
    Route::post('upload-image', 'API\APIController@upload_images');    
});
