<?php

Route::get('test', 'Back\AccountController@test');

Route::get('/', 'Back\AccountController@getHome')->name('login');
Route::get('change_password/{token}', 'Back\AccountController@change_password');
Route::post('update_password/{token}', 'Back\AccountController@update_password')->name("update_password");


Route::group(['prefix' => 'account'], function () {

    Route::get('logout', 'Back\AccountController@getLogout')->name('admin_logout');
    Route::post('login', 'Back\AccountController@postLogin')->name('admin_login');
    Route::post('password/reset', 'Back\AccountController@postReset')->name('password.reset');
});

Route::group(['middleware' => ['auth']], function () {

    Route::group(['prefix' => 'dashboard'], function () {


        Route::get('/', 'Back\Dashboard\DashboardController@index');


        Route::group(['prefix' => 'system'], function () {


            Route::group(['prefix' => 'user'], function () {
                Route::get('/', 'Back\Dashboard\System\UserController@index')->name('user_index');
                Route::get('create', 'Back\Dashboard\System\UserController@create')->name('user_create_get');
                Route::post('store', 'Back\Dashboard\System\UserController@store')->name('user_create');
                Route::get('edit/{id}', 'Back\Dashboard\System\UserController@edit')->name('user_edit');
                Route::post('update/{id}', 'Back\Dashboard\System\UserController@update')->name('user_update');
                Route::get('delete/{id}', 'Back\Dashboard\System\UserController@destroy')->name('user_delete');

                Route::get('edit_unique/{id}', 'Back\Dashboard\System\UserController@edit_unique')->name('user_unique_edit');
                Route::post('update_unique/{id}', 'Back\Dashboard\System\UserController@update_unique')->name('user_unique_update');

            });


            Route::group(['prefix' => 'profile'], function () {
                Route::get('/', 'Back\Dashboard\System\ProfileController@index')->name('profile_index');
                Route::get('create', 'Back\Dashboard\System\ProfileController@create')->name('profile_create');
                Route::post('store', 'Back\Dashboard\System\ProfileController@store')->name('profile.store');
                Route::get('edit/{id}', 'Back\Dashboard\System\ProfileController@edit')->name('profile.edit');
                Route::post('update', 'Back\Dashboard\System\ProfileController@update')->name('profile.update');
                Route::get('getData', 'Back\Dashboard\System\ProfileController@getData')->name('profile.data');
                Route::get('view/{id}', 'Back\Dashboard\System\ProfileController@show')->name('profile.view');
                Route::get('delete/{id}', 'Back\Dashboard\System\ProfileController@destroy')->name('profile.delete');
            });
        });


        Route::post('check_if_route_is_enabled', 'Back\Liga\LigaController@check_if_route_is_enabled')->name('check_if_route_is_enabled');


        Route::group(['prefix' => 'liga'], function () {
            Route::get('/', 'Back\Liga\LigaController@index')->name('league_index');
            Route::get('create', 'Back\Liga\LigaController@create')->name('league_create');
            Route::post('store', 'Back\Liga\LigaController@store')->name('league.store');
            Route::get('edit/{id?}', 'Back\Liga\LigaController@edit')->name('league.edit');
            Route::post('update/{id}', 'Back\Liga\LigaController@update')->name('league.update');
            Route::get('delete/{id}', 'Back\Liga\LigaController@destroy')->name('league.delete');
            Route::get('delete_contact/{id}', 'Back\Liga\LigaController@delete_contact')->name('delete-contact');
        });


        Route::group(['prefix' => 'asignar_puntaje'], function () {
            Route::get('/{id}/{week_number}/{category_id}/{type}', 'Back\Liga\AsignacionPuntajeController@asignar_puntaje')->name('asignar_puntaje.create');
            Route::post('store/{rol_tournaments_id}/{league_id}/{week_number_pagination}/{category_id}', 'Back\Liga\AsignacionPuntajeController@store')->name('asignar_puntaje.store');
            Route::post('get_tabla_posiciones/{rol_id}/{week_number_pagination}/{category_id}', 'Back\Liga\AsignacionPuntajeController@get_tabla_posiciones')->name('asignar_puntaje.get_tabla_posiciones');
            Route::post('get_tabla_posiciones_json', 'Back\Liga\AsignacionPuntajeController@get_tabla_posiciones_json')->name('asignar_puntaje.get_tabla_posiciones_json');
            Route::post('get_handycap_new_player/{league_id}/{category_id}/{week}', 'Back\Liga\AsignacionPuntajeController@get_handycap_new_player')->name('asignar_puntaje.get_handycap_new_player');
            Route::post( 'premiacion', 'Back\Liga\AsignacionPuntajeController@premiacion')->name('asignar_puntaje.premiacion');
            Route::post( 'quitar_suspencion', 'Back\Liga\AsignacionPuntajeController@quitar_suspencion')->name('asignar_puntaje.quitar_suspencion');
            Route::post( 'quitar_suspencion_equipo', 'Back\Liga\AsignacionPuntajeController@quitar_suspencion_equipo')->name('asignar_puntaje.quitar_suspencion_equipo');
            Route::post( 'handicap', 'Back\Liga\AsignacionPuntajeController@handicap')->name('asignar_puntaje.handicap');            
            Route::post( 'tabla_posiciones_individual', 'Back\Liga\AsignacionPuntajeController@get_tabla_posiciones_individual')->name('asignar_puntaje.get_tabla_posiciones_individual');            
            Route::post( 'tabla_de_puntajes', 'Back\Liga\AsignacionPuntajeController@tabla_de_puntajes')->name('asignar_puntaje.tabla_de_puntajes');            
            Route::post( 'penalties', 'Back\Liga\AsignacionPuntajeController@penalties')->name('asignar_puntaje.penalties');  
            Route::post( 'por_equipo', 'Back\Liga\AsignacionPuntajeController@tabla_por_equipo')->name('asignar_puntaje.tabla_por_equipo');                        
            Route::post( 'por_jugadores', 'Back\Liga\AsignacionPuntajeController@tabla_por_jugador')->name('asignar_puntaje.tabla_por_jugador');
            Route::post( 'por_jugadores_new', 'Back\Liga\AsignacionPuntajeController@tabla_por_jugador_new')->name('asignar_puntaje.tabla_por_jugador_new');                        
            Route::post( 'get_equipos_por_puntualidad', 'Back\Liga\AsignacionPuntajeController@get_equipos_por_puntualidad')->name('asignar_puntaje.get_equipos_por_puntualidad');                        
            Route::post( 'reutilizar_liga', 'Back\Liga\AsignacionPuntajeController@reutilizar_liga')->name('asignar_puntaje.reutilizar_liga');                        

            Route::post( 'por_jugadores_db', 'Back\Liga\AsignacionPuntajeController@tabla_por_jugador_db')->name('asignar_puntaje.tabla_por_jugador_db');
            
        });


        Route::group(['prefix' => 'tipo_jugadores'], function () {
            Route::get('/', 'Back\Liga\PlayersTypeController@index')->name('player_types_index');
            Route::get('create/{league_id?}', 'Back\Liga\PlayersTypeController@create')->name('player_types_create');
            Route::post('store/{id}', 'Back\Liga\PlayersTypeController@store')->name('player_types.store');
            Route::get('edit/{id}', 'Back\Liga\PlayersTypeController@edit')->name('player_types.edit');
            Route::post('update/{id}', 'Back\Liga\PlayersTypeController@update')->name('player_types.update');
        });

        Route::group(['prefix' => 'equipos'], function () {
            Route::get('/', 'Back\Liga\TeamAndCategorySpecificationController@index')->name('teams_index');
            Route::get('create/{league_id?}', 'Back\Liga\TeamAndCategorySpecificationController@create')->name('teams_create');
            Route::post('store/{id}', 'Back\Liga\TeamAndCategorySpecificationController@store')->name('teams.store');
            Route::get('edit/{id}', 'Back\Liga\TeamAndCategorySpecificationController@edit')->name('teams.edit');
            Route::post('update/{id}', 'Back\Liga\TeamAndCategorySpecificationController@update')->name('teams.update');
            Route::post('add_equipo', 'Back\Liga\TeamAndCategorySpecificationController@add_equipo')->name('teams.add_equipo');
            Route::post('check_dummy_in_team', 'Back\Liga\TeamAndCategorySpecificationController@check_dummy_in_team')->name('teams.check_dummy_in_team');            
            Route::post('equipos', 'Back\Liga\TeamAndCategorySpecificationController@equipos')->name('teams.equipos');    
            Route::post('last_week_of_tournament', 'Back\Liga\TeamAndCategorySpecificationController@last_week_of_tournament')->name('teams.last_week_of_tournament');    
                    
        });


        Route::group(['prefix' => 'reglas_categorias'], function () {
            Route::get('/', 'Back\Liga\CategoryRulesController@index')->name('category_rules_index');
            Route::get('create/{league_id?}', 'Back\Liga\CategoryRulesController@create')->name('category_rules_create');
            Route::post('store/{id}', 'Back\Liga\CategoryRulesController@store')->name('category_rules.store');
            Route::get('edit/{id}', 'Back\Liga\CategoryRulesController@edit')->name('category_rules.edit');
            Route::post('update/{id}', 'Back\Liga\CategoryRulesController@update')->name('category_rules.update');
        });


        Route::group(['prefix' => 'handicap'], function () {
            Route::get('/', 'Back\Liga\HandicapController@index')->name('handicap_index');
            Route::get('create/{league_id?}', 'Back\Liga\HandicapController@create')->name('handicap_create');
            Route::post('store/{id}', 'Back\Liga\HandicapController@store')->name('handicap.store');
            Route::get('edit/{id}', 'Back\Liga\HandicapController@edit')->name('handicap.edit');
            Route::post('update/{id}', 'Back\Liga\HandicapController@update')->name('handicap.update');
        });


        Route::group(['prefix' => 'jugadores'], function () {
            Route::get('/', 'Back\Liga\PlayerController@index')->name('jugadores_index');
            Route::get('create/{league_id?}', 'Back\Liga\PlayerController@create')->name('jugadores_create');
            Route::post('store/{id}', 'Back\Liga\PlayerController@store')->name('jugadores.store');
            Route::get('edit/{id}', 'Back\Liga\PlayerController@edit')->name('jugadores.edit');
            Route::post('update/{id}', 'Back\Liga\PlayerController@update')->name('jugadores.update');
        });


        Route::group(['prefix' => 'premiacion'], function () {
            Route::get('/', 'Back\Liga\AwardsController@index')->name('premiacion_index');
            Route::get('create/{league_id?}', 'Back\Liga\AwardsController@create')->name('premiacion_create');
            Route::post('store/{id}', 'Back\Liga\AwardsController@store')->name('premiacion.store');
            Route::get('edit/{id}', 'Back\Liga\AwardsController@edit')->name('premiacion.edit');
            Route::post('update/{id}', 'Back\Liga\AwardsController@update')->name('premiacion.update');
        });


        Route::group(['prefix' => 'rol_de_juegos'], function () {
            Route::get('/', 'Back\Liga\RolesController@index')->name('rol_de_juegos_index');
            Route::get('create/{league_id?}', 'Back\Liga\RolesController@create')->name('rol_de_juegos_create');
            Route::post('store/{id}', 'Back\Liga\RolesController@store')->name('rol_de_juegos.store');
            Route::get('edit/{id}', 'Back\Liga\RolesController@edit')->name('rol_de_juegos.edit');
            Route::post('update/{id}', 'Back\Liga\RolesController@update')->name('rol_de_juegos.update');
            Route::get('get_rol/{league_id}', 'Back\Liga\RolesController@get_rol')->name('rol_de_juegos.get_rol');
            Route::post('edit_rol_team', 'Back\Liga\RolesController@edit_rol_team')->name('rol_de_juegos.edit_rol_team');            
        });


        Route::group(['prefix' => 'catalogo'], function () {

            Route::group(['prefix' => 'equipos'], function () {
                Route::get('/', 'Back\Catalog\EquiposController@index')->name('team_index');
                Route::get('create', 'Back\Catalog\EquiposController@create')->name('team_create');
                Route::post('store', 'Back\Catalog\EquiposController@store')->name('team.store');
                Route::get('edit/{id}', 'Back\Catalog\EquiposController@edit')->name('team.edit');
                Route::post('update/{id}', 'Back\Catalog\EquiposController@update')->name('team.update');
                Route::get('delete/{id}', 'Back\Catalog\EquiposController@destroy')->name('team.delete');
            });

            Route::group(['prefix' => 'jugadores'], function () {
                Route::get('/', 'Back\Catalog\JugadoresController@index')->name('jugador_index');
                Route::get('create', 'Back\Catalog\JugadoresController@create')->name('jugador_create');
                Route::post('store', 'Back\Catalog\JugadoresController@store')->name('jugador.store');
                Route::get('edit/{id}', 'Back\Catalog\JugadoresController@edit')->name('jugador.edit');
                Route::post('update/{id}', 'Back\Catalog\JugadoresController@update')->name('jugador.update');
                Route::get('delete/{id}', 'Back\Catalog\JugadoresController@destroy')->name('jugador.delete');
            });

        });


        Route::group(['prefix' => 'dias-festivos'], function () {
            Route::get('/', 'Back\DiasFestivos\DiasFestivosController@index')->name('dias_festivos_index');
            Route::get('create/{league_id?}', 'Back\DiasFestivos\DiasFestivosController@create')->name('dias_festivos_create');
            Route::post('store', 'Back\DiasFestivos\DiasFestivosController@store')->name('dias_festivos.store');
            Route::get('edit/{id}', 'Back\DiasFestivos\DiasFestivosController@edit')->name('dias_festivos.edit');
            Route::post('update/{id}', 'Back\DiasFestivos\DiasFestivosController@update')->name('dias_festivos.update');
            Route::get('delete/{id}', 'Back\DiasFestivos\DiasFestivosController@destroy')->name('dias_festivos.delete');
        });


    });


});
