<?php $__env->startSection('contentTitle', 'Configuración de liga'); ?>

<?php $__env->startSection('topButton'); ?>
    <a href="<?php echo e(route('league_index')); ?>" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <?php echo $__env->make("back.league.top_header_tabs", ["league" => $league], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <div class="sections_step_forms">

        <div class="content_tab informacion_principal">

            <?php echo e(Form::open(['route' => array('jugadores.update', $league->id), 'class' => 'form-horizontal'])); ?>


            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        <h4 class="card-title">Configuración de jugadores</h4>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* ¿Jugadores inician con handicap en "0"?</label> <br>
                                    <select class="form-control col-md-4" style="vertical-align: top;" name="players_start_with_zero_handicap">
                                        <option value="1" <?php echo e(($player_rules->players_start_with_zero_handicap == 1) ? "selected" : ""); ?>>Si</option>
                                        <option value="0" <?php echo e(($player_rules->players_start_with_zero_handicap == 0) ? "selected" : ""); ?>>No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Fecha limite para dar de alta un jugador</label> <br>
                                    <input type="text" class="form-control col-md-5 text-center" custom-input='date-input' value="<?php echo e(date("d/m/Y", strtotime($player_rules->limit_date_to_register_player))); ?>" name="limit_date_to_register_player">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label>* ¿Permites cambios de jugadores entre los equipos?</label> <br>
                                    <select class="form-control col-md-2" style="vertical-align: top;" name="can_players_change_between_teams">
                                        <option value="0" <?php echo e(($player_rules->can_players_change_between_teams == 0) ? "selected" : ""); ?>>No</option>
                                        <option value="1" <?php echo e(($player_rules->can_players_change_between_teams == 1) ? "selected" : ""); ?>>Si</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row" id="transferencia_jugadores">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label>* Fecha limite</label> <br>
                                    <input type="text" class="form-control col-md-10 text-center" custom-input='date-input' value="<?php echo e(($player_rules->limit_date != null) ? date("d/m/Y", strtotime($player_rules->limit_date)) : date("d/m/Y")); ?>" name="limit_date">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>* Se tranfiere el jugador con el handicap</label> <br>
                                    <select class="form-control col-md-4" style="vertical-align: top;" name="transfer_player_with_handicap">
                                        <option value="0" <?php echo e(($player_rules->transfer_player_with_handicap == 0) ? "selected" : ""); ?>>No</option>
                                        <option value="1" <?php echo e(($player_rules->transfer_player_with_handicap == 1) ? "selected" : ""); ?>>Si</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6" id="quantity_recover_handicap">
                                <div class="form-group">
                                    <label>* Cuantos juegos debe de jugar para recuperar su nuevo handicap</label> <br>
                                    <input type="number" class="form-control col-md-3" value="<?php echo e($player_rules->how_many_games_needs_to_play_to_recover_handicap); ?>" name="how_many_games_needs_to_play_to_recover_handicap">
                                </div>
                            </div>
                        </div>


                        <hr>
                        <br>

                        <h4 class="card-title">Jugadores</h4>
                        
                        <div class="col-md-12 uppercase_selected_2">
                            <div class="form-group">
                                <label>Selecciona el equipo</label> <br>
                                <select class="form-control col-md-4" style="vertical-align: top;" name="team_to_choose" custom-select="select2">
                                    <?php $__currentLoopData = $league->get_team_and_category_specification->get_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php $__currentLoopData = $category->get_team_each_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($team->get_team["id"] != 39): ?>
                                            <?php endif; ?>
                                            <option value="<?php echo e($team->id); ?>"><?php echo e($team->get_team["name"]); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <br>

                        <?php $__currentLoopData = $league->get_team_and_category_specification->get_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $category->get_team_each_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                

                                <div class="vtabs" team-name="<?php echo e($team->get_team["name"]); ?>" id="team_<?php echo e($team->id); ?>">

                                    
                                    <?php $iterator_current_jugadores = 0; ?>
                                    <?php $__currentLoopData = $team->get_player_in_team_each_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $player): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <div class="row uppercase_selected_2">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Jugador <?php echo e($iterator_current_jugadores+1); ?></label> <br>
                                                    <?php echo Form::select("current_jugador[".$player->id."]", $players, $player->player_id, ['class' => 'form-control upper_letter_select', 'placeholder' => "No asignar jugador", 'custom-select-players' => 'select2']); ?>

                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>HandyCap inicial</label> <br>
                                                    <input type="number" class="form-control text-center" value="<?php echo e($player->player_handy_cap_in_tournament); ?>" name="current_jugador_handy_cap[<?php echo e($player->id); ?>]">
                                                </div>
                                            </div>
                                        </div>
                                        <?php $iterator_current_jugadores++; ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    <?php for($i = $iterator_current_jugadores; $i < $league->get_category_rule["maximum_players_by_team"]; $i++): ?>
                                        <div class="row uppercase_selected_2">
                                            <div class="col-md-6">
                                                <div class="form-group player_empty">
                                                    <label>Jugador <?php echo e($i+1); ?></label> <br>
                                                    <?php echo Form::select("nuevos_jugador[".$team->id."][".$i."]", $players, null, ['class' => 'form-control upper_letter_select', 'placeholder' => "No asignar jugador", 'custom-select-players' => 'select2']); ?>

                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="form-group">
                                                    <label>HandyCap inicial</label> <br>
                                                    <input type="number" class="form-control text-center" value="" name="nuevos_jugador_handy_cap[<?php echo e($team->id); ?>][<?php echo e($i); ?>]">
                                                </div>
                                            </div>
                                        </div>
                                    <?php endfor; ?>

                                </div>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <div class="row">
                            <div class="col-md-12 text-right">
                                <br><br>
                                <button type="submit" class="btn btn-primary">Guardar</button>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>

        <?php echo e(Form::close()); ?>


    </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?>

    <?php echo e(Html::script('system/players/create.js')); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>