<?php $__env->startSection('contentTitle', 'Configuración de liga'); ?>

<?php $__env->startSection("CSS"); ?>
    <link href="https://unpkg.com/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://unpkg.com/js-year-calendar@latest/dist/js-year-calendar.min.css"/>
    
    <style>

        @font-face {
            font-family: "Courier Italic";
            src: url("<?php echo e(asset('assets/fonts/Courier_Prime_Code_Italic.ttf')); ?>");
        }

        @font-face {
            font-family: "Courier";
            src: url("<?php echo e(asset('assets/fonts/Courier_Prime_Code.ttf')); ?>");
        }

        @font-face {
            font-family: "PTMono Regular";
            src: url("<?php echo e(asset('assets/fonts/PTMono-Regular.ttf')); ?>");
        }

        @font-face {
            font-family: "Inconsolata";
            src: url("<?php echo e(asset('assets/fonts/Inconsolata-VariableFont_wdth,wght.ttf')); ?>");
        }

        .conteo-suspendido{
            color: #999;
        }
        
        .yellow-table{
            background-color: #ffc107;
            color: #fff;
        }

        .danger-table{
            background-color: #dc3545!important;
            color: #fff;
        }

        .purple-tr{
            background-color: #6f42c1;
            color: #fff;
        }
        .t-posiciones{
            /* font-family: Arial, Helvetica, sans-serif; */
            font-family: "Inconsolata";
        }
        .equipos_tabla{
            color: #0d6efd;
            /* font-weight: bold; */
        }   

        .retroactivo{
            color: #eb65ee;
        }
              
        
    </style>

    <link rel="stylesheet" href="<?php echo e(asset("/template/table_export/css/tableexport.css")); ?>">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

<?php $__env->stopSection(); ?>

<?php $__env->startSection('topButton'); ?>

    <button class="btn btn-danger" onclick="tabla_individual_db()">Test table</button>

    <a href="<?php echo e(route('league_index')); ?>" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button>
    </a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>
    
    <div class="sections_step_forms">

        <div class="informacion_principal">

            <input type="hidden" value="<?php echo e($league->get_player_types["type_game"]); ?>" id="type_game">
            <input type="hidden" value="<?php echo e($league->get_player_types["number_game_by_session"]); ?>" id="number_game_by_session">
            <input type="hidden" value="<?php echo e(route("asignar_puntaje.get_handycap_new_player", [$league->id, $category_id, $week_number])); ?>" id="url_get_handycap">

            <div class="row">
                <div class="col-sm-12">
                    <div class="card card-body m-b-0">

                        
                        <div class="row">
                            <div class="col-md-6 text-left">
                                <?php if($week_number > 0): ?>
                                    <a class="btn btn-success" href="<?php echo e(route('asignar_puntaje.create', array(base64_encode($league->id), $week_number - 1, $category_id, $semana_anterior->type))); ?>">< Anterior</a>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-6 text-right">
                                <?php if($enable_go_to_next_week && $semana_siguiente != null): ?>
                                    <a class="btn btn-success next_page_button" href="<?php echo e(route('asignar_puntaje.create', array(base64_encode($league->id), $week_number + 1, $category_id, $semana_siguiente->type))); ?>" disabled>Siguiente ></a>
                                <?php elseif($semana_siguiente != null): ?>
                                    <a class="btn btn-success next_page_button disabled" href="<?php echo e(route('asignar_puntaje.create', array(base64_encode($league->id), $week_number + 1, $category_id, $semana_siguiente->type))); ?>" disabled>Siguiente ></a>
                                <?php else: ?>
                                    
                                <?php endif; ?>
                            </div>
                        </div>

                        <br>

                        

                        <?php if($juegos_por_semana != null): ?>

                            <?php $__currentLoopData = $juegos_por_semana; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category_id => $week): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <?php $__currentLoopData = $week; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $week_number => $week_content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="row">

                                    <div class="col-lg-6">

                                        <select class="form-control select_category" name="select_category">
                                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($category->id); ?>" <?php echo e(($category->id == $category_id) ? "selected" : ""); ?> redirect-url="<?php echo e(route("asignar_puntaje.create", [base64_encode($league->id), 0, $category->id, "ronda_inicial"])); ?>"><?php echo e($category->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        
    
                                        <h5 class="font-weight-bolder p-l-5">
                                            
                                            <?php if($type == "ronda_inicial"): ?>
                                                Ronda inicial
                                            <?php elseif($type == "partido"): ?>
                                                Partido
                                            <?php elseif($type == "ronda_posiciones_virtual"): ?>
                                                Ronda de posiciones virtual
                                            <?php elseif($type == "ronda_posiciones"): ?>
                                                Ronda de posiciones
                                            <?php elseif($type == "ronda_final"): ?>
                                                Ronda final
                                            <?php endif; ?>
                                        </h5>
                                        
                                        <h5 class="p-l-5">Semana <?php echo e($week_label_number); ?> - <?php echo e(\Carbon\Carbon::createFromFormat("Y-m-d", $week_content["rol_tournament_information"]["date"])->format("d/m/Y")); ?></h5>
    
                                        <br>

                                    </div>

                                    <div class="col-lg-6">
                                        <button class="btn btn-primary puntos-por-puntualidad" style="float: right;" onclick="cerrarLiga()">Finalizar liga</button>
                                    </div>
                                </div>

                                    <ul class="nav nav-tabs mb-3" id="pills-tab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-item nav-link active" id="puntaje-tab_<?php echo e($category_id); ?>" data-toggle="pill" href="#puntaje_<?php echo e($category_id); ?>" role="tab" aria-controls="puntaje_<?php echo e($category_id); ?>" aria-selected="true">Puntaje</a>
                                        </li>
                                        <li class="nav-item">
                                            
                                            <a class="nav-item nav-link tabla_posiciones_button tablas-footer" id="tabla_posiciones-tab_<?php echo e($category_id); ?>" category-id="<?php echo e($category_id); ?>" data-toggle="pill" href="#tabla_posiciones" role="tab" aria-controls="tabla_posiciones" onclick="getTablaDePosiciones()" aria-selected="false">Tabla de posiciones</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-item nav-link tabla_posiciones_individual tablas-footer" data-toggle="pill" href="#tabla_posiciones_individual" role="tab" aria-controls="tabla_posiciones_individual" aria-selected="false" onclick="getLigaConfig()">Tabla de posiciones individuales</a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-item nav-link tabla_premiacion tablas-footer" data-toggle="pill" href="#tabla_premiacion" role="tab" aria-controls="tabla_premiacion" aria-selected="false" onclick="getLigaConfig()">Tablas de premiación</a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-item nav-link tabla_equipos tablas-footer" data-toggle="pill" href="#tabla_equipos" role="tab" aria-controls="tabla_equipos" aria-selected="false" onclick="tablaPorEquipos()">Tabla por equipos</a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-item nav-link tabla_jugadores tablas-footer" data-toggle="pill" href="#tabla_jugadores" role="tab" aria-controls="tabla_jugadores" aria-selected="false" onclick="tablaPorJugadores()">Tabla por jugadores</a>
                                        </li>

                                        
                                    </ul>

                                    <div class="tab-content" id="pills-tabContent">

                                        <div class="tab-pane fade show active" id="puntaje_<?php echo e($category_id); ?>" role="tabpanel" aria-labelledby="puntaje-tab_<?php echo e($category_id); ?>">

                                            <?php $__currentLoopData = $week_content["rol_tournaments"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rivality_teams): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                
                                                <?php if( $rivality_teams->suspended == 1 ): ?>
                                                    <div id="alert-susp-inicial-<?php echo e($rivality_teams->id); ?>">
                                                        <br>
                                                        <div class="alert alert-danger" role="alert">
                                                            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                                            <span class="sr-only">Error:</span>
                                                            PARTIDO SUSPENDIDO
                                                        </div>
                                                    </div>
                                                <?php endif; ?>

                                                <div style="display: none;" id="alert-suspendido-<?php echo e($rivality_teams->id); ?>">
                                                  <br>
                                                  <div class="alert alert-danger" role="alert">
                                                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                                        <span class="sr-only">Error:</span>
                                                        PARTIDO SUSPENDIDO
                                                  </div>
                                                </div>

                                                
                                                
                                                <?php echo e(Form::open(['route' => array('asignar_puntaje.store', $rivality_teams->id, $league->id, $week_number, $category_id), 'class' => 'form-horizontal'])); ?>


                                                <div class="row">

                                                    
                                                    <div class="col-md-6">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <p><?php echo e($rivality_teams["get_first_team"]["name"]); ?> | Mesa <?php echo e($rivality_teams->first_table_number); ?></p>
                                                            </div>
                                                            
                                                            <div class="col-md-12">
                                                                <table class="puntaje_table">
                                                                    <tr>
                                                                        
                                                                        <th class="jugador_name text-left p-l-5">Jugador</th> 
                                                                                                                                                
                                                                        <?php
                                                                        $total_columnas = $league->get_player_types["number_game_by_session"] + 3;
                                                                        ?>

                                                                        <th width="<?php echo e((60/$total_columnas)); ?>%">HC</th>

                                                                        <?php for($juego = 0; $juego < $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <th width="<?php echo e((60/$total_columnas)); ?>%">J<?php echo e($juego+1); ?></th>
                                                                        <?php endfor; ?>

                                                                        <th width="<?php echo e((60/$total_columnas)); ?>%">Total</th>
                                                                        <th width="<?php echo e((60/$total_columnas)); ?>%">Serie</th>

                                                                    </tr>
                                                              

                                                                    <?php $__currentLoopData = $rivality_teams["first_team_players"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $player): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        
                                                                        <tr>                                                                       
                                                                            <td class="text-left p-l-5 text-uppercase">
                                                                                
                                                                                <?php echo e(($player->get_player["nickname"] != "") ? $player->get_player["nickname"] : $player->get_player["name"] . " " . $player->get_player["last_name"] . " " . $player->get_player["second_last_name"]); ?>


                                                                                <?php if($player->player_id < 0 ): ?>
                                                                                    <!-- Single button -->
                                                                                    <div class="btn-group add-dummy <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($category_id); ?>">
                                                                                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                            ADD DUMMY <span class="caret"></span>
                                                                                        </button>
                                                                                        <ul class="dropdown-menu">
                                                                                            <li onclick="selectDummy(1,<?php echo e($rivality_teams->first_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Hombre</li>
                                                                                            <li onclick="selectDummy(2, <?php echo e($rivality_teams->first_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Mujer</li>
                                                                                            <li onclick="selectDummy(3, <?php echo e($rivality_teams->first_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Juvenil</li>
                                                                                            <li role="separator" class="divider"></li>
                                                                                            <li onclick="selectDummy(4, <?php echo e($rivality_teams->first_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Especial</li>
                                                                                            <li onclick="selectDummy(5, <?php echo e($rivality_teams->first_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Cancelar</li>
                                                                                        </ul>
                                                                                    </div>
                                                                                <?php endif; ?>
                                                                            </td>

                                                                            <td>      

                                                                                <?php if( $rivality_teams->iterator_week == 0  ): ?>

                                                                                    <input type="number" is-new_player="<?php echo e((is_null($player["player_handy_cap_in_tournament"]) ? 1 : 0)); ?>" value="<?php echo e($player["player_handy_cap_in_tournament"]); ?>" input_type="hc" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                    name="hc[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" readonly>

                                                                                <?php else: ?>

                                                                                    <input type="number" is-new_player="<?php echo e((is_null($player["player_handy_cap_in_tournament"]) ? 1 : 0)); ?>" value="<?php echo e($player["handycap_calculated"]); ?>" input_type="hc" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                        name="hc[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" readonly>

                                                                                <?php endif; ?>
                                                                                                                                                                
                                                                            </td>

                                                                            
                                                                            
                                                                            <?php if(count($player["rol_tournament_session_points"]) <= 0): ?>
                                                                                <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                                    
                                                                                    
                                                                                    <td>
                                                                                        <?php if($player->get_player['id'] < 0): ?>
                                                                                            <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($player->get_player['id']); ?>_<?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]   " equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" disabled conteo="true">
                                                                                                
                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($player->get_player['id']); ?>_<?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" hidden>
                                                                                        <?php else: ?>
                                                                                            <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($player->get_player['id']); ?>_<?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                               name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" conteo="true">
                                                                                        <?php endif; ?>
                                                                                    </td>
                                                                                <?php endfor; ?>
                                                                            <?php else: ?>
                                                                                <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                                    <td>                                                                                                                                                                             
                                                                                        
                                                                                        <?php if(isset($player["rol_tournament_session_points"][$juego])): ?>
                                                                                            
                                                                                            
                                                                                            <?php if($player->get_player['id'] < 0): ?>
                                                                                                <input type="number" value="<?php echo e($player["rol_tournament_session_points"][$juego]); ?>" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>"  team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" disabled conteo="true">
                                                                                                   
                                                                                                   
                                                                                                <input type="number" value="<?php echo e($player["rol_tournament_session_points"][$juego]); ?>" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>"  player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" hidden>
                                                                                                   
                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_dummy <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>_dummy" input_type="puntaje" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>"  player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                         name="add_dummy[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" hidden>

                                                                                            <?php else: ?>
                                                                                                <input type="number" value="<?php echo e($player["rol_tournament_session_points"][$juego]); ?>" class="input_puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                    name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" conteo="true">
                                                                                            <?php endif; ?>
                                                                                    
                                                                                        <?php else: ?>
                                                                                            <?php if($player->get_player['id'] < 0): ?>
                                                                                                <input type="number" value="" class="input_puntaje" input_type="puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" disabled conteo="true">
                                                                                                                                                                                                   

                                                                                                <input type="number" value="" class="input_puntaje" input_type="puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>"  rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" hidden>

                                                                                                <input type="number" value="" class="input_puntaje" input_type="puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_dummy <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>_dummy" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>"  rol_tournament_id="<?php echo e($rivality_teams->id); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                    name="add_dummy[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" hidden>


                                                                                            <?php else: ?>
                                                                                                <input type="number" value="" class="input_puntaje" input_type="puntaje <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($player->get_player['id']); ?>" team_id="<?php echo e($rivality_teams->first_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                    name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" conteo="true">
                                                                                            <?php endif; ?>
                                                                                        <?php endif; ?>
                                                                                    </td>
                                                                                <?php endfor; ?>
                                                                            <?php endif; ?>

                                                                            <td>
                                                                                <input type="number" value="0" category_id="<?php echo e($category_id); ?>" input_type="serie" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego+1); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                       name="serie[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" readonly>
                                                                            </td>
                                                                            <td>
                                                                                <input type="number" value="0" category_id="<?php echo e($category_id); ?>" input_type="pt" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego+1); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                       name="pt[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_first_team"]['id']); ?>" readonly>
                                                                                       
                                                                            </td>
                                                                            
                                                                        </tr>

                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                                    
                                                                    <tr>
                                                                        <td>Total</td>
                                                                        <td></td>
                                                                        <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <td class="total_juego_<?php echo e($juego); ?>"></td>
                                                                        <?php endfor; ?>
                                                                        <td class="gran_total_total"></td>
                                                                        <td class="gran_total_total"></td>
                                                                    </tr>

                                                                    
                                                                    <tr>
                                                                        <td>HandiCap</td>
                                                                        <td></td>
                                                                        <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <td class="total_hc_<?php echo e($juego); ?>"></td>
                                                                        <?php endfor; ?>
                                                                        <td class="gran_total_hc"></td>
                                                                        <td class="gran_total_hc"></td>
                                                                    </tr>

                                                                    
                                                                    <tr>
                                                                        <td>Total con HC</td>
                                                                        <td></td>
                                                                        <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <td class="total_con_hc_<?php echo e($juego); ?> penalizaciones_<?php echo e($rivality_teams->first_team_id); ?> penati_<?php echo e($rivality_teams->first_team_id); ?>_<?php echo e($juego); ?>"></td>
                                                                        <?php endfor; ?>
                                                                        <td class="gran_total_total_hc penaliza_total_<?php echo e($rivality_teams->first_team_id); ?>_1"></td>
                                                                        <td>
                                                                            <input type="number" class="bg-white penaliza_total_<?php echo e($rivality_teams->first_team_id); ?>_2" value="" category_id="<?php echo e($category_id); ?>" input_type="total" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" name="total[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->first_team_id); ?>]" readonly>
                                                                        </td>
                                                                    </tr>

                                                                    
                                                                    <tr>
                                                                        <td></td>
                                                                        <td></td>
                                                                        <?php for($juego = 0; $juego < $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <?php if(isset($rivality_teams["first_team_rol_tournament_sessions"][$juego])): ?>
                                                                                <?php if(!is_null($rivality_teams["first_team_rol_tournament_sessions"][$juego])): ?>
                                                                                    <td class="status_game_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">
                                                                                        <?php if($rivality_teams["first_team_rol_tournament_sessions"][$juego]->win == 1): ?>
                                                                                            <i class="fas fa-star winner_icon"></i>
                                                                                        <?php else: ?>
                                                                                            <i class="fas fa-times loss_icon"></i>
                                                                                        <?php endif; ?>
                                                                                    </td>
                                                                                <?php else: ?>
                                                                                    <td class="status_game_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams["get_first_team"]["id"]); ?>"></td>
                                                                                <?php endif; ?>
                                                                            <?php else: ?>
                                                                                <td class="status_game_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams["get_first_team"]["id"]); ?>"></td>
                                                                            <?php endif; ?>
                                                                        <?php endfor; ?>
                                                                        <td></td>
                                                                        <td class="status_serie" team_id="<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">
                                                                            <?php if(!is_null($rivality_teams->first_team_win_serie)): ?>
                                                                                <?php if($rivality_teams->first_team_win_serie >= 1): ?>
                                                                                    <i class="fas fa-star winner_icon"></i>
                                                                                <?php else: ?>
                                                                                    <i class="fas fa-times loss_icon"></i>
                                                                                <?php endif; ?>
                                                                            <?php endif; ?>
                                                                        </td>
                                                                    </tr>

                                                                </table>
                                                                
                                                                <?php if( $rivality_teams->first_team_suspended == 1 ): ?>
                                                                    <div class="row" id="first-suspended-<?php echo e($rivality_teams->id); ?>">
                                                                        <div class="col-md-9">

                                                                            <br>
                                                                            <div class="alert alert-warning" role="alert">
                                                                                <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                                                                <span class="sr-only">Error:</span>
                                                                                EL EQUIPO NO ASISTIO AL JUEGO
                                                                            </div>

                                                                        </div>

                                                                        <input type="checkbox" checked="true" hidden name="no_asistio_first" value="<?php echo e($rivality_teams["get_first_team"]["id"]); ?>" class="no-asisitio" id="no_asisitio_first_<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">
                                                                        
                                                                        <?php if( $rivality_teams["type"] != "ronda_posiciones_virtual" ): ?>
                                                                            
                                                                            <div class="col-md-3" style="margin-top: 4px;">
                                                                                <br>                                                                            
                                                                                <button type="button" class="btn btn-success" onclick='quitarFalta( <?php echo e($rivality_teams["get_first_team"]["id"]); ?>, "<?php echo e($rivality_teams["get_first_team"]["name"]); ?>",<?php echo e($rivality_teams["id"]); ?>, 1 )'>Quitar falta</button>
                                                                            </div>

                                                                        <?php endif; ?>
                                                                    </div>
                                                                <?php endif; ?>
                                                                
                                                                <?php if( $rivality_teams->first_team_suspended == 1 ): ?>
                                                                    
                                                                    <input hidden checked type="checkbox" name="no_asistio_first" onclick="noAsistio( <?php echo e($rivality_teams['get_first_team']); ?>, <?php echo e($rivality_teams['get_second_team']); ?>, 1, <?php echo e($rivality_teams->id); ?> )" value="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>" class="no-asisitio" id="no_asisitio_first_<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">
                                                                    
                                                                <?php endif; ?>
                                                                
                                                                <?php if( $rivality_teams->first_team_suspended == 0 ): ?>
                                                                    <br>
                                                                    <div class="checkbox" id="check_no_<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">
                                                                        <label>
                                                                            <input type="checkbox" name="no_asistio_first" onclick="noAsistio( <?php echo e($rivality_teams['get_first_team']); ?>, <?php echo e($rivality_teams['get_second_team']); ?>, 1, <?php echo e($rivality_teams->id); ?> )" value="<?php echo e($rivality_teams["get_first_team"]["id"]); ?>" class="no-asisitio" id="no_asisitio_first_<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">  No asistió
                                                                        </label>
                                                                    </div>
                                                                <?php endif; ?>

                                                            </div>
                                                            
                                                        </div>
                                                    </div>                                                    

                                                    
                                                    <div class="col-md-6">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <p><?php echo e($rivality_teams["get_second_team"]["name"]); ?> | Mesa <?php echo e($rivality_teams->second_table_number); ?></p>
                                                            </div>                                                            

                                                            <div class="col-md-12">
                                                                <table class="puntaje_table">
                                                                    <tr>

                                                                        <th class="jugador_name text-left p-l-5">Jugador</th> 

                                                                        <?php
                                                                        $total_columnas = $league->get_player_types["number_game_by_session"] + 3;
                                                                        ?>


                                                                        <th width="<?php echo e((60/$total_columnas)); ?>%">HC</th>

                                                                        <?php for($juego = 0; $juego < $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <th width="<?php echo e((60/$total_columnas)); ?>%">J<?php echo e($juego+1); ?></th>
                                                                        <?php endfor; ?>

                                                                        <th width="<?php echo e((60/$total_columnas)); ?>%">Total</th>
                                                                        <th width="<?php echo e((60/$total_columnas)); ?>%">Serie</th>

                                                                    </tr>
                                                                    

                                                                    <?php $__currentLoopData = $rivality_teams["second_team_players"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $player): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                                        <tr>
                                                                            <td class="text-left p-l-5 text-uppercase">
                                                                                <?php echo e(($player->get_player["nickname"] != "") ? $player->get_player["nickname"] : $player->get_player["name"] . " " . $player->get_player["last_name"] . " " . $player->get_player["second_last_name"]); ?>


                                                                                <?php if($player->player_id < 0 ): ?>
                                                                                    <!-- Single button -->
                                                                                    <div class="btn-group add-dummy <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($category_id); ?>">
                                                                                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                            ADD DUMMY <span class="caret"></span>
                                                                                        </button>
                                                                                        <ul class="dropdown-menu">
                                                                                            <li onclick="selectDummy(1, <?php echo e($rivality_teams->second_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Hombre</li>
                                                                                            <li onclick="selectDummy(2, <?php echo e($rivality_teams->second_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Mujer</li>
                                                                                            <li onclick="selectDummy(3, <?php echo e($rivality_teams->second_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Juvenil</li>
                                                                                            <li role="separator" class="divider"></li>
                                                                                            <li  onclick="selectDummy(4, <?php echo e($rivality_teams->second_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Especial</li>
                                                                                            <li  onclick="selectDummy(5, <?php echo e($rivality_teams->second_team_id); ?>, <?php echo e($player->get_player['id']); ?>)">Cancelar</li>
                                                                                        </ul>
                                                                                    </div>
                                                                                <?php endif; ?>

                                                                            </td>

                                                                            <td>
                                                                                <?php if( $rivality_teams->iterator_week == 0  ): ?>

                                                                                <input type="number" is-new_player="<?php echo e((is_null($player["player_handy_cap_in_tournament"]) ? 1 : 0)); ?>" value="<?php echo e($player["player_handy_cap_in_tournament"]); ?>" input_type="hc" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                    name="hc[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" readonly>

                                                                                <?php else: ?>
                                                                                    <input type="number" is-new_player="<?php echo e((is_null($player["player_handy_cap_in_tournament"]) ? 1 : 0)); ?>" value="<?php echo e($player["handycap_calculated"]); ?>" input_type="hc" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                        name="hc[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" readonly>
                                                                                <?php endif; ?>
                                                                                                                                                                
                                                                                
                                                                            </td>

                                                                            
                                                                            <?php if(count($player["rol_tournament_session_points"]) <= 0): ?>
                                                                                <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                                    <td>
                                                                                        <?php if($player->get_player['id'] < 0): ?>
                                                                                            <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($player->get_player['id']); ?>_<?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                               name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" disabled conteo="true">
                                                                                               

                                                                                            <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_dummy <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>_dummy" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>"  player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                               name="add_dummy[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_second_team"]['id']); ?>" hidden>

                                                                                            <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($player->get_player['id']); ?>_<?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                               name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" hidden>
                                                                                        <?php else: ?>

                                                                                            <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($player->get_player['id']); ?>_<?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                            name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" conteo="true">

                                                                                        <?php endif; ?>
                                                                                    </td>
                                                                                <?php endfor; ?>
                                                                            <?php else: ?>
                                                                                <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                                    <td>
                                                                                        
                                                                                        <?php if(isset($player["rol_tournament_session_points"][$juego])): ?>

                                                                                            <?php if($player->get_player['id'] < 0): ?>
                                                                                                <input type="number" value="<?php echo e($player["rol_tournament_session_points"][$juego]); ?>" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" disabled conteo="true">

                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_dummy <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>_dummy" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>"  player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                        name="add_dummy[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_second_team"]['id']); ?>" hidden>
                                                                                                
                                                                                                <input type="number" value="<?php echo e($player["rol_tournament_session_points"][$juego]); ?>" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>"  input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" hidden>
                                                                                            <?php else: ?>
                                                                                                <input type="number" value="<?php echo e($player["rol_tournament_session_points"][$juego]); ?>" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" conteo="true">
                                                                                            <?php endif; ?>

                                                                                            
                                                                                        <?php else: ?>
                                                                                            <?php if($player->get_player['id'] < 0): ?>
                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" disabled conteo="true">

                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_dummy <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>_dummy" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>"  player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="add_dummy[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" equipo="<?php echo e($rivality_teams["get_second_team"]['id']); ?>" hidden>

                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                   name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" hidden>

                                                                                            <?php else: ?>
                                                                                                <input type="number" value="" class="input_puntaje <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?> <?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($player->get_player['id']); ?>_<?php echo e($juego); ?>" input_type="puntaje" team_id="<?php echo e($rivality_teams->second_team_id); ?>" category_id="<?php echo e($category_id); ?>" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                                name="puntaje[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($juego); ?>][<?php echo e($player->get_player["id"]); ?>]" conteo="true">
                                                                                            <?php endif; ?>
                                                                                        <?php endif; ?>
                                                                                    </td>
                                                                                <?php endfor; ?>
                                                                            <?php endif; ?>

                                                                            <td>
                                                                                <input type="number" value="0" category_id="<?php echo e($category_id); ?>" input_type="serie" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego+1); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                       name="serie[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" readonly>
                                                                            </td>
                                                                            <td>
                                                                                <input type="number" value="0" category_id="<?php echo e($category_id); ?>" input_type="pt" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" num_serie="<?php echo e($juego+1); ?>" player_id="<?php echo e($player->get_player["id"]); ?>"
                                                                                       name="pt[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>][<?php echo e($player->get_player["id"]); ?>]" readonly>
                                                                            </td>
                                                                        </tr>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                                    
                                                                    <tr>
                                                                        <td>Total</td>
                                                                        <td></td>
                                                                        <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <td class="total_juego_<?php echo e($juego); ?>"></td>
                                                                        <?php endfor; ?>
                                                                        <td class="gran_total_total"></td>
                                                                        <td class="gran_total_total"></td>
                                                                    </tr>

                                                                    <tr>
                                                                        <td>HandiCap</td>
                                                                        <td></td>
                                                                        <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <td class="total_hc_<?php echo e($juego); ?>"></td>
                                                                        <?php endfor; ?>
                                                                        <td class="gran_total_hc"></td>
                                                                        <td class="gran_total_hc"></td>
                                                                    </tr>

                                                                    <tr>
                                                                        <td>Total con HC</td>
                                                                        <td></td>
                                                                        <?php for($juego = 1; $juego <= $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <td class="total_con_hc_<?php echo e($juego); ?> penalizaciones_<?php echo e($rivality_teams->second_team_id); ?> penati_<?php echo e($rivality_teams->second_team_id); ?>_<?php echo e($juego); ?>"></td>
                                                                        <?php endfor; ?>
                                                                        <td class="gran_total_total_hc penaliza_total_<?php echo e($rivality_teams->second_team_id); ?>_1"></td>
                                                                        <td>
                                                                            <input type="number" class="bg-white penaliza_total_<?php echo e($rivality_teams->second_team_id); ?>_2" value="" category_id="<?php echo e($category_id); ?>" input_type="total" rol_tournament_id="<?php echo e($rivality_teams->id); ?>" name="total[<?php echo e($rivality_teams->id); ?>][<?php echo e($rivality_teams->second_team_id); ?>]" readonly>
                                                                        </td>
                                                                    </tr>

                                                                    
                                                                    <tr id="status_win_game">
                                                                        <td></td>
                                                                        <td></td>
                                                                        <?php for($juego = 0; $juego < $league->get_player_types["number_game_by_session"]; $juego++): ?>
                                                                            <?php if(isset($rivality_teams["second_team_rol_tournament_sessions"][$juego])): ?>
                                                                                <?php if(!is_null($rivality_teams["second_team_rol_tournament_sessions"][$juego])): ?>
                                                                                    <td class="status_game_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>">
                                                                                        <?php if($rivality_teams["second_team_rol_tournament_sessions"][$juego]->win == 1): ?>
                                                                                            <i class="fas fa-star winner_icon"></i>
                                                                                        <?php else: ?>
                                                                                            <i class="fas fa-times loss_icon"></i>
                                                                                        <?php endif; ?>
                                                                                    </td>
                                                                                <?php else: ?>
                                                                                    <td class="status_game_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>"></td>
                                                                                <?php endif; ?>
                                                                            <?php else: ?>
                                                                                <td class="status_game_<?php echo e($juego); ?>" team_id="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>"></td>
                                                                            <?php endif; ?>
                                                                        <?php endfor; ?>
                                                                        <td></td>
                                                                        <td class="status_serie" team_id="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>">
                                                                            <?php if(!is_null($rivality_teams->second_team_win_serie)): ?>
                                                                                <?php if($rivality_teams->second_team_win_serie >= 1): ?>
                                                                                    <i class="fas fa-star winner_icon"></i>
                                                                                <?php else: ?>
                                                                                    <i class="fas fa-times loss_icon"></i>
                                                                                <?php endif; ?>
                                                                            <?php endif; ?>
                                                                        </td>
                                                                    </tr>

                                                                </table>

                                                                <?php if( $rivality_teams->second_team_suspended == 1 ): ?>
                                                                    <div class="row" id="first-suspended-<?php echo e($rivality_teams->id); ?>">
                                                                        <div class="col-md-9">
                                                                            
                                                                            <br>
                                                                            <div class="alert alert-warning" role="alert">
                                                                                <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                                                                <span class="sr-only">Error:</span>
                                                                                EL EQUIPO NO ASISTIO AL JUEGO
                                                                            </div>

                                                                        </div>

                                                                        <input type="checkbox" checked="true" name="no_asistio_second" hidden value="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>" class="no-asisitio" id="no_asisitio_second_<?php echo e($rivality_teams["get_second_team"]["id"]); ?>">

                                                                        <?php if( $rivality_teams["type"] != "ronda_posiciones_virtual" ): ?>
                                                                            <div class="col-md-3" style="margin-top: 4px;">
                                                                                <br>
                                                                                <button type="button" class="btn btn-success" onclick='quitarFalta( <?php echo e($rivality_teams["get_second_team"]["id"]); ?>, "<?php echo e($rivality_teams["get_second_team"]["name"]); ?>", <?php echo e($rivality_teams["id"]); ?>, 2 )'>Quitar falta</button>
                                                                            </div>
                                                                        <?php endif; ?>

                                                                    </div>    
                                                                    
                                                                <?php endif; ?>
                                                                
                                                                <br>

                                                                <?php if( $rivality_teams->second_team_suspended == 1 ): ?>
                                                                    
                                                                    <input hidden checked type="checkbox" name="no_asistio_second" onclick="noAsistio( <?php echo e($rivality_teams["get_first_team"]); ?>, <?php echo e($rivality_teams["get_second_team"]); ?>, 2, <?php echo e($rivality_teams->id); ?> )" value="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>" class="no-asisitio" id="no_asisitio_second_<?php echo e($rivality_teams["get_second_team"]["id"]); ?>">
                                                                    
                                                                <?php endif; ?>
                                                                
                                                                <?php if( $rivality_teams->first_team_suspended == 0 && $rivality_teams->second_team_suspended == 0 ): ?>
                                                                    <div class="checkbox"  id="check_no_second_<?php echo e($rivality_teams["get_first_team"]["id"]); ?>">
                                                                        <label>
                                                                            <input type="checkbox" name="no_asistio_second" onclick="noAsistio( <?php echo e($rivality_teams['get_first_team']); ?>, <?php echo e($rivality_teams['get_second_team']); ?>, 2, <?php echo e($rivality_teams->id); ?> )" value="<?php echo e($rivality_teams["get_second_team"]["id"]); ?>" class="no-asisitio" id="no_asisitio_second_<?php echo e($rivality_teams["get_second_team"]["id"]); ?>">  No asistió
                                                                        </label>
                                                                    </div>
                                                                <?php endif; ?>
                                                            </div>

                                                        </div>
                                                    </div>


                                                    <div class="col-md-12 text-right">
                                                        <br><br>
                                                        <!-- style="float: left;" -->

                                                        <!-- <button type="button" id="suspender_<?php echo e($rivality_teams['id']); ?>" 
                                                                disabled="true" class="btn btn-danger" onclick="suspenderJuego( <?php echo e($rivality_teams); ?> )">
                                                                Suspender Juego
                                                        </button> -->
    	                                                <?php if( $rivality_teams->suspended == 0 ): ?>
                                                            <button type="submit" style="float: right;" class="btn btn-primary">Guardar puntaje</button>
                                                        <?php else: ?>
                                                            <button id="save-puntaje-<?php echo e($rivality_teams->id); ?>" disabled type="submit" style="float: right;" class="btn btn-primary">Guardar puntaje</button>
                                                            <button id="quitar-suspencion-<?php echo e($rivality_teams->id); ?>" type="button" onclick="quitarSuspencion( <?php echo e($rivality_teams); ?> )" style="float: right; margin-right: 10px;" class="btn btn-success">Quitar suspención</button>
                                                        <?php endif; ?>
                                                        
                                                        <?php if( $rivality_teams->suspended === 0 ): ?>

                                                            <div id="suspender_<?php echo e($rivality_teams['id']); ?>">
                                                                
                                                                <div class="form-check" style="float: right; margin-right:20px;">
                                                                    <input type="checkbox" class="form-check-input" name="suspender_juego" id="suspender_juego_<?php echo e($rivality_teams->id); ?>" onChange="changeSuspendido( event, <?php echo e($rivality_teams); ?>, <?php echo e($rivality_teams["get_first_team"]["id"]); ?>, <?php echo e($rivality_teams["get_second_team"]["id"]); ?> )">
                                                                    <label class="form-check-label" >
                                                                        Suspender juego
                                                                    </label>
                                                                </div>

                                                            </div>

                                                        <?php endif; ?>

                                                    </div>

                                                </div>

                                                <?php echo e(Form::close()); ?>


                                                <hr>
                                                <br>


                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            
                                        </div>

                                        <div class="tab-pane fade" id="tabla_posiciones_<?php echo e($category_id); ?>" role="tabpanel" aria-labelledby="tabla_posiciones-tab_<?php echo e($category_id); ?>" tabla_posiciones="<?php echo e(route("asignar_puntaje.get_tabla_posiciones", array($rol_id, $week_number, $category_id))); ?>"></div>                                        
                                        
                                        <div class="tab-pane fade" id="tabla_puntajes" role="tabpanel" aria-labelledby="tabla_puntajes">
                                            
                                        </div>

                                        <div class="tab-pane fade" id="tabla_equipos" role="tabpanel" aria-labelledby="tabla_equipos">
                                            <div class="row">
                                                <div class="container">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="">Equipos:</label>
                                                            <select type="text" class="form-control js-example-basic-single" id="equipos-tabla">
                                                                
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <table class="table tabla-equipos">
                                                        <thead class="head-equipos">
                                                            
                                                        </thead>
                                                        <tbody id="body-equipos">
        
                                                        </tbody>
                                                    </table>
                                                </div>   
                                            </div>
                                        </div>

                                        <div class="tab-pane fade" id="tabla_jugadores" role="tabpanel" aria-labelledby="tabla_jugadores">
                                            
                                            <div class="row">
                                                <div class="container">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="">Jugadores:</label>
                                                            <select type="text" class="form-control js-example-basic-single" id="jugadores-tabla">
                                                                
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <table class="table tabla-jugadores">
                                                        <thead class="head-jugadores">
                                                            
                                                        </thead>
                                                        <tbody id="body-jugadores">
        
                                                        </tbody>
                                                    </table>
                                                </div>   
                                            </div>
                                        </div>

                                        <div class="tab-pane fade" id="tabla_posiciones_individual" role="tabpanel" aria-labelledby="tabla_posiciones_individual">
                                            <div class="row">
                                                <div class="col-lg-8">

                                                    <table class="table">
                                                        <thead>
                                                            <tr>
                                                                <th class="text-center" width="5%">Pos.</th>
                                                                <th class="text-center" width="50%">Jugador</th>
                                                                <th class="text-center" width="5%">JJ</th>
                                                                <th class="text-center" width="10%">PT</th>
                                                                <th class="text-center" width="10%">HC FINAL</th>
                                                                <th class="text-center" width="20%">PROM</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="body-pos-ind">
        
                                                        </tbody>
                                                    </table>

                                                </div>
                                                <div class="col-lg-4">
                                                    <div class="col-sm-6 col-lg-4">
                                        
                                                        <p>
                                                            <input id="switch-size" type="checkbox" checked="checked" data-size="mini">
                                                        </p>
                                                    
                                                    </div>
                                                </div>
                                                
                                            </div>
                                        </div>

                                        <div class="tab-pane fade" id="tabla_premiacion" role="tabpanel" aria-labelledby="tabla_premiacion">
                                            <div class="col-lg-8 col-md-6">

                                                <h3 class="text-center">ESTADISTICAS POR EQUIPO</h3>
                                                <div class="row">

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Juego alto por equipo sin HC</th>
                                                            </thead>
                                                            <tbody id="juego_alto_por_equipo_sin_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Juego alto por equipo con HC</th>
                                                            </thead>
                                                            <tbody id="juego_alto_por_equipo_con_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>

                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Serie alta por equipo sin HC</th>
                                                            </thead>
                                                            <tbody id="serie_alta_por_equipo_sin_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>
                                                
                                                    <div class="col-md-6 col-lg-6">
                                                
                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Serie alta por equipo con HC</th>
                                                            </thead>
                                                            <tbody id="serie_alta_por_equipo_con_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>
                                                </div>

                                                <h3 class="text-center">ESTADISTICAS INDIVIDUAL</h3>
                                                <h4 class="text-left">FEMENIL</h4>
                                                <div class="row">
                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Juego alto individual sin HC</th>
                                                            </thead>
                                                            <tbody id="juego_alto_por_individual_sin_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>
                                                
                                                    <div class="col-md-6 col-lg-6">
                                                
                                                        <table class="table">
                                                            <thead>
                                                                <tr>                                                                
                                                                    <th colspan="2">Juego alto individual con HC</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody id="juego_alto_individual_con_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>
                                                
                                                    <div class="col-md-6 col-lg-6">
                                                
                                                        <table class="table">
                                                            <thead>
                                                                <tr>
                                                                    <th colspan="2">Serie alta individual sin HC</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody id="serie_alto_individual_sin_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>
                                                
                                                    <div class="col-md-6 col-lg-6">
                                                
                                                        <table class="table">
                                                            <thead>
                                                                <tr>
                                                                    <th colspan="2">Serie alta individual con HC</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody id="serie_alto_individual_con_hg">
                                                                
                                                            </tbody>
                                                        </table>
                                                
                                                    </div>
                                                </div>

                                                <h4 class="text-left">VARONIL</h4>
                                                <div class="row">

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Juego alto individual sin HC</th>
                                                            </thead>
                                                            <tbody id="juego_alto_individual_sin_hg_varonil">
                                                                
                                                            </tbody>
                                                        </table>

                                                    </div>

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Juego alto individual con HC</th>
                                                            </thead>
                                                            <tbody id="juego_alto_individual_con_hg_varonil">
                                                                
                                                            </tbody>
                                                        </table>

                                                    </div>

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Serie alta individual sin HC</th>
                                                            </thead>
                                                            <tbody id="serie_alto_individual_sin_hg_varonil">
                                                                
                                                            </tbody>
                                                        </table>

                                                    </div>

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <tr>
                                                                    <th colspan="2">Serie alta individual con HC</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody id="serie_alto_individual_con_hg_varonil">
                                                                
                                                            </tbody>
                                                        </table>

                                                    </div>

                                                </div>

                                                <h4 class="text-left">PUNTAJE PERFECTO</h4>
                                                <div class="row">

                                                    <div class="col-md-6 col-lg-6">

                                                        <table class="table">
                                                            <thead>
                                                                <th colspan="2">Juego Perfecto</th>
                                                            </thead>
                                                            <tbody id="juego_perfecto">
                                                                
                                                            </tbody>
                                                        </table>

                                                    </div>

                                                </div>

                                            </div>
                                        </div>

                                        <div class="tab-pane fade" id="tabla_posiciones" role="tabpanel" aria-labelledby="tabla_posiciones">
                                            
                                            <div class="col-lg-8 col-md-8">

                                                <h4 class="card-title m-b-0" id="t-posiciones-name"></h4>
                                                <h5 id="t-p-semana"></h5>
    
                                                <table class="table table-striped table-bordered">
                                                    
                                                    <thead>
    
                                                        <tr>
                                                            <th width="7">Lugar</th>
                                                            <th width="65">Equipo</th>
                                                            <th width="7">Ganados</th>
                                                            <th width="7">Perdido</th>
                                                            <th width="7">Pinos</th>
                                                            <th width="7">Promedio</th>
                                                        </tr>  
    
                                                    </thead>
    
                                                    <tbody id="body-create">
                                                        
                                                    </tbody>
                                                    
    
                                                </table>

                                            </div>


                                        </div>

                                    </div>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <?php else: ?>

                            <select class="form-control select_category" name="select_category">
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>" <?php echo e(($category->id == $category_id) ? "selected" : ""); ?> redirect-url="<?php echo e(route("asignar_puntaje.create", [base64_encode($league->id), 0, $category->id, "ronda_inicial"])); ?>"><?php echo e($category->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>

                            <h5 class="font-weight-bolder p-l-5">Festivo</h5>
                            

                            <p class="text-center">No hay partidos para mostrar, la fecha actual es festivo.</p>

                        <?php endif; ?>


                    </div>
                </div>
            </div>

        </div>

    </div>


    <div class="modal" tabindex="-1" role="dialog" id="select-play-dummy">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Añadir puntaje dummy</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">                
                <div id="juegos_dummy"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="asignar-valores-dummy">Asignar</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
            </div>
            </div>
        </div>
    </div>

    

    <div class="modal fade" tabindex="-1" role="dialog" id="finalizar-liga">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Finalizar Liga</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <h3>Deseas continuar con la liga?</h3>

            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" onclick="crearLiga()">Si, reutilizar información.</button>                
                <button class="btn btn-success">No, solo finalizar.</button>
                
            </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal fade" tabindex="-1" role="dialog" id="crear-liga">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Reutilizar liga</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label for="">Nombre de la liga:</label>
                    <input type="text" class="form-control" name="" id="nombre_liga">
                </div>
                                                
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" onclick="sendCrearLiga()">Crear liga</button>                
                <button class="btn btn-default" data-dismiss="modal">Cancelar.</button>
                
            </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    
    <script src="https://unpkg.com/js-year-calendar@latest/dist/js-year-calendar.min.js"></script>
    <script src="https://unpkg.com/js-year-calendar@latest/locales/js-year-calendar.es.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.21/lodash.min.js"></script>
    <script src="https://unpkg.com/bootstrap-switch@3.4.0/dist/js/bootstrap-switch.js"></script>

    
    <script src="<?php echo e(asset("/template/table_export/js/ZeroClipboard/ZeroClipboard.js")); ?>"></script>
    <script src="<?php echo e(asset("/template/table_export/js/js-xlsx/xlsx.core.min.js")); ?>"></script>
    <script src="<?php echo e(asset("/template/table_export/js/Blob.js/Blob.js")); ?>"></script>
    <script src="<?php echo e(asset("/template/table_export/js/FileSaver.js/FileSaver.js")); ?>"></script>
    <script src="<?php echo e(asset("/template/table_export/js/Export2Excel.js")); ?>"></script>
    <script src="<?php echo e(asset("/template/table_export/js/TableExport.js/jquery.tableexport.v2.js")); ?>"></script>    

    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    
    <script>
        var league = <?php echo json_encode($league); ?>;
    </script>
    <?php echo e(Html::script('system/asignar_puntaje/create.js?v=51' )); ?>

    <script>
        var juegos_por_semana = <?php echo json_encode($juegos_por_semana); ?>;
        var week_number       = <?php echo e($week_number); ?>;
        var total_dummy_players_available = <?php echo json_encode( $total_dummy_players_available ); ?>;
        // var league = <?php echo json_encode($league); ?>;
        var category_id = <?php echo e($category_id); ?>;          
        var rol = <?php echo e($rol_id); ?>; 
        var juego_perfecto = [];
        
        
        // console.log( league.get_player_types.number_game_by_session );

        var juego_alto_por_equipo_sin_hc;
        var juego_alto_por_equipo_con_hc;
        var serie_alto_por_equipo_sin_hc;
        var serie_alto_por_equipo_con_hc;

        //femenil
        var juego_alto_individual_sin_hc_fem;
        var juego_alto_individual_con_hc_fem;
        var serie_alta_individual_sin_hc_fem;
        var serie_alta_individual_con_hc_fem;
        //varonil
        var juego_alto_individual_sin_hc_var;
        var juego_alto_individual_con_hc_var;
        var serie_alta_individual_sin_hc_var;
        var serie_alta_individual_con_hc_var;

        var individual_male;
        var individual_female;

        var acumulados = [];
        
        console.log( "league", league, rol, league.get_player_types.point_by_puntuality );
        //puntos por puntualidad
        if( league.get_player_types.point_by_puntuality > 0 ){
            $(".puntos-por-puntualidad").show();            
        }

        function validaNumber( puntaje ){
            if( puntaje ){
                return puntaje;
            }

            return null;
        }


        setTimeout(() => {        
            checkPenalizados();
        }, 2000);


        function checkPenalizados(){
            
            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.penalties")); ?>',
                type: "POST",
                data: { id_liga : league.id, category_id: category_id, week_number: week_number },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    console.log("checkPenalizados", response);
                    var total_penalizacion = 0;

                    for( var penalizado of response.penalties ){                        
                        // var valor = $(".penati_"+penalizado.team_id).text();
                        // for( var series of penalizado ){
                            // console.log( penalizado );
                            // total_penalizacion = total_penalizacion + 30;
                            $(".penati_"+penalizado.team_id+"_"+penalizado.sesion).empty();
                            $(".penati_"+penalizado.team_id+"_"+penalizado.sesion).append( penalizado.sum_puntaje_handycap );
                            $(".penati_"+penalizado.team_id+"_"+penalizado.sesion).css("color", "red");

                        // }                        
                        
                        $(".penaliza_total_"+penalizado.team_id+"_1").empty();

                        $(".penaliza_total_"+penalizado.team_id+"_1").append( penalizado.total );
                        $(".penaliza_total_"+penalizado.team_id+"_2").val(penalizado.total);

                        $(".penaliza_total_"+penalizado.team_id+"_1").css("color", "red");
                        $(".penaliza_total_"+penalizado.team_id+"_2").css("color", "red");
                   
                    }


                    for( var dummy_penalty of response.dummy_penalty ){
                        // console.log("DUMYSSS => ", "."+dummy_penalty.team_id+"_"+dummy_penalty.player_id+"_"+dummy_penalty.sesion+"_dummy");
                        // console.log(dummy_penalty);
                        
                        // $(".penati_"+dummy_penalty.team_id+"_"+dummy_penalty.sesion).css("color", "#111213");
                        // $(".penaliza_total_"+dummy_penalty.team_id+"_1").css("color", "#111213");
                        // $(".penaliza_total_"+dummy_penalty.team_id+"_2").css("color", "#111213");
                        
                        $("."+dummy_penalty.team_id+"_"+dummy_penalty.player_id+"_"+dummy_penalty.sesion+"_dummy").val(dummy_penalty.gender);                                                                
                    }

                    
                }
            });
        }
     

        /******************* PARTIDO SUSPENDIDO ******************/

        function checkScorePorPartido( liga ){

            if( liga ){
                console.log("checkScorePorPartido", liga.first_team_suspended);
                if( liga.first_team_rol_tournament_sessions.length === 0 && 
                    liga.second_team_rol_tournament_sessions.length === 0 && 
                    liga.first_team_suspended == 0 && liga.second_team_suspended == 0){
                        // console.log("LIGA ID", liga.id );
                        //alert( liga.id );
                        $("#suspender_"+liga.id).show(300);
                        $("#check_no_"+liga.get_first_team.id).show(200);
                        $("#check_no_second_"+liga.get_first_team.id).show(200);
                }  
                
                // if( liga.first_team_suspended == 0 ){
                //     $("#check_no_"+liga.get_first_team.id).show(200);
                // }

                // if( liga.second_team_suspended == 0 ){
                //     $("#check_no_second_"+liga.get_first_team.id).show(200);
                // }

            }

        }

        function swallMensaje( title, text, type ){

            Swal.fire(
                title,
                text,
                type
            )
          
        }

        function suspenderJuego( juego ){
            // console.log("JUEGO", juego, juegos_por_semana);

            var x = $("#"+juego.id).serializeArray();
            // console.log( x );
            // $.each(x, function(i, field){
            //     console.log(field.name + ":" + field.value);
            // });
            
            // $( "#"+juego.id ).submit(function(  ) {
            //     alert("Submitted");
            // });

            // $.ajax({
            
            //     type: 'POST',
            //     data: {
            //         week       : week_number,
            //         category_id: juego.category_id,
            //         league_id  : juegos_por_semana[1][week_number].category.id,
            //         rol_tournaments_id: juego.id,
            //         form: x
            //     },
            //     success: function(data) {
            //         console.log(data);
                
            //     }
            // });
            
            Swal.fire({
                title: 'Estas seguro?',
                text: "Que deseas suspender el juego entre " + juego.get_first_team.name + " y " + juego.get_second_team.name,
                icon: 'error',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'SI',
                cancelButtonText:'NO'
                }).then((result) => {
                    console.log(result);
                    if (result.value) {
                        $(".next_page_button").prop("disabled", false);
                        $(".next_page_button").removeClass("disabled");
                        Swal.fire(
                        'Suspendido!',
                        'El juego ha sido suspendido.',
                        'success'
                        )
                    }
            })
        }

        function changeSuspendido( ev, data, id_first, id_second ){

            if( data.first_team_rol_tournament_sessions.length != 0 && 
                data.second_team_rol_tournament_sessions.length != 0 ){
                    // Swal.fire(
                    //     'Suspendido!',
                    //     'El juego ha sido suspendido.',
                    //     'success'
                    // );
            }      
            
            if( ev.currentTarget.checked ){
                $("#no_asisitio_first_"+id_first).prop("disabled", true);
                $("#no_asisitio_second_"+id_second).prop("disabled", true);
            }else{
                $("#no_asisitio_first_"+id_first).prop("disabled", false);
                $("#no_asisitio_second_"+id_second).prop("disabled", false);
            }            
            
        }

        function quitarSuspencion( juego ){
            console.log( juego.first_team_rol_tournament_sessions.length );
            //revisar si tiene puntaje
            Swal.fire({
                title: 'Estas seguro?',
                text: "Realmente quieres quitar la suspencón del juego " + juego.get_first_team.name + " y " + juego.get_second_team.name+". Si los equipos ya cuentan con una calificación, ya no se podrá suspender el juego.",
                icon: 'error',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'SI',
                cancelButtonText:'NO'
                }).then((result) => {
                    console.log(result);
                    if (result.value) {

                        $.ajax({
                            url: '<?php echo e(route("asignar_puntaje.quitar_suspencion")); ?>',
                            type: "POST",
                            data: { id: juego.id },
                            error: function (e) {

                            },  
                            success: function (response) {

                                if( response.status ){

                                    $("#save-puntaje-"+juego.id).prop("disabled",false);
                                    $("#alert-susp-inicial-"+juego.id).hide(300);
                                    $("#quitar-suspencion-"+juego.id).hide(300);
                                    if( juego.first_team_rol_tournament_sessions.length == 0 && 
                                        juego.second_team_rol_tournament_sessions.length == 0){
                                            $("#suspender_"+juego.id).show(300);
                                    }

                                    Swal.fire(
                                        'No suspendido!',
                                        response.message,
                                        'success'
                                    );

                                }
                            }                         
                        });

                    }
            })

            // $("#suspender_"+data.id).show(300);
        }

        $(".no-asisitio").change(function(){
            var val = $(this).val();                    
        });

        function noAsistio( primerEquipo , segundoEquipo, orden, idJuego){
            // console.log( primerEquipo, segundoEquipo, orden );
            
            if( orden === 1 ){

                var check = $("#no_asisitio_first_"+primerEquipo.id).is(":checked");

                // console.log( check );
                if( check ){
                    // $("#no_asisitio_first_"+primerEquipo.id).prop( "checked", true );    
                    // $("#no_asisitio_second_"+segundoEquipo.id).prop( "disabled", true );
                    $("#suspender_juego_"+idJuego).prop("disabled", true);
                }else{
                    // $("#no_asisitio_first_"+primerEquipo.id).prop( "checked", false );    
                    // $("#no_asisitio_second_"+segundoEquipo.id).prop( "disabled", false );
                    $("#suspender_juego_"+idJuego).prop("disabled", false);
                }   
                

            }else{

                var check = $("#no_asisitio_second_"+segundoEquipo.id).is(":checked");

                // console.log( check );

                if( check ){
                    // $("#no_asisitio_first_"+primerEquipo.id).prop( "disabled", true );
                    $("#suspender_juego_"+idJuego).prop("disabled", true);
                }else{
                    // $("#no_asisitio_first_"+primerEquipo.id).prop( "disabled", false );
                    $("#suspender_juego_"+idJuego).prop("disabled", false);
                }

            }
        }

        function quitarFalta( id_equipo, name, id_semana, posicion ){
            console.log( id_equipo, name, id_semana, posicion );
            Swal.fire({
                title: 'Estas seguro?',
                text: "Quieres quitar la falta al equipo "+name,
                icon: 'error',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'SI',
                cancelButtonText:'NO'
                }).then((result) => {
                    console.log(result);
                    if (result.value) {
                        var datos = { id_equipo : id_equipo, 
                                      id_semana : id_semana, 
                                      posicion  : posicion, 
                                      week      : week_number,
                                      league_id : league.id 
                                    };

                        $.ajax({
                            url: '<?php echo e(route("asignar_puntaje.quitar_suspencion_equipo")); ?>',
                            type: "POST",
                            data: datos,
                            error: function (e) {
                                console.log(e);
                            },      
                            success: function (response) {
                                console.log(response);
                            }
                            
                        });
                                                
                        Swal.fire(
                        'Suspendido!',
                        'El equipo esta habilitado.',
                        'success'
                        )
                    }
            })
        }

        function calcularPuntajeAddDummy( id_torneo, juego ){

            type_game = $("#type_game").val();       
            
            console.log( "type_game", type_game );

            var category_id       = $("."+id_torneo+"_"+juego).attr("category_id");
            var rol_tournament_id = $("."+id_torneo+"_"+juego).attr("rol_tournament_id");
            var num_serie         = $("."+id_torneo+"_"+juego).attr("num_serie");
            var team_id           = $("."+id_torneo+"_"+juego).attr("team_id");  
            
            var total_point_added = $("input[category_id='" + category_id + "'][rol_tournament_id='" + rol_tournament_id + "'][team_id='" + team_id + "'][conteo='true']").filter(function () {
                return this.value != ''
            });            

            if ( total_point_added.length >= (parseFloat( type_game ) * league.get_player_types.number_game_by_session) ) {       
                
                return true;
                               
            } else {
                return false;                               
            }

            // calculate_points($("."+id_torneo+"_"+juego).parent().parent().parent(), true);

            // calculate_serie_and_pt();

        }


        var type_game;
        var number_game_by_session;

        function calulaPuntaje( id_torneo, juego ){

            // console.log( "calulaPuntaje" );

            type_game = $("#type_game").val();            

            var category_id       = $("."+id_torneo+"_"+juego).attr("category_id");
            var rol_tournament_id = $("."+id_torneo+"_"+juego).attr("rol_tournament_id");
            var num_serie         = $("."+id_torneo+"_"+juego).attr("num_serie");
            var team_id           = $("."+id_torneo+"_"+juego).attr("team_id");           
            
            //Obtenemos cuantos inputs por juego tiene información, si es menor o igual al total del tipo de series, bloqueamos los demas inputs
            var total_point_added = $("input[category_id='" + category_id + "'][rol_tournament_id='" + rol_tournament_id + "'][num_serie='" + num_serie + "'][team_id='" + team_id + "'][conteo='true']").filter(function () {
                return this.value != ''
            });
            
            //Si el total de campos agregados es mayor o igual al tipo de juego, bloqueamos los demas campos
           
            if (total_point_added.length >= parseFloat( type_game ) ) {                
                
                // $("."+team_id+"_"+category_id).hide(200);

                $("input[category_id='" + category_id + "'][rol_tournament_id='" + rol_tournament_id + "'][num_serie='" + num_serie + "'][team_id='" + team_id + "'][conteo='true']").each(function () {

                    if ($("."+id_torneo+"_"+juego).val() == "") {                        
                        $("."+id_torneo+"_"+juego).prop("readonly", true);
                    }

                });
            } else {
                $("."+team_id+"_"+category_id).show(200);
                $("input[category_id='" + category_id + "'][rol_tournament_id='" + rol_tournament_id + "'][num_serie='" + num_serie + "'][team_id='" + team_id + "'][conteo='true']").prop("readonly", false);
            }

            calculate_points($("."+id_torneo+"_"+juego).parent().parent().parent(), true);

            calculate_serie_and_pt();
        }

        $("#asignar-valores-dummy").click(function(){
            // console.log( "asignar-valores-dummy" );
            var id_torneo = $(".id-torneo-dummy").val();
            var plyer = $(".player-id").val();
            var tipo  = $(".tipo-dummy").val();

            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.handicap")); ?>',
                type: "POST",
                data: { id_liga : league.id },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    console.log("ok",response);
                    $("#select-play-dummy").modal('toggle');
                    if( response.status ){

                        // $(".dummys_add_1").empty();
                                                
                        for (let index = 1; index <= number_game_by_session; index++) {                
                            var inp = $(".val_inp_"+index).is(':checked');
                            // console.log( "ADD DUMMY", inp, "."+plyer+"_"+id_torneo+"_"+index, tipo );

                            $("."+plyer+"_"+id_torneo+"_"+index).off('change');
                            $("."+id_torneo+"_"+plyer+"_"+index).off('change');


                            if(inp){
                                // $("."+plyer+"_"+id_torneo+"_"+index).prop("disabled", true);
                                if( tipo == 1 ){  

                                    $("."+plyer+"_"+id_torneo+"_"+index+"_dummy").val(1);
                                    $("."+id_torneo+"_"+plyer+"_"+index+"_dummy").val(1); 

                                    $("."+plyer+"_"+id_torneo+"_"+index).val(response.data.male_limit_dummy);                                   
                                    $("."+id_torneo+"_"+plyer+"_"+index).val(response.data.male_limit_dummy); 
                                    
                                    $("."+plyer+"_"+id_torneo+"_"+index).attr({"max" : response.data.male_limit_dummy,"min" : response.data.male_limit_dummy});
                                    $("."+id_torneo+"_"+plyer+"_"+index).attr({"max" : response.data.male_limit_dummy,"min" : response.data.male_limit_dummy});
                                    
                                    //remueve change    
                                    $("."+plyer+"_"+id_torneo+"_"+index).off('change');
                                    $("."+id_torneo+"_"+plyer+"_"+index).off('change');                                

                                    // $("."+plyer+"_"+id_torneo+"_"+index).prop("disabled", true);
                                    // $("."+plyer+"_"+id_torneo+"_"+index).change(function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max)
                                    //     {
                                    //         $(this).val(max);
                                    //     }
                                    //     else if ($(this).val() < min)
                                    //     {
                                    //         $(this).val(min);
                                    //     }   

                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.male_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );

                                    // });

                                    // $("."+id_torneo+"_"+plyer+"_"+index).change(function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.male_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );
                                        
                                    // });
                                }

                                if( tipo == 2 ){
                                    
                                    console.log("."+plyer+"_"+id_torneo+"_"+index+"_dummy");
                                    console.log("."+id_torneo+"_"+plyer+"_"+index+"_dummy");

                                    $("."+plyer+"_"+id_torneo+"_"+index+"_dummy").val(2);
                                    $("."+id_torneo+"_"+plyer+"_"+index+"_dummy").val(2); 
                                                                     

                                    $("."+plyer+"_"+id_torneo+"_"+index).val(response.data.female_limit_dummy);
                                    $("."+id_torneo+"_"+plyer+"_"+index).val(response.data.female_limit_dummy); 
                                    

                                    $("."+plyer+"_"+id_torneo+"_"+index).attr({"max" : response.data.female_limit_dummy,"min" : response.data.female_limit_dummy});
                                    $("."+id_torneo+"_"+plyer+"_"+index).attr({"max" : response.data.female_limit_dummy,"min" : response.data.female_limit_dummy});

                                    // $("."+plyer+"_"+id_torneo+"_"+index).on('change', function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.female_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );
                                        
                                    // });

                                    // $("."+id_torneo+"_"+plyer+"_"+index).on('change', function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.female_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );

                                    // });
                                }

                                if( tipo == 3 ){
                                    
                                    $("."+plyer+"_"+id_torneo+"_"+index+"_dummy").val(3);
                                    $("."+id_torneo+"_"+plyer+"_"+index+"_dummy").val(3); 
                                    
                                    $("."+plyer+"_"+id_torneo+"_"+index).val(response.data.juvenil_limit_dummy);
                                    $("."+id_torneo+"_"+plyer+"_"+index).val(response.data.juvenil_limit_dummy);                                   

                                    $("."+plyer+"_"+id_torneo+"_"+index).attr({"max" : response.data.juvenil_limit_dummy,"min" : response.data.juvenil_limit_dummy});
                                    $("."+id_torneo+"_"+plyer+"_"+index).attr({"max" : response.data.juvenil_limit_dummy,"min" : response.data.juvenil_limit_dummy});

                                    // $("."+plyer+"_"+id_torneo+"_"+index).on('change', function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.juvenil_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );
                                        
                                    // });

                                    // $("."+id_torneo+"_"+plyer+"_"+index).on('change', function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.juvenil_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );

                                    // });
                                }

                                if( tipo == 4 ){
                                    
                                    $("."+plyer+"_"+id_torneo+"_"+index+"_dummy").val(4);
                                    $("."+id_torneo+"_"+plyer+"_"+index+"_dummy").val(4); 

                                    $("."+plyer+"_"+id_torneo+"_"+index).val(response.data.especial_limit_dummy);
                                    $("."+id_torneo+"_"+plyer+"_"+index).val(response.data.especial_limit_dummy);                                   

                                    $("."+plyer+"_"+id_torneo+"_"+index).attr({"max" : response.data.especial_limit_dummy,"min" : response.data.especial_limit_dummy});
                                    $("."+id_torneo+"_"+plyer+"_"+index).attr({"max" : response.data.especial_limit_dummy,"min" : response.data.especial_limit_dummy});

                                    // $("."+plyer+"_"+id_torneo+"_"+index).on('change', function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.especial_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );
                                        
                                    // });

                                    // $("."+id_torneo+"_"+plyer+"_"+index).on('change', function(){
                                    //     var max = parseInt($(this).attr('max'));
                                    //     var min = parseInt($(this).attr('min'));

                                    //     if ($(this).val() > max){
                                    //         $(this).val(max);
                                    //     }else if ($(this).val() < min){
                                    //         $(this).val(min);
                                    //     } 
                                    //     swallMensaje( "Error", "No se puede ingresar un score mayor o menor a "+response.data.especial_limit_dummy , "error" );
                                    //     calulaPuntaje( id_torneo, plyer );

                                    // });
                                }

                            }else{
                                // $("."+plyer+"_"+id_torneo+"_"+index).prop("disabled", false);
                                $("."+plyer+"_"+id_torneo+"_"+index).val("");
                            }                
                        }                        
                        
                        calulaPuntaje( id_torneo, plyer );
                    } 
                }

            });

            // console.log(plyer);
            
        });

        function inputJuegoDummy( id, player ){
            // console.log(".val_inp_"+id, $(".val_inp_"+id).is(':checked') );
            if($(".val_inp_"+id).is(':checked')){
                // alert( "is checked" );
                $(".val_inp_"+id).attr('checked', false);
            }else{
                $(".val_inp_"+id).attr('checked', true);
            }
        }

        function selectDummy( tipo, id_torneo, juego ){    
            console.log(  tipo, id_torneo, juego ); 
            
            var conteo = calcularPuntajeAddDummy( id_torneo, juego );

            if( conteo && tipo != 5 ){
                swallMensaje( "Error", "No se puede añadir un jugador dummy", "error" );                
                return;
            }
            

            number_game_by_session = $("#number_game_by_session").val();
            // alert(number_game_by_session);            
            $("#juegos_dummy").empty();

            for (let index = 1; index <= number_game_by_session; index++) {
                
                // $("#juegos_dummy").append('<div class="form-check"><input class="form-check-input val_inp_'+index+'" type="radio" name="'+index+'"><label class="form-check-label" for="exampleRadios1">J'+index+'</label></div>');
                $("#juegos_dummy").append('<div class="form-check"><input onchange="inputJuegoDummy( '+index+','+juego+' )" type="checkbox" class="form-check-input val_inp_'+index+'" id="inp-j-dummy-'+index+'"><label class="form-check-label" for="inp-j-dummy-'+index+'">J'+index+'</label></div>')
                $("#juegos_dummy").append('<input hidden value="'+id_torneo+'" class="id-torneo-dummy">');
                $("#juegos_dummy").append('<input hidden value="'+juego+'" class="player-id">');
                $("#juegos_dummy").append('<input hidden value="'+tipo+'" class="tipo-dummy">');
            }

            if( tipo == 5 ){
                // console.log("SE LIMPIA", `.${id_torneo}_${juego}` );
                $("."+id_torneo+"_"+juego).val("");
                $("."+id_torneo+"_"+juego+"_dummy").val("");
                // $("."+id_torneo+"_"+juego).prop("disabled", false);
                calulaPuntaje( id_torneo, juego );
                return;
            }

            $("#select-play-dummy").modal();

            
        }

        var data_players = {};
        var state_check = 0;

        function restartTablas(){
            $("#juego_alto_por_individual_sin_hg").empty();
            $("#juego_alto_individual_con_hg").empty();
            $("#serie_alto_individual_sin_hg").empty();
            $("#serie_alto_individual_con_hg").empty();
            $("#serie_alto_individual_sin_hg_varonil").empty();
            $("#serie_alto_individual_con_hg_varonil").empty();
            $("#juego_alto_individual_sin_hg_varonil").empty();
            $("#juego_alto_individual_con_hg_varonil").empty();
            $("#serie_alta_por_equipo_sin_hg").empty();
            $("#serie_alta_por_equipo_con_hg").empty();
            $("#juego_alto_por_equipo_sin_hg").empty();
            $("#juego_alto_por_equipo_con_hg").empty();
            juego_perfecto = [];
            $("#body-pos-ind").empty();

            tabla = [];
            premios_totales = [];
            premios_totales_equipos = [];
        }

        function getLigaConfig(){
            
            premiacion = [];
            acumulado = [];
            $.ajax({
                url : '<?php echo e(route("asignar_puntaje.premiacion")); ?>',
                data : { id : league.id },
                type : 'POST',
                success : function(data) {                    
                    var result = _.chain(data.premiacion_lugares).groupBy("type").value(); 
                    config_liga = data.data;
                    premiacion = result;
                    data_players = data;                    
                    // console.log("premiacion", config_liga.how_many_games_needs_to_play_to_choose_an_award);                    
                    //tablaPosicionesInd( data, result, data.data );
                    restartTablas();
                    tablaPosicionesIndNew( data, result, data.data );
                }
            });
        }                        

        function puntajeSemana( puntajes ){
            if( puntajes.length ){
                for( var puntaje of puntajes ){

                }
            }

            return {};
        }

        $("#switch-size").bootstrapSwitch({                           
            size: "mini",
            animate: true,
            onColor: "primary",
            onText: "Activo",
            offText:"Inactivo",
            onSwitchChange: function (event, state) {
                event.preventDefault();

                if( state_check == 1 ){

                    juegos_jugados_req = state;
                    // if( state ){
                    //     juegos_jugados_req = false;
                    // }else{
                    //     juegos_jugados_req = true;
                    // }
                    console.log("state => ",state, juegos_jugados_req);
                    var result = _.chain(data_players.premiacion_lugares).groupBy("type").value(); 
                    // console.log(data_players, result);

                    if( data_players.data ){

                        restartTablas();
                        tablaPosicionesIndNew( data_players, result, data_players.data );
                    }

                }
              
                // getLigaConfig();
                // return console.log(state, event.isDefaultPrevented())
            }
        });   

        

        var config_liga;
        var premiacion = [];

        var jugadores = [];
        var jugadores_jerarquias = [];
        var premios_totales = [];
        var premios_totales_equipos = [];
        var tabla = [];
        var equipos = [];

        var jugador_average_individual_male   = [];
        var jugador_average_individual_female = [];
        var num_premiados = 0;
        var juegos_jugados_req = false;

        var equipos_serie_alta = [];
        var equipos_serie_alta_hc = [];
        var juegos_alto = [];
        var juegos_alto_hc = [];
        
        function tablaPosicionesIndNew( config_liga, num_premicacion, reglas  ){
            
            // console.log("num_premiacion => ", config_liga);
            // console.log("awards_are_by_hierarchy ", reglas.awards_are_by_hierarchy);
            // rol_tournament_id:rol_tournament_id,
            $.ajax({    
                url: '<?php echo e(route("asignar_puntaje.get_tabla_posiciones_individual")); ?>',
                type: "POST",
                data: { id_liga : league.id, category_id: category_id, week_number: `${week_number}`, juegos_jugados_req: juegos_jugados_req, juegos_jugados: config_liga.how_many_games_needs_to_play_to_choose_an_award },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    
                    var lista_premiacion = listarPremiacion( num_premicacion );
                    var lista_premiacion_equipos = listaPremiacionEquipos( num_premicacion );
                    jugadores            = listarJugadores( response );

                    var group   = _.chain(jugadores).groupBy("genero").value();  
                    console.log( "jugadores", group );

                    jugadores_jerarquias = jugadores;

                    // console.log(jugadores);
                    // var equipos = [];

                    equipos_serie_alta = [];
                    equipos_serie_alta_hc = [];

                    juegos_alto = [];
                    juegos_alto_hc = [];

                    var new_jugadores =  [];
                    var num_consecutivo = 0;
                    
                    for( var individual of response.data ){
                        
                        for( var player of individual ){
                            // console.log("player",player);
                            num_consecutivo++;                             
                            // juegos_equipo_all    
                            // console.log(player); 

                            // for( var puntos of player.juegos_equipo_all ){
                                // console.log("puntos", {"team"  : player.team_name, 
                                //                     "points": puntos.points, 
                                //                     "handycap_calculated": puntos.handycap_calculated,
                                //                     "handicap":player.handicap,
                                //                     "name": player.name,
                                //                     "nickname": player.nickname,
                                //                     "promedio": player.promedio,
                                //                     "player_id": player.player_id,
                                //                     "genero": player.genero,
                                //                     "total": player.total,
                                //                     "week": player.week,
                                //                     "val_mas_alto": puntos.points,
                                //                     "val_mas_alto_hc": puntos.points + puntos.handycap_calculated,
                                //                     "serie_max": player.serie_max,
                                //                     "serie_max_hc":player.serie_max_hc,
                                //                     "num_consecutivo": num_consecutivo
                                //                 }, puntos);
                            // }

                            for( var point of player.juegos_individuales_all ){  
                                
                                new_jugadores.push({"team"  : player.team_name, 
                                                    "points": point.points, 
                                                    "handycap_calculated": point.handycap_calculated,
                                                    "handicap": player.handicap,
                                                    "name": player.name,
                                                    "nickname": player.nickname,
                                                    "promedio": player.promedio,
                                                    "player_id": player.player_id,
                                                    "genero": player.genero,
                                                    "total": player.total,
                                                    "week": player.week,
                                                    "val_mas_alto": point.points,
                                                    "val_mas_alto_hc": point.points + point.handycap_calculated,
                                                    "serie_max": player.serie_max,
                                                    "serie_max_hc":player.serie_max_hc,
                                                    "num_consecutivo": num_consecutivo
                                                });
                            }
                        }
                    }

                    // jugadores = new_jugadores;

                    // console.log( "jugadores_despues", _.orderBy( new_jugadores, ["points"], ["desc"] ));
                    // console.log( response.data );
                    new_jugadores = _.orderBy( new_jugadores, ["points"], ["desc"] )

                    var num_juego_alto = 0;

                    for( var equipo of response.data ){                                        
                        
                        // console.log( "juegos_alto", equipo );
                        
                        if( equipo.length > 0 ){

                            for(var eq of equipo[0].juegos_equipo_all){                                                      
                                for( var puntos of eq.puntajes ){                                
                                    num_juego_alto++;                                                        
                                    juegos_alto.push( { "id": num_juego_alto, "team_name": equipo[0].team_name, "team_id": equipo[0].team_id,"player_id": equipo[0].player_id, "juego_equipo": puntos.sum_puntaje, "semana": eq.week } );
                                }
                                
                            }

                        }

                    }                     

                    for( var equipo of response.data ){                                        
                        
                        if( equipo.length > 0 ){

                            for(var eq of equipo[0].juegos_equipo_all){                                                      
                                                                                     
                                for( var puntos of eq.puntajes ){                                
                                    juegos_alto_hc.push( { "team_id": equipo[0].team_id, "team_name": equipo[0].team_name, "player_id": equipo[0].player_id, "juego_equipo_hc": puntos.sum_puntaje_handycap, "semana": eq.week } );
                                }
                                
                            }

                        }

                    } 

                    
                    var num = 0;                
                    for( var equipo of response.data ){                
                        // num_player++; 
                        if( equipo.length > 0 ){

                            var num_player = 0;
                            for(var eq of equipo[0].serie_equipo_all){                                                      
                                num++;
                                num_player++;                                
                                equipos_serie_alta.push({ "team_id": equipo[0].team_id, "team_name": equipo[0].team_name, "player_id": num, "serie_equipo": eq, "semana":num_player });                                                                                 
                            }
                        }
                    }  
                    
                    for( var equipo of response.data ){                
                        if( equipo.length > 0 ){

                            var num_player = 0;
                            for(var eq of equipo[0].serie_quipo_hc_all){                                                      
                                num++;
                                num_player++; 
                                equipos_serie_alta_hc.push({ "team_id": equipo[0].team_id, "team_name": equipo[0].team_name, "player_id": num, "serie_equipo_hc": eq, "semana":num_player });                           
                                
                            }

                        }
                    }                      

                    tabla = _.orderBy(jugadores, ["promedio", "juegos_jugados", "total", "nickname"], ["desc", "desc", "desc", "asc"]);
                        
                    var num = 0;
                    
                    for (let datos_jugador of tabla ) {
                        
                        num++;
                        var name_nickname;
                        if( datos_jugador.nickname ){
                            name_nickname = datos_jugador.nickname;
                        }else{
                            name_nickname = datos_jugador.name +" " +datos_jugador.lastname ;
                        }
                        // console.log( "datos_jugador", name_nickname );
                        $("#body-pos-ind").append( "<tr class='t-posiciones t-p-individual-"+datos_jugador.player_id+"'><td width='5%'>"+num+"</td><td width='30%'>"+ name_nickname +"</td><td class='text-center' width='5%'>"+datos_jugador.juegos_jugados+"</td><td class='text-center' width='20%'>"+datos_jugador.total+"</td><td class='text-center' width='20%'>"+datos_jugador.handicap+"</td><td class='text-center' width='20%'>"+datos_jugador.promedio.toFixed(1)+"</td></tr>" );
                        // num++;
                        // $("#body-pos-ind").append( "<tr class='t-posiciones t-p-individual-"+datos_jugador.player_id+"'><td width='5%'>"+num+"</td><td width='30%'>"+datos_jugador.nickname+"</td><td class='text-center' width='5%'>"+datos_jugador.juegos_jugados+"</td><td class='text-center' width='20%'>"+datos_jugador.total+"</td><td class='text-center' width='20%'>"+datos_jugador.handicap+"</td><td class='text-center' width='20%'>"+datos_jugador.promedio.toFixed(1)+"</td></tr>" );
                    } 
                    
                    let valida_perfect = validaPremiacionPerfecata( lista_premiacion );
                        console.log("jugadores_jerarquias", jugadores_jerarquias);
                    if( valida_perfect ){

                        for( let jugador of jugadores_jerarquias ){
                            console.log(jugador.juego_perfecto);
                            if( jugador.juego_perfecto ){
                                console.log("jueg perfecto", jugador);
                                // juego_perfecto.push(jugador);
                                // alert("Juego percfecto");
                                var nickname = jugador.nickname ? jugador.nickname: jugador.name+" "+ jugador.lastname;
                                $("#juego_perfecto").append("<tr><td>"+ nickname +"</td><td class='text-right'>300</td></tr>");   
                            }
                        }   
                        

                        

                    }

                    // if( num_premiados > 0 ){
                        
                    // }else{
                    //     alert("no hay premiados");
                    // }

                    //juegos
                    // var juego_alto_por_equipo_sin_hc = _.orderBy( juegos_alto, ["juego_equipo"], ["desc"] );//_.orderBy(jugadores, ["juego_equipo"], ["desc"]);
                    // var juego_alto_por_equipo_con_hc = _.orderBy( juegos_alto_hc, ["juego_equipo_hc"], ["desc"] );//_.orderBy(jugadores, ["juego_equipo_hc"], ["desc"]);
                    // var serie_alto_por_equipo_sin_hc = _.orderBy( equipos_serie_alta, ["serie_equipo"], ["desc"] );//_.orderBy(jugadores, ["serie_max"], ["desc"]);
                    // var serie_alto_por_equipo_con_hc = _.orderBy( equipos_serie_alta_hc, ["serie_equipo_hc"],["desc"]);//_.orderBy(jugadores, ["serie_max_hc"], ["desc"]);
                    // console.log("reglas.awards_are_by_hierarchy", reglas.awards_are_by_hierarchy);
                    if( reglas.awards_are_by_hierarchy == 0 ){
                        
                        var separaGenero = _.chain(new_jugadores).groupBy("genero").value();

                        console.log("separa genero => ", separaGenero);

                        //femenil
                        var juego_alto_individual_sin_hc_fem = _.orderBy(separaGenero.female, ["val_mas_alto"], ["desc"]);
                        var juego_alto_individual_con_hc_fem = _.orderBy(separaGenero.female, ["val_mas_alto_hc"], ["desc"]);
                        
                        var serie_alta_individual_sin_hc_fem = _.orderBy(separaGenero.female, ["serie_max"], ["desc"]);
                        var serie_alta_individual_con_hc_fem = _.orderBy(separaGenero.female, ["serie_max_hc"], ["desc"]);
                        //varonil
                        var juego_alto_individual_sin_hc_var = _.orderBy(separaGenero.male, ["val_mas_alto"], ["desc"]);
                        var juego_alto_individual_con_hc_var = _.orderBy(separaGenero.male, ["val_mas_alto_hc"], ["desc"]);
                        var serie_alta_individual_sin_hc_var = _.orderBy(separaGenero.male, ["serie_max"], ["desc"]);
                        var serie_alta_individual_con_hc_var = _.orderBy(separaGenero.male, ["serie_max_hc"], ["desc"]);
                        // //juegos
                        var juego_alto_por_equipo_sin_hc = _.orderBy( juegos_alto, ["juego_equipo"], ["desc"] );//_.orderBy(jugadores, ["juego_equipo"], ["desc"]);
                        var juego_alto_por_equipo_con_hc = _.orderBy( juegos_alto_hc, ["juego_equipo_hc"], ["desc"] );//_.orderBy(jugadores, ["juego_equipo_hc"], ["desc"]);
                        var serie_alto_por_equipo_sin_hc = _.orderBy( equipos_serie_alta, ["serie_equipo"], ["desc"] );//_.orderBy(jugadores, ["serie_max"], ["desc"]);
                        var serie_alto_por_equipo_con_hc = _.orderBy( equipos_serie_alta_hc, ["serie_equipo_hc"],["desc"]);//_.orderBy(jugadores, ["serie_max_hc"], ["desc"]);        

                        // console.log("juego_alto_por_equipo_sin_hc ==>",  juego_alto_por_equipo_sin_hc  );

                        // console.log( "POR EQUIPOS=>", _.chain(juego_alto_por_equipo_sin_hc).groupBy("team_name").value() );

                        // perfect_game

                        if(  _.isArray( num_premicacion.game_high_by_team ) ){
                            let num = 0;

                            var unique = _.uniqBy(juego_alto_por_equipo_sin_hc, function (e) {
                                return e.team_id;
                            });
                            
                            console.log(unique);
                            for( var juego of unique ){ 
                                
                                $("#juego_alto_por_equipo_sin_hg").append("<tr><td>"+ juego.team_name +"-"+ juego.team_id +"</td><td class='text-right' style='cursor: pointer;' title='Número de semana'>"+ (juego.semana+1) +"</td><td class='text-right'>"+ juego.juego_equipo +"</td></tr>");
                                // // juego_alto_por_equipo_sin_hc.splice(num, 1);
                                // var status = _.remove(juego_alto_por_equipo_sin_hc, {
                                //     team_id: juego.team_id
                                //     // id: juego.id
                                // });                                
                               
                                num++;
                                if( num === num_premicacion.game_high_by_team.length ){
                                    break;
                                }
                            }

                        }else{
                            $("#juego_alto_por_equipo_sin_hg").append("<tr class='table-danger'><td>No hay premiación</td></tr>");
                        }

                        if(  _.isArray( num_premicacion.game_high_by_team_with_handicap ) ){

                            let num = 0;
                            let tabla_juego_alto_por_equipo_con_hc = 0;

                            var unique = _.uniqBy(juego_alto_por_equipo_con_hc, function (e) {
                                return e.team_id;
                            });                            

                            for( var juego of unique ){      
                                $("#juego_alto_por_equipo_con_hg").append("<tr><td>"+ juego.team_name +"</td><td class='text-right' style='cursor: pointer;' title='Número de semana'>"+ (juego.semana+1) +"</td><td class='text-right'>"+ juego.juego_equipo_hc +"</td></tr>");                            
                                // _.remove(juego_alto_por_equipo_con_hc, {
                                //     player_id: juego.player_id
                                // });                                
                                num++;
                                
                                if( num === num_premicacion.game_high_by_team_with_handicap.length ){
                                    break;
                                }

                            }

                        }else{
                            $("#juego_alto_por_equipo_con_hg").append("<tr class='table-danger'><td>No hay premiación</td></tr>");
                        }

                        if(  _.isArray( num_premicacion.serie_high_by_team ) ){

                                let num = 0;
                                // equipos_serie_alta

                                var unique = _.uniqBy(serie_alto_por_equipo_sin_hc, function (e) {
                                    return e.team_id;
                                });  

                                for( var juego of unique ){                                      
                                    $("#serie_alta_por_equipo_sin_hg").append("<tr><td>"+ juego.team_name +"</td><td class='text-right' style='cursor: pointer;' title='Número de semana'>"+ (juego.semana) +"</td><td class='text-right'>"+ juego.serie_equipo +"</td></tr>");
                                    console.log(juego);
                                    // _.remove(serie_alto_por_equipo_sin_hc, {
                                    //     team_id: juego.team_id
                                    // });
                                    num ++;
                                    if( num === num_premicacion.serie_high_by_team.length ){
                                        break;
                                    }
                                }

                            }else{
                                $("#serie_alta_por_equipo_sin_hg").append("<tr class='table-danger'><td>No hay premiación</td></tr>");
                            }

                            if(  _.isArray( num_premicacion.serie_high_by_team_with_handicap ) ){

                                let num = 0;

                                var unique = _.uniqBy(serie_alto_por_equipo_con_hc, function (e) {
                                    return e.team_id;
                                }); 

                                for( var juego of unique ){      
                                
                                    $("#serie_alta_por_equipo_con_hg").append("<tr><td>"+ juego.team_name +"</td><td class='text-right' style='cursor: pointer;' title='Número de semana'>"+ (juego.semana) +"</td><td class='text-right'>"+ juego.serie_equipo_hc +"</td></tr>");
                                    //     _.remove(serie_alto_por_equipo_con_hc, {
                                    //             team_id: juego.team_id
                                    //             // num_consecutivo: juego.num_consecutivo
                                    //     });
                                    num++;
                                    if( num === num_premicacion.serie_high_by_team_with_handicap.length ){
                                        break;
                                    }
                                }

                            }else{
                                $("#serie_alta_por_equipo_con_hg").append("<tr class='table-danger'><td>No hay premiación</td></tr>");
                            }                                 

                            //juego alto individual sin handicap
                            if(  _.isArray( num_premicacion.game_high_individual_female ) ){

                                let num = 0;

                                var unique = _.uniqBy(juego_alto_individual_sin_hc_fem, function (e) {
                                    return e.player_id;
                                });

                                // console.log("juego_alto_individual_sin_hc_fem", juego_alto_individual_sin_hc_fem);

                                for( var juego of unique ){                                                  
                                    num++;
                                    console.log( "game_high_individual_female => ", juegos_jugados_req );
                                    
                                    if( juegos_jugados_req ){
                                        // console.log(config_liga.data.how_many_games_needs_to_play_to_choose_an_award, ">=",  premio_total.jugador.juegos_jugados);
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){                                
                                            $("#juego_alto_por_individual_sin_hg").append("<tr title='"+juego.team+"'><td>"+ juego.nickname +"</td><td class='text-right'>"+ juego.val_mas_alto +"</td></tr>");                                        
                                        }
                                        
                                        // _.remove(juego_alto_individual_sin_hc_fem, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });                              

                                    }else{
                                        
                                        $("#juego_alto_por_individual_sin_hg").append("<tr title='"+juego.team+"'><td>"+ juego.nickname +"</td><td class='text-right'>"+ juego.val_mas_alto +"</td></tr>");                                        

                                    }

                                    if( num === num_premicacion.game_high_individual_female.length ){
                                        break;
                                    }
                                }
                                    

                            }else{
                                $("#juego_alto_por_individual_sin_hg").append("<tr class='table-danger'><td>No hay premiación</td></tr>");
                            }


                            //juego alto individual con hc
                            
                            if(  _.isArray( num_premicacion.game_high_individual_female_with_handicap ) ){

                                var unique = _.uniqBy(juego_alto_individual_con_hc_fem, function (e) {
                                    return e.player_id;
                                });

                                let num2 = 0;
                                for( var juego of unique ){
                                    // console.log(juego);
                                    num2++;

                                    if( juegos_jugados_req ){
                                            
                                            if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){                                
                                                $("#juego_alto_individual_con_hg").append("<tr title='"+juego.team+"'><td>"+ juego.nickname +"<td><td class='text-right'>"+ juego.val_mas_alto_hc +"<td></tr>");
                                            }

                                            // _.remove(juego_alto_individual_con_hc_fem, {
                                            //     player_id: juego.player_id
                                            //     // num_consecutivo: juego.num_consecutivo
                                            // });

                                    }else{
                                        $("#juego_alto_individual_con_hg").append("<tr title='"+juego.team+"'><td>"+ juego.nickname +"<td><td class='text-right'>"+ juego.val_mas_alto_hc +"<td></tr>");
                                    }
                                    
                                    if( num2 === num_premicacion.game_high_individual_female_with_handicap.length ){
                                        break;
                                    }
                                    //removePlayerRepeatNewSinGerarquias(juego.id,)
                                                                
                                }

                            }else{
                                $("#juego_alto_individual_con_hg").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                            }


                            //serie alta individual femenil
                            if(  _.isArray( num_premicacion.serie_high_individual_female ) ){

                                var unique = _.uniqBy(serie_alta_individual_sin_hc_fem, function (e) {
                                    return e.player_id;
                                });

                                let num3 = 0;
                                for( var juego of unique ){
                                    num3++;
                                    if( juegos_jugados_req ){
                                            
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){   
                                            $("#serie_alto_individual_sin_hg").append("<tr title='"+juego.team+"'><td>"+juego.nickname+"<td><td class='text-right'>"+ juego.serie_max +"<td></tr>");
                                        }

                                        // _.remove(serie_alta_individual_sin_hc_fem, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });

                                    }else{    
                                        
                                        $("#serie_alto_individual_sin_hg").append("<tr title='"+juego.team+"'><td>"+juego.nickname+"<td><td class='text-right'>"+ juego.serie_max +"<td></tr>");
                                        // _.remove(serie_alta_individual_sin_hc_fem, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });
                                    }

                                    if( num3 === num_premicacion.serie_high_individual_female.length ){
                                        break;
                                    }
                                    
                                }
                            }else{                            
                                $("#serie_alto_individual_sin_hg").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                            }

                            //serie alta individual femenil
                            if(  _.isArray( num_premicacion.serie_high_individual_female_with_handicap ) ){

                                var unique = _.uniqBy(serie_alta_individual_con_hc_fem, function (e) {
                                    return e.player_id;
                                });

                                let num3 = 0;
                                for( var juego of unique ){
                                    num3++;
                                    if( juegos_jugados_req ){
                                            
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){
                                            $("#serie_alto_individual_con_hg").append("<tr title='"+juego.team+"'><td>"+juego.nickname+"<td><td class='text-right'>"+ juego.serie_max_hc +"<td></tr>");
                                        }

                                        // _.remove(serie_alta_individual_con_hc_fem, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });   
                                    
                                    }else{
                                        
                                        $("#serie_alto_individual_con_hg").append("<tr title='"+juego.team+"'><td>"+juego.nickname+"<td><td class='text-right'>"+ juego.serie_max_hc +"<td></tr>");
                                        //  _.remove(serie_alta_individual_con_hc_fem, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });
                                    }
                                    
                                    if( num3 === num_premicacion.serie_high_individual_female_with_handicap.length ){
                                        break;
                                    }

                                }

                            }else{                            
                                $("#serie_alto_individual_con_hg").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                            }

                            //VARONIL

                            if( _.isArray( num_premicacion.game_high_individual_male ) ){

                                let num4 = 0;

                                var unique = _.uniqBy(juego_alto_individual_sin_hc_var, function (e) {
                                    return e.player_id;
                                });

                                for( var juego of unique ){
                                    num4++;
                                    if( juegos_jugados_req ){
                                            
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){
                                            $("#juego_alto_individual_sin_hg_varonil").append("<tr title='"+juego.team+"'><td>"+juego.nickname+"<td><td class='text-right'>"+ juego.val_mas_alto +"<td></tr>");
                                        }

                                        // _.remove(juego_alto_individual_sin_hc_var, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });   

                                    }else{                                        
                                        $("#juego_alto_individual_sin_hg_varonil").append("<tr title='"+juego.team+"'><td>"+juego.nickname+"<td><td class='text-right'>"+ juego.val_mas_alto +"<td></tr>");
                                        // _.remove(serie_alta_individual_sin_hc_fem, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });
                                    }
                                    
                                    if( num4 === num_premicacion.game_high_individual_male.length ){
                                        break;
                                    }

                                }

                            }else{
                                $("#juego_alto_individual_sin_hg_varonil").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                            }                       

                            if( _.isArray( num_premicacion.game_high_individual_male_with_handicap ) ){

                                let num6 = 0;

                                 var unique = _.uniqBy(juego_alto_individual_con_hc_var, function (e) {
                                    return e.player_id;
                                });

                                console.log("juego_alto_individual_con_hc_var", unique);

                                for( var juego of unique ){
                                    num6++;
                                    if( juegos_jugados_req ){
                                            
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){
                                            $("#juego_alto_individual_con_hg_varonil").append("<tr title='"+juego.team+"'><td>"+ juego.nickname+"<td><td class='text-right'>"+ juego.val_mas_alto_hc +"<td></tr>");
                                        }

                                        // _.remove(juego_alto_individual_con_hc_var, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // }); 
                                    
                                    }else{
                                        $("#juego_alto_individual_con_hg_varonil").append("<tr title='"+juego.team+"'><td>"+ juego.nickname+"<td><td class='text-right'>"+ juego.val_mas_alto_hc +"<td></tr>");
                                        //     _.remove(juego_alto_individual_con_hc_var, {
                                        //     player_id: juego.player_id
                                        //     // num_consecutivo: juego.num_consecutivo
                                        // });
                                    }
                                    
                                    if( num6 === num_premicacion.game_high_individual_male_with_handicap.length ){
                                        break;
                                    }

                                }

                            }else{
                                $("#juego_alto_individual_con_hg_varonil").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                            }


                            if( _.isArray( num_premicacion.serie_high_individual_male ) ){
                                
                                let num6 = 0;

                                var unique = _.uniqBy(serie_alta_individual_sin_hc_var, function (e) {
                                    return e.player_id;
                                });

                                for( var juego of unique ){
                                    num6++;
                                    if( juegos_jugados_req ){
                                            
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){
                                            $("#serie_alto_individual_sin_hg_varonil").append("<tr title='"+juego.team+"'><td>"+ juego.nickname+"<td><td class='text-right'>"+ juego.serie_max +"<td></tr>");
                                        }

                                        // _.remove(serie_alta_individual_sin_hc_var, {
                                        //     // player_id: juego.player_id
                                        //     num_consecutivo: juego.num_consecutivo
                                        // }); 

                                    }else{
                                        // console.log("serie_alto_individual_sin_hg_varonil", juego);
                                        $("#serie_alto_individual_sin_hg_varonil").append("<tr title='"+juego.team+"'><td>"+ juego.nickname+"<td><td class='text-right'>"+ juego.serie_max +"<td></tr>");
                                        // _.remove(serie_alta_individual_sin_hc_var, {
                                        //     // player_id: juego.player_id
                                        //     num_consecutivo: juego.num_consecutivo
                                        // });
                                    }

                                    if( num6 === num_premicacion.serie_high_individual_male.length ){
                                        break;
                                    }

                                }

                            }else{
                                $("#serie_alto_individual_sin_hg_varonil").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                            }


                            if( _.isArray( num_premicacion.serie_high_individual_male_with_handicap ) ){

                                let num6 = 0;

                                var unique = _.uniqBy(serie_alta_individual_con_hc_var, function (e) {
                                    return e.player_id;
                                });

                                for( var juego of unique ){
                                    
                                    num6++;
                                    if( juegos_jugados_req ){
                                            
                                        if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  juego.juegos_jugados){
                                            $("#serie_alto_individual_con_hg_varonil").append("<tr><td title='"+juego.team+"'>"+ juego.nickname+"<td><td class='text-right'>"+ juego.serie_max_hc +"<td></tr>");
                                        }

                                        // _.remove(serie_alta_individual_con_hc_var, {
                                        //     // player_id: juego.player_id
                                        //     num_consecutivo: juego.num_consecutivo
                                        // });

                                    }else{                                        
                                        $("#serie_alto_individual_con_hg_varonil").append("<tr><td title='"+juego.team+"'>"+ juego.nickname+"<td><td class='text-right'>"+ juego.serie_max_hc +"<td></tr>");                                        
                                        //  _.remove(serie_alta_individual_con_hc_var, {
                                        //     // player_id: juego.player_id
                                        //     num_consecutivo: juego.num_consecutivo
                                        // });
                                    }

                                    if( num6 === num_premicacion.serie_high_individual_male_with_handicap.length ){
                                        break;
                                    }
                                }

                            }else{
                                console.log("JUEGOO => ",juego);
                                $("#serie_alto_individual_con_hg_varonil").append("<tr><td class='table-danger'>No hay premiación</td></tr>");
                                
                            }


                    }        

                    // console.log("lista_premiacion_equipos", lista_premiacion_equipos);
                    
                    for( var premio of lista_premiacion_equipos ){
                        
                        //SERIE ALTA INDIVIDUAL POR EQUIPO
                        if( premio.type === "serie_high_by_team" ){
                            serie_high_by_team( premio, "serie_high_by_team", reglas );                            
                        }

                        // /****************** serie_high_by_team ***********/
                        if( premio.type === "serie_high_by_team_with_handicap" ){
                            serie_high_by_team_with_handicap( premio, "serie_high_by_team_with_handicap", reglas );                            
                        }

                        // /***************game_high_by_team_with_handicap****************/                        
                        if( premio.type == "game_high_by_team" ){                            
                            game_high_by_team( premio, "game_high_by_team", reglas );
                        }

                        if( premio.type == "game_high_by_team_with_handicap" ){
                            game_high_by_team_with_handicap( premio, "game_high_by_team_with_handicap", reglas );
                        }
                        
                    }                                              
                    
                    for( var premio of lista_premiacion ){
                        // console.log("PREMIO =>",premio);
                        //INDIVIDUAL VARONIL
                        if( premio.type === "average_individual_male" ){
                            // how_many_games_needs_to_play_to_choose_an_award
                            average_individual_male( premio, "average_individual_male", reglas, config_liga.data  );                            
                        }
                        //IDIVIDUAL FEMENIL
                        if( premio.type === "average_individual_female" ){
                            average_individual_female( premio, "average_individual_female", reglas, config_liga.data );
                        }
                        
                        /**************** game_high_individual_female ******************/
                        if( premio.type == "game_high_individual_female" ){
                            game_high_individual_female( premio, "game_high_individual_female",reglas, config_liga.data );
                        }
                         
                         if(  premio.type === "game_high_individual_female_with_handicap"){
                            game_high_individual_female_with_handicap( premio, "game_high_individual_female_with_handicap", reglas, config_liga.data );
                        }                        
                        
                        /***************** serie_high_individual_male ******************/

                        if( premio.type == "serie_high_individual_male" ){
                            serie_high_individual_male( premio, "serie_high_individual_male", reglas );
                        }
                        
                        if( premio.type === "serie_high_individual_male_with_handicap" ){
                            serie_high_individual_male_with_handicap( premio, "serie_high_individual_male_with_handicap", reglas );
                        }

                        /******* serie_high_individual_female ********/
                        if( premio.type == "serie_high_individual_female" ){
                            serie_high_individual_female( premio, "serie_high_individual_female", reglas );
                        }
                        
                        if( premio.type === "serie_high_individual_female_with_handicap" ){                            
                            serie_high_individual_female_with_handicap( premio, "serie_high_individual_female_with_handicap", reglas );
                        }

                        /****************game_high_individual_male*********************/
                        if( premio.type == "game_high_individual_male" ){
                            game_high_individual_male( premio, "game_high_individual_male", reglas );
                        }

                        //JUEGO ALTO INDIVUDUAL VARONIL
                        if( premio.type === "game_high_individual_male_with_handicap" ){
                            game_high_individual_male_with_handicap( premio, "game_high_individual_male_with_handicap", reglas );
                        }

                        //JUEGO ALTO INDIVUDUAL FEMENIL CON HANDICAP
                        // if(  premio.type === "game_high_individual_female_with_handicap"){
                        //     game_high_individual_female_with_handicap( premio, "game_high_individual_female_with_handicap" );
                        // }                        
  
                    }

                    var filtro = _.filter(premios_totales,function(pleyer) {

                        return pleyer.type === "average_individual_male" ;//pleyer.juegos_jugados >= config_liga.data.how_many_games_needs_to_play_to_choose_an_award;

                    });                    

                       
                    console.log("FILTRO => ", premios_totales);
                    
                    for( var premio_total of premios_totales ){

                        // console.log("premios totales => ", premio_total);

                        if( premio_total.type === "average_individual_male" ){ 
                            
                            if( juegos_jugados_req ){

                                // console.log(config_liga.data.how_many_games_needs_to_play_to_choose_an_award, ">=",  premio_total.jugador.juegos_jugados);

                                if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <= premio_total.jugador.juegos_jugados){                                
                                    $(".t-p-individual-"+premio_total.jugador.player_id).addClass("yellow-table");
                                }                         

                            }else{
                                $(".t-p-individual-"+premio_total.jugador.player_id).addClass("yellow-table");
                            }

                        }

                        if( premio_total.type === "average_individual_female" ){
                            if( juegos_jugados_req ){
                                if( config_liga.data.how_many_games_needs_to_play_to_choose_an_award <=  premio_total.jugador.juegos_jugados){                                
                                    $(".t-p-individual-"+premio_total.jugador.player_id).addClass("purple-tr");
                                }  
                            }else{
                                $(".t-p-individual-"+premio_total.jugador.player_id).addClass("purple-tr");
                            }
                        }
                    
                        // console.log("juego perfecto =>", juego_perfecto);

                        if( reglas.awards_are_by_hierarchy == 1 ){
                            
                            // console.log( premio_total.jugador.nickname, premio_total.type );

                            if( premio_total.type === "game_high_individual_female" ){
                                $("#juego_alto_por_individual_sin_hg").append("<tr><td>"+ premio_total.jugador.nickname +"</td><td class='text-right'>"+ premio_total.jugador.val_mas_alto +"</td></tr>");
                            }
                            
                            if( premio_total.type === "game_high_individual_female_with_handicap" ){
                                $("#juego_alto_individual_con_hg").append("<tr><td>"+ premio_total.jugador.nickname +"</td><td class='text-right'>"+ premio_total.jugador.val_mas_alto_hc +"</td></tr>");
                            }

                            if( premio_total.type === "serie_high_individual_female" ){                            
                                $("#serie_alto_individual_sin_hg").append("<tr><td>"+premio_total.jugador.nickname+"<td><td class='text-right'>"+ premio_total.jugador.serie_max +"<td></tr>");
                            }
                            
                            if( premio_total.type === "serie_high_individual_female_with_handicap" ){
                                $("#serie_alto_individual_con_hg").append("<tr><td>"+premio_total.jugador.nickname+"<td><td class='text-right'>"+ premio_total.jugador.serie_max_hc +"<td></tr>");
                            }
                            
                            if( premio_total.type === "serie_high_individual_male" ){
                                $("#serie_alto_individual_sin_hg_varonil").append("<tr><td>"+ premio_total.jugador.nickname+"<td><td class='text-right'>"+ premio_total.jugador.serie_max +"<td></tr>");
                            }
                            
                            if( premio_total.type === "serie_high_individual_male_with_handicap" ){
                                $("#serie_alto_individual_con_hg_varonil").append("<tr><td>"+ premio_total.jugador.nickname+"<td><td class='text-right'>"+ premio_total.jugador.serie_max_hc +"<td></tr>");
                            }
                        
                            if( premio_total.type === "game_high_individual_male" ){
                                $("#juego_alto_individual_sin_hg_varonil").append("<tr><td>"+ premio_total.jugador.nickname +"<td><td class='text-right'>"+ premio_total.jugador.val_mas_alto +"<td></tr>");
                            }

                            if( premio_total.type === "game_high_individual_male_with_handicap" ){
                                $("#juego_alto_individual_con_hg_varonil").append("<tr><td>"+ premio_total.jugador.nickname +"<td><td class='text-right'>"+ premio_total.jugador.val_mas_alto_hc +"<td></tr>");
                            }                            

                                                 
                        }

                    }

                    // console.log("premios_totales_equipos ===> ", premios_totales_equipos);
                    if( reglas.awards_are_by_hierarchy == 1 ){                        

                        // console.log("juego_alto_por_equipo_sin_hc", lista_premiacion_equipos, premios_totales_equipos);
                        // console.log("lista_premiacion_equipos", lista_premiacion_equipos);

                        for( var premio_total of lista_premiacion_equipos ){

                            
                            if( premio_total.type == "game_high_by_team" ){                                                                                    
                                // console.log( premio_total );
                                var juego_equipo_new = _.orderBy(jugadores_jerarquias, ["juego_equipo"], ["desc"]);
                                
                                $("#juego_alto_por_equipo_sin_hg").append("<tr><td>"+ juego_equipo_new[0].team_name +"</td><td class='text-right'>"+ juego_equipo_new[0].juego_equipo +"</td></tr>");
                                
                                
                                _.remove(jugadores_jerarquias, {
                                    team_id: juego_equipo_new[0].team_id
                                });

                            }

                            if( premio_total.type == "game_high_by_team_with_handicap" ){ 
                                var juego_equipo_new = _.orderBy(jugadores_jerarquias, ["juego_equipo_hc"], ["desc"]);
                                $("#juego_alto_por_equipo_con_hg").append("<tr><td>"+juego_equipo_new[0].team_name +"</td><td class='text-right'>"+ juego_equipo_new[0].juego_equipo_hc +"</td></tr>");
                                _.remove(jugadores_jerarquias, {
                                    team_id: juego_equipo_new[0].team_id
                                });
                            }  

                            if( premio_total.type === "serie_high_by_team" ){
                                var juego_equipo_new = _.orderBy(jugadores_jerarquias, ["serie_equipo"], ["desc"]);
                                $("#serie_alta_por_equipo_sin_hg").append("<tr><td>"+juego_equipo_new[0].team_name +"</td><td class='text-right'>"+ juego_equipo_new[0].serie_equipo +"</td></tr>");
                                _.remove(jugadores_jerarquias, {
                                    team_id: juego_equipo_new[0].team_id
                                });
                            }

                            if( premio_total.type === "serie_high_by_team_with_handicap" ){
                                var juego_equipo_new = _.orderBy(jugadores_jerarquias, ["serie_equipo_hc"], ["desc"]);
                                $("#serie_alta_por_equipo_con_hg").append("<tr><td>"+juego_equipo_new[0].team_name +"</td><td class='text-right'>"+ juego_equipo_new[0].serie_equipo +"</td></tr>");
                                _.remove(jugadores_jerarquias, {
                                    team_id: juego_equipo_new[0].team_id
                                });
                            } 

                        }

                    }
                  
                }   
            });
        }        

        function validaPremiacionPerfecata(lista_premiacion){
            for( let premiacion of lista_premiacion ){
                if( premiacion.type == "perfect_game" ){
                    return true;
                }
            }
        }

        function average_individual_male( premio, type, reglas, config_liga ){            
            var group = _.chain(jugadores).groupBy("genero").value();
            var jugador = _.orderBy(group.male, ["promedio"], ["desc"]);
            jugador_average_individual_male = jugador;
            
            if( juegos_jugados_req ){
                // how_many_games_needs_to_play_to_choose_an_award

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }

              
            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );                       
                removePlayerRepeatNew( jugador[0].player_id );                        
            }
        }

        function average_individual_female( premio, type, reglas ){
            var group   = _.chain(jugadores).groupBy("genero").value();
            var jugador = _.orderBy(group.female, ["promedio"], ["desc"]);
            jugador_average_individual_female = jugador;

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }
            
        }            
        
        function game_high_individual_female( premio, type, reglas ){
            var group = _.chain(jugadores).groupBy("genero").value();                     
            var jugador = _.orderBy(group.female, ["val_mas_alto"], ["desc"]);
            
            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });                

                // console.log( "jugador", jugador );
                // console.log("jugadores", jugadores);

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }

        function game_high_individual_female_with_handicap( premio, type, reglas ){

            var group = _.chain(jugadores).groupBy("genero").value();         
            var jugador = _.orderBy(group.female, ["val_mas_alto_hc"], ["desc"]);
            

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }
            
        function serie_high_individual_male( premio, type, reglas ){
            var group = _.chain(jugadores).groupBy("genero").value();                     
            var jugador = _.orderBy(group.male, ["serie_max"], ["desc"]);            

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });                

                if( jugador.length > 0 ){

                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );

                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }

        function serie_high_individual_male_with_handicap(  premio, type, reglas ){   
            var group = _.chain(jugadores).groupBy("genero").value();  
            // console.log("serie_high_individual_male_with_handicap",group);                   
            var jugador = _.orderBy(group.male, ["serie_max_hc"], ["desc"]);            

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );        
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }
        // console.log( "JUGADORES=>> ", jugadores );
        
        function serie_high_individual_female( premio, type, reglas ){
            var group   = _.chain(jugadores).groupBy("genero").value();         
            var jugador = _.orderBy(group.female, ["serie_max"], ["desc"]);
            

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){

                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );

                }

                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );            
                }
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }

        function serie_high_individual_female_with_handicap( premio, type, reglas ){
            var group = _.chain(jugadores).groupBy("genero").value();         
            var jugador = _.orderBy(group.female, ["serie_max_hc"], ["desc"]);

            console.log("serie_high_individual_male",jugador);

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );            
                }
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }

        function game_high_individual_male( premio, type, reglas ){
            var group = _.chain(jugadores).groupBy("genero").value();         
            var jugador = _.orderBy(group.male, ["val_mas_alto"], ["desc"]);

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                // console.log("game_high_individual_male ===> ", jugador);

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );        
        }

        function game_high_individual_male_with_handicap( premio, type, reglas ){
            var group = _.chain(jugadores).groupBy("genero").value();         
            var jugador = _.orderBy(group.male, ["val_mas_alto_hc"], ["desc"]);

            if( juegos_jugados_req ){

                jugador =_.filter(jugador,function(pleyer) {

                    return pleyer.juegos_jugados >= config_liga.how_many_games_needs_to_play_to_choose_an_award ;

                });

                if( jugador.length > 0 ){
                    premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                    removePlayerRepeatNew( jugador[0].player_id );
                }


                // if( config_liga.how_many_games_needs_to_play_to_choose_an_award <= jugador[0].juegos_jugados ){
                //     premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                //     removePlayerRepeatNew( jugador[0].player_id );      
                // }else{
                //     removePlayerRepeatNew( jugador[0].player_id );  
                // }

            }else{
                premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
                removePlayerRepeatNew( jugador[0].player_id );            
            }

            // premios_totales.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }


        function serie_high_by_team( premio, type, reglas ){    
            
            var jugador = _.orderBy(equipos_serie_alta, ["serie_equipo"], ["desc"]);            
            premios_totales_equipos.push( { type: type, jugador: jugador[0], premio: premio} );    
            
            removeTeamRepeatNew( jugador[0].player_id );
            // removePlayerRepeatNew( jugador[0].player_id );
            
        }

        function serie_high_by_team_with_handicap( premio, type, reglas ){
            var jugador = _.orderBy(equipos_serie_alta_hc, ["serie_equipo_hc"], ["desc"]);
            premios_totales_equipos.push( { type: type, jugador: jugador[0], premio: premio} );            
            // removePlayerRepeatNew( jugador[0].player_id );
            removeTeamRepeatNew( jugador[0].player_id );
        }

        function game_high_by_team( premio, type, reglas ){
            var jugador = _.orderBy(juegos_alto, ["juego_equipo"], ["desc"]);
            premios_totales_equipos.push( { type: type, jugador: jugador[0], premio: premio} );
            removeTeamRepeatNew( jugador[0].player_id );
            
        }

        function game_high_by_team_with_handicap( premio, type, reglas ){
            var jugador = _.orderBy(juegos_alto_hc, ["juego_equipo_hc"], ["desc"]);
            premios_totales_equipos.push( { type: type, jugador: jugador[0], premio: premio} );            
            removeTeamRepeatNew( jugador[0].player_id );            
        }              
        
        function removePlayerRepeatNewSinGerarquias( player_id, valores ){
            // return;
            for(var i = 0; i < valores.length; i++) {                
                if(jugadores[i].player_id == player_id) {
                    jugadores.splice(i, 1);
                    break;
                }
            }
        }

        function removePlayerRepeatNew( player_id ){
            // return;
            for(var i = 0; i < jugadores.length; i++) {                
                if(jugadores[i].player_id == player_id) {
                    jugadores.splice(i, 1);
                    break;
                }
            }
        }

        function removeTeamRepeatNew( player_id ){
            // console.log("equipos", equipos);
            for(var i = 0; i < equipos.length; i++) {                
                if(equipos[i].player_id == player_id) {                    
                    equipos.splice(i, 1);
                    break;
                }
            }
        }

        function listarPremiacion( num_premicacion ){
            var todos_premios = [];            
            for( var premios in num_premicacion ){
                for( var premio of num_premicacion[premios] ){                    
                    todos_premios.push( premio );
                }
            }

            var todos_premios_order = _.orderBy(todos_premios, ["money_award"], ["desc"]);            

            return todos_premios_order;
            
        }

        function listaPremiacionEquipos( num_premicacion ){
            var todos_premios = [];

            for( var premios in num_premicacion ){
                for( var premio of num_premicacion[premios] ){   

                    if( premio.type === "game_high_by_team" ){
                        todos_premios.push( premio );
                    }

                    if( premio.type === "game_high_by_team_with_handicap" ){
                        todos_premios.push( premio );
                    }

                    if( premio.type === "serie_high_by_team" ){
                        todos_premios.push( premio );
                    }      

                    if( premio.type === "serie_high_by_team_with_handicap" ){
                        todos_premios.push( premio );
                    }
                    
                }
            }

            var todos_premios_order = _.orderBy(todos_premios, ["money_award"], ["desc"]);            

            return todos_premios_order;
        }

        function listarJugadores( jugadores ){
            
            var todos_jugadores = [];
            for( var jugadores of jugadores.data ){
                for( var jugador of jugadores){
                    todos_jugadores.push( jugador );
                }                
            }

            return todos_jugadores;

        }

        $("#switch-size").bootstrapSwitch('state', 0);        
        
        // function tablaPuntajes(){
            
        //     $.ajax({
        //         url: '<?php echo e(route("asignar_puntaje.tabla_de_puntajes")); ?>',
        //         type: "POST",
        //         data: { id_liga : league.id, category_id: category_id },
        //         error: function (e) {
        //             console.log("Error",e);
        //             if( e ){

        //             }
        //         },      
        //         success: function (response) {
        //             console.log( "Tabla posiciones", response );
        //         }

        //     });
        // }

        // function nullDummy( player ){
        //     console.log( player );
        // }
        
        function loadPremiacion(){
            $.ajax({
                url : '<?php echo e(route("asignar_puntaje.premiacion")); ?>',
                data : { id : league.id },
                type : 'POST',
                success : function(data) {                    
                    console.log( "Secarga premiacion", data.data );                    

                    if(  data.data.how_many_teams_get_award != 0 ){
                        for (let index = 1; index <= data.data.how_many_teams_get_award; index++) {

                            $(".num-"+index).addClass( "equipos_tabla" );
                            
                        }
                    }
                    
                }
            });
        }

        function getTablaDePosiciones(){

            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.get_tabla_posiciones_json")); ?>',
                type: "POST",
                data: { rol_id : rol, category_id: category_id, iterator_week: week_number },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    console.log("tabla de posiciones",response);
                    $("#body-create").empty();
                    $("#t-posiciones-name").empty();
                    $("#t-p-semana").empty();
                    
                    $("#t-p-semana").append("Semana "+ response.week_label_number +" - "+response.rol_tournament.date );
                    $("#t-posiciones-name").append( response.category.name );
                    var tabla_posiciones = _.orderBy(response.tabla_posiciones, ["total_win","total_serie_pt"], ["desc", "desc"]);
                    // console.log( tabla_posiciones );
                    var num = 0;
                    for( var reg of tabla_posiciones ){
                        if( reg ){                            
                            num++;
                            $("#body-create").append("<tr><td width='5%' class='text-center num-"+num+"'>"+num+"</td><td width='40%' class='num-"+num+"'>"+reg.get_team.name+"</td><td width='10%' class='text-center num-"+num+"'>"+reg.total_win+"</td><td width='10%' class='text-center num-"+num+"'>"+reg.total_loss+"</td><td class='text-center num-"+num+"'>"+reg.total_serie_pt+"</td><td class='text-center num-"+num+"'>"+reg.total_serie_pt_average+"</td></tr>");
                        }
                    }

                    loadPremiacion();
                    // console.log( "Tabla posiciones", tabla_posiciones );
                }

            });   
        }


        //tabla por equipos
        var loadExcelEquipos = false;
        var loadExcelJugadores = false;
        var tabla_por_equipos = [];
        var teams_equipos = [];

        function tablaPorEquipos(){     
            
            swal({
                title: 'Cargando...',
                text:"Consultando tabla por equipos.",
                allowEscapeKey: false,
                allowOutsideClick: false,
                // timer: 2000,
                onOpen: () => {
                    swal.showLoading();
                }
            });

            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.tabla_por_equipo")); ?>',
                type: "POST",
                data: { id_liga :league.id, rol_id : rol, category_id: category_id, iterator_week: week_number },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {

                    swal.close();

                    tabla_por_equipos = response.data_enfrentamiento;
                    teams_equipos     = response.teams;
                
                    console.log("Tabla por equipos", response, league.get_player_types.number_game_by_session);

                    $(".head-equipos").empty();
                    $(".head-teams").empty();
                    $("#body-equipos").empty();

                    loadFilterEquipos( response );
                    
                    var data = _.chain(response.data_enfrentamiento).groupBy("week").value(); 
                    var num = 0;

                    $("#equipos-tabla").empty();
                    $("#equipos-tabla").append(`<option value="0">Todos</option>`);

                    for( var team of response.teams ){
                        console.log("equipo", team);
                        $("#equipos-tabla").append(`<option value="${team.id}">${team.name}</option>`);
                    }
                    

                    // <div width="40%" class="number-game-by-session"></div>
                    $(".head-equipos").append('<tr class="head-teams"><th class="text-center" width="4%">#</th><th class="text-center" width="4%">Sem.</th><th class="text-center" width="7%">Fecha</th><th class="text-left" width="12%" rowspan="2">Equipo</th><div class="number-game-by-session"></div></tr>');
                    
                    for (var index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                         var ancho = 30/league.get_player_types.number_game_by_session;
                        $(".head-teams").append("<th class='text-center' colspan='2' width='"+ancho+"%'>J"+index+"</th>");
                    }    

                    $(".head-teams").append("<th class='text-center' width='7%'>PINOS</th>");
                    $(".head-teams").append("<th class='text-center' width='7%'>HC Grupal</th>");
                    $(".head-teams").append("<th class='text-center' width='7%'>Gran Total</th>");
                    $(".head-teams").append("<th class='text-center' width='3%'>JJ</th>");
                    $(".head-teams").append("<th class='text-center' width='3%'>JG</th>");
                    $(".head-teams").append("<th class='text-center' width='3%'>JP</th>");
                    $(".head-teams").append("<th class='text-center' >Gran Total</th>");
                    $(".head-teams").append("<th class='text-center' >PROMEDIO</th>");
                    $(".head-teams").append("<th class='text-center' >JJ</th>");
                    $(".head-teams").append("<th class='text-center' >JG</th>");
                    $(".head-teams").append("<th class='text-center' >JP</th>")

                    var num_2 = 0;
                    var gran_total_acumulado = [];
                    var partido = 0;
                    for( var semana in data ){                                                
                        console.log("Tabla por equipos ===> ",num_2, data);
                        
                        console.log("semana",data[semana][partido]);
                        if( data[semana][partido] ){
                            $("#body-equipos").append("<tr><td colspan='22' class='text-center'>"+data[semana][partido].rol_tournament.type+"</td></tr>");
                        }
                        partido++;
                        for( var data_semana of data[semana]){   
                            
                            num++

                            // console.log(data_semana.rol_tournament.type);

                            // if( data_semana.rol_tournament.suspended === 1 ){
                            //     $("#body-equipos").append("<tr class='t-posiciones'><td class='text-center'>"+num+"</td><td class='text-center'>"+(data_semana.rol_tournament.iterator_week +1 )+"</td><td>"+data_semana.rol_tournament.date+"</td><td>SUSPENDIDO</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.first_team_id ) +"</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.second_team_id ) +"</td></tr>")                                
                            // }
                            console.log("rol_tournament",data_semana);
                            // data_semana.rol_tournament.first_team_id
                            $("#body-equipos").append("<tr class='t-posiciones reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'><td class='text-center'>"+num+"</td><td class='text-center'>"+(data_semana.rol_tournament.iterator_week +1 )+"</td><td>"+data_semana.rol_tournament.date+"</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.first_team_id ) +"</td></tr>");                            

                            
                            // console.log(data_semana.rol_tournament);

                            var filtro = _.filter(data_semana.rol_tournamentSession, function(team) {

                                return team.team_id === data_semana.rol_tournament.first_team_id;

                            }); 

                            var sum_puntaje = 0;   
                            var sum_hc = 0;  
                            var jj = 0;
                            var win = 0;
                            var lost = 0;   

                            for( var session of filtro ){

                                // console.log(session, data_semana);

                                if( data_semana.team_added_in_tournament == null ){
                                    jj++;
                                }

                                // console.log(data_semana.rol_tournament.first_team_id);
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+session.sum_puntaje+"</td>");
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+session.sum_handycap+"</td>");                                                                
                                sum_puntaje = sum_puntaje + session.sum_puntaje;
                                sum_hc      = sum_hc + session.sum_handycap;
                                if( session.win == 1 ){
                                    // win = win + session.win;
                                    if( data_semana.team_added_in_tournament == null){
                                        win++;
                                    }
                                }

                                if( session.win == 0 ){
                                    if(  data_semana.team_added_in_tournament == null ){
                                        lost++;
                                    }
                                }
                                // first_team_win_serie
                            }

                            // console.log(data_semana.rol_tournament.first_team_total);

                            // conteoGranTotal( data );

                            // gran_total_acumulado[rol_tournament.first_team_id] = gran_total_acumulado[rol_tournament.first_team_id] + first_team_total;

                            // console.log();
                            
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+sum_puntaje+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+sum_hc+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center' title='TOTAL.'>"+ valida_numero_negativo( data_semana.rol_tournament.first_team_total )+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center' title='JUEGOS TOTAL JUGADOS POR SEMANA'>"+ data_semana.juegos_total_jugados_week_f +"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'  title='JUEGOS JUGADOS POR SEMANA GANADOS'>"+ data_semana.juegos_jugados_week_first_win +"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center' title='JUEGOS JUGADOS POR SEMANA PERDIDOS'>"+ data_semana.juegos_jugados_week_first_lost +"</td>");
                            // gran total
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+ valida_numero_negativo( data_semana.first_totla_acumulado )+"</td>");
                            //promedio
                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+ (data_semana.rol_tournament.first_team_total / league.get_player_types.number_game_by_session).toFixed(1) +"</td>");                            

                            var porc_f =  parseFloat( data_semana.first_totla_acumulado ) <= 0 ? 0 : (data_semana.first_totla_acumulado / data_semana.total_acumulado_first).toFixed(1);

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+ porc_f +"</td>");
                            //jj
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td title='JUEGOS JUGADOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+data_semana.total_acumulado_first+"</td>");
                            //jg
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td title='PUNTOS GANADOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+  data_semana.first_win_num +"</td>"); 

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td title='PUNTOS PERDIDOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ data_semana.first_lost_num +"</td>");                            

                            // console.log( "FIRST", data_semana.jj_first );

                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ data_semana.rol_tournamement_first_win_serie +"</td>");   

                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ data_semana.rol_tournamement_first_lost_serie +"</td>");                                                        

                            if( data_semana.rol_tournament.suspended === 1 ){
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).addClass("yellow-table");
                                $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("SUSPENDIDO");
                            }
                            // else{
                            //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'></td>");
                            // }

                            if( data_semana.rol_tournament.first_team_suspended === 1 ){
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).addClass("danger-table");
                                $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("NO ASISTIÓ");
                            }else{

                            }

                            
                            /**********************************/                            

                            num++
                            $("#body-equipos").append("<tr class='t-posiciones reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'><td class='text-center'>"+num+"</td><td class='text-center'>"+(data_semana.rol_tournament.iterator_week + 1)+"</td><td>"+data_semana.rol_tournament.date+"</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.second_team_id )+"</td></tr>");

                            var filtro = _.filter(data_semana.rol_tournamentSession, function(team) {

                                return team.team_id === data_semana.rol_tournament.second_team_id;

                            }); 

                            var sum_puntaje_2 = 0;   
                            var sum_hc_2 = 0; 
                            var win_2 = 0; 
                            var jj_2 = 0;
                            var lost_2 = 0;  

                            for( var session of filtro ){  

                                if( data_semana.team_added_in_tournament == null ){     
                                    jj_2++;  
                                }                   
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+session.sum_puntaje+"</td>");
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+session.sum_handycap+"</td>");                                                                
                                sum_puntaje_2 = sum_puntaje_2 + session.sum_puntaje;
                                sum_hc_2      = sum_hc_2 + session.sum_handycap;

                                if( session.win == 1 ){
                                    // win = win + session.win;
                                    if(  data_semana.team_added_in_tournament == null ){
                                        win_2++;
                                    }
                                }

                                if( session.win == 0 ){
                                    if(  data_semana.team_added_in_tournament == null ){
                                        lost_2++;
                                    }
                                }
                                
                            }

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+sum_puntaje_2+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+sum_hc_2+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center' title='TOTAL'>"+ valida_numero_negativo(data_semana.rol_tournament.second_team_total)+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center' title='JUEGOS TOTAL JUGADOS POR SEMANA'>"+ data_semana.juegos_total_jugados_week_s +"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center' title='JUEGOS JUGADOS POR SEMANA GANADOS'>"+ data_semana.juegos_jugados_week_second_win /*(win_2 + validaPuntoConfig( data_semana.rol_tournament.first_team_win_serie, data_semana.rol_tournament.second_team_win_serie, 2, data_semana.team_added_in_tournament ) )*/+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center' title='JUEGOS JUGADOS POR SEMANA PERDIDOS'>"+ data_semana.juegos_jugados_week_second_lost /*(lost_2 + validaPuntoConfigNegativo(data_semana.rol_tournament.first_team_win_serie, data_semana.rol_tournament.second_team_win_serie, 2, data_semana.team_added_in_tournament) )*/+"</td>");

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+valida_numero_negativo(data_semana.second_totla_acumulado)+"</td>");                            
                            //porcentaje
                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+ (data_semana.rol_tournament.second_team_total / league.get_player_types.number_game_by_session).toFixed(1) +"</td>");                                                        
                            
                            var porc =  parseFloat( data_semana.second_totla_acumulado ) <= 0 ? 0 : (data_semana.second_totla_acumulado / data_semana.total_acumulado_second).toFixed(1);
                            
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+ porc +"</td>");                                                        

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td title='PUNTOS TOTALES ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.total_acumulado_second+"</td>");

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td title='PUNTOS GANADOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.second_win_num +"</td>");                            

                            if( data_semana.rol_tournament.second_team_id == 2 ){
                                console.log("SEMANA =>", data_semana.rol_tournament.iterator_week, data_semana.rol_tournamement_second_lost_serie);
                            }

                            // validaPuntoConfigAcumulado(data_semana.second_tournament_session_lost, data_semana.rol_tournamement_second_lost_serie)
                            //data_semana.first_tournament_session_win
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td title='PUNTOS PERDIDOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.second_lost_num+"</td>");

                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.rol_tournamement_second__win_serie +"</td>");            

                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.rol_tournamement_second_lost_serie +"</td>");            

                            console.log("second win serie", data_semana.rol_tournamement_second__win_serie );

                            if( data_semana.rol_tournament.suspended === 1 ){
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).addClass("yellow-table");
                                $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("SUSPENDIDO");
                            }

                            if( data_semana.rol_tournament.second_team_suspended === 1 ){
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).addClass("danger-table");
                                $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("NO ASISTIÓ");
                            }else{

                            }

                        }
                        // $("#body-equipos").append("<tr><td colspan='17' style='padding-top:1vw;'></td></tr>");
                        // console.log(data[semana]);
                        // body-equipos

                        num_2++;
                    }       

                    for (let index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                        $(".number-game-by-session").append("<th>"+index+"</th>");
                    }

                    if( loadExcelEquipos === false ){

                        setTimeout( function(){
    
                            $(".tabla-equipos").tableExport({
                                separator: ",",                         // [String] column separator, [default: ","]
                                headings: true,                         // [Boolean], display table headings (th elements) in the first row, [default: true]
                                buttonContent: "TABLA_POR_EQUIPOS",     // [String], text/html to display in the export button, [default: "Export file"]
                                addClass: "",                           // [String], additional button classes to add, [default: ""]
                                defaultClass: "btn",                    // [String], the default button class, [default: "btn"]
                                defaultTheme: "btn-default",            // [String], the default button theme, [default: "btn-default"]
                                type: "xlsx",                            // [xlsx, csv, txt], type of file, [default: "csv"]
                                fileName: "export",                     // [id, name, String], filename for the downloaded file, [default: "export"]
                                position: "bottom",                     // [top, bottom], position of the caption element relative to table, [default: "bottom"]
                                stripQuotes: true                       // [Boolean], remove containing double quotes (.txt files ONLY), [default: true]
                            });
    
                            $(".tabla-equipos caption").removeClass("btn-toolbar");
    
                        }, 1000);

                    }
                    
                    loadExcelEquipos = true;
                    
                }

            });   

        }

        function redondeo( valor ){
            if( valor ){

            }
        }

        function validaPuntoConfigAcumulado( punto, puntos_ganados ){
            return punto + puntos_ganados;
        }

        function validaPuntoConfig( first, second, num_team, team_added_in_tournament ){

            if(team_added_in_tournament == null){

                if( num_team == 1 && first !== 0 ){
                    return first;
                }

                if(  num_team == 2 && second !== 0 ){
                    return second;
                }   
            }

            return 0;
        }

        function validaPuntoConfigNegativo( first, second, num_team, team_added_in_tournament ){
            
            if(team_added_in_tournament == null){

                if( num_team == 1 && first == 0 ){
                    return 1;
                }

                if( num_team == 2 && second == 0 ){
                    return 1;
            }   

            }
            return 0;
        }


        function viewTeam( teams, id ){

            console.log(teams, id);

            var filtro = _.filter(teams,function(team) {

                return team.id === id;

            });
            
            return filtro[0].name;
        }

        function hc_inicial( puntajes ){
            var num = 0;
            var num_arr =0;
            var total = 0;
            // console.log(puntajes);
            // for( puntajes in puntaje ){
                
            //     if( puntaje[num_arr].handycap_calculated != 0 ){
            //         total = total + puntaje[num_arr].handycap_calculated;
            //         num++;
            //     }
            //     num_arr++;
            // }
            
            // return total/num;
        }

        function validHC( valor ){
            if( valor ){
                console.log("is valid", valor);
                return valor.handycap_calculated;
            }

            return 0;
        }

        $(document).ready(function() {
            $('.js-example-basic-single').select2();
        });

        function loadFilterEquipos( response ){
            
            $('#equipos-tabla').on('change', function() {

                $(".head-equipos").empty();
                $("#body-equipos").empty();

                var valor = this.value;
                var filtered_resp = [];
                tabla = [];
                

                if( valor != 0 ){

                    filtered_resp = _.filter(
                        tabla_por_equipos, function(o) {
                            // console.log(o.player.id  + "=="+ valor);
                        return o.rol_tournament.first_team_id == valor || o.rol_tournament.second_team_id == valor;
                        }
                    );

                }else{
                    filtered_resp = teams_jugadores; 
                }

                var data = _.chain(filtered_resp).groupBy("week").value();

                console.log("filtered_resp =>",filtered_resp, valor);
                // return;

                // var data = _.chain(response.data_enfrentamiento).groupBy("week").value(); 
                                                   
                var num_2 = 0;
                var num = 0;
                    var gran_total_acumulado = [];
                    var partido = 0;
                    // console.log("DATA ===> ", data);
                    for( var semana in data ){                                                
                        
                        console.log("semana",data[semana][partido]);
                        if( data[semana][partido] ){
                            $("#body-equipos").append("<tr><td colspan='22' class='text-center'>"+data[semana][partido].rol_tournament.type+"</td></tr>");
                        }
                        partido++;
                        for( var data_semana of data[semana]){   
                            
                            num++

                            // console.log(data_semana.rol_tournament.type);

                            // if( data_semana.rol_tournament.suspended === 1 ){
                            //     $("#body-equipos").append("<tr class='t-posiciones'><td class='text-center'>"+num+"</td><td class='text-center'>"+(data_semana.rol_tournament.iterator_week +1 )+"</td><td>"+data_semana.rol_tournament.date+"</td><td>SUSPENDIDO</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.first_team_id ) +"</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.second_team_id ) +"</td></tr>")                                
                            // }
                            
                            
                        $("#body-equipos").append("<tr class='t-posiciones reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'><td class='text-center'>"+num+"</td><td class='text-center'>"+(data_semana.rol_tournament.iterator_week +1 )+"</td><td>"+data_semana.rol_tournament.date+"</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.first_team_id ) +"</td></tr>");                            
                                
                        if( data_semana.rol_tournament.first_team_id == valor ){                            

                            var filtro = _.filter(data_semana.rol_tournamentSession, function(team) {

                                return valor === data_semana.rol_tournament.first_team_id;
                                // return team.team_id === data_semana.rol_tournament.first_team_id;

                            }); 

                            console.log("FILTRO", filtro);

                            var sum_puntaje = 0;   
                            var sum_hc = 0;  
                            var jj = 0;
                            var win = 0;
                            var lost = 0;   

                            for( var session of filtro ){

                                if( data_semana.team_added_in_tournament == null ){
                                    jj++;
                                }

                                // console.log(data_semana.rol_tournament.first_team_id);
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+session.sum_puntaje+"</td>");
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+session.sum_handycap+"</td>");                                                                
                                sum_puntaje = sum_puntaje + session.sum_puntaje;
                                sum_hc      = sum_hc + session.sum_handycap;
                                if( session.win == 1 ){
                                    // win = win + session.win;
                                    if( data_semana.team_added_in_tournament == null){
                                        win++;
                                    }
                                }

                                if( session.win == 0 ){
                                    if(  data_semana.team_added_in_tournament == null ){
                                        lost++;
                                    }
                                }
                                // first_team_win_serie
                            }
                
                            
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+sum_puntaje+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+sum_hc+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+data_semana.rol_tournament.first_team_total+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+ jj /* (jj + validaPuntoConfig(league.get_player_types.point_by_win_serie) ) */+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+(win + validaPuntoConfig( data_semana.rol_tournament.first_team_win_serie, data_semana.rol_tournament.second_team_win_serie, 1, data_semana.team_added_in_tournament ) )+"</td>");
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+(lost + validaPuntoConfigNegativo(data_semana.rol_tournament.first_team_win_serie, data_semana.rol_tournament.second_team_win_serie, 1, data_semana.team_added_in_tournament) ) +"</td>");
                            // gran total
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+ data_semana.first_totla_acumulado+"</td>");
                            //promedio
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'>"+ (data_semana.rol_tournament.first_team_total / league.get_player_types.number_game_by_session).toFixed(1) +"</td>");
                            //jj
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td title='JUEGOS JUGADOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+data_semana.total_acumulado_first+"</td>");
                            //jg
                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td title='PUNTOS GANADOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ validaPuntoConfigAcumulado( data_semana.first_tournament_session_win, data_semana.rol_tournamement_first_win_serie)+"</td>"); 

                            $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td title='PUNTOS PERDIDOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ validaPuntoConfigAcumulado( data_semana.first_tournament_session_lost, data_semana.rol_tournamement_first_lost_serie )+"</td>");                            

                            // console.log( "FIRST", data_semana.jj_first );

                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ data_semana.rol_tournamement_first_win_serie +"</td>");   

                            // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id+"'>"+ data_semana.rol_tournamement_first_lost_serie +"</td>");                                                        

                            if( data_semana.rol_tournament.suspended === 1 ){
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).addClass("yellow-table");
                                $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("SUSPENDIDO");
                            }
                            // else{
                            //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("<td class='text-center'></td>");
                            // }

                            if( data_semana.rol_tournament.first_team_suspended === 1 ){
                                $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).addClass("danger-table");
                                $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.first_team_id).append("NO ASISTIÓ");
                            }else{

                            }

                        }
                            
                            /**********************************/                            

                        // if( data_semana.rol_tournament.second_team_id == valor ){   

                        //     // num++
                        //     $("#body-equipos").append("<tr class='t-posiciones reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'><td class='text-center'>"+num+"</td><td class='text-center'>"+(data_semana.rol_tournament.iterator_week + 1)+"</td><td>"+data_semana.rol_tournament.date+"</td><td>"+ viewTeam( response.teams, data_semana.rol_tournament.second_team_id )+"</td></tr>");

                        //     var filtro = _.filter(data_semana.rol_tournamentSession, function(team) {

                        //         return valor === data_semana.rol_tournament.second_team_id;
                        //         // return team.team_id === data_semana.rol_tournament.second_team_id;

                        //     }); 

                        //     var sum_puntaje_2 = 0;   
                        //     var sum_hc_2 = 0; 
                        //     var win_2 = 0; 
                        //     var jj_2 = 0;
                        //     var lost_2 = 0;  

                        //     for( var session of filtro ){  

                        //         if( data_semana.team_added_in_tournament == null ){     
                        //             jj_2++;  
                        //         }                   
                        //         $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+session.sum_puntaje+"</td>");
                        //         $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+session.sum_handycap+"</td>");                                                                
                        //         sum_puntaje_2 = sum_puntaje_2 + session.sum_puntaje;
                        //         sum_hc_2      = sum_hc_2 + session.sum_handycap;

                        //         if( session.win == 1 ){
                        //             // win = win + session.win;
                        //             if(  data_semana.team_added_in_tournament == null ){
                        //                 win_2++;
                        //             }
                        //         }

                        //         if( session.win == 0 ){
                        //             if(  data_semana.team_added_in_tournament == null ){
                        //                 lost_2++;
                        //             }
                        //         }
                                
                        //     }

                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+sum_puntaje_2+"</td>");
                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+sum_hc_2+"</td>");
                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+data_semana.rol_tournament.second_team_total+"</td>");
                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+jj_2 /*(jj_2 + validaPuntoConfig( league.get_player_types.point_by_win_serie ) )*/+"</td>");
                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+(win_2 + validaPuntoConfig( data_semana.rol_tournament.first_team_win_serie, data_semana.rol_tournament.second_team_win_serie, 2, data_semana.team_added_in_tournament ) )+"</td>");
                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+(lost_2 + validaPuntoConfigNegativo(data_semana.rol_tournament.first_team_win_serie, data_semana.rol_tournament.second_team_win_serie, 2, data_semana.team_added_in_tournament) )+"</td>");

                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+data_semana.second_totla_acumulado+"</td>");                            

                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center'>"+ (data_semana.rol_tournament.second_team_total / league.get_player_types.number_game_by_session).toFixed(1) +"</td>");                                                        

                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td title='PUNTOS TOTALES ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+data_semana.total_acumulado_second+"</td>");

                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td title='PUNTOS GANADOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ validaPuntoConfigAcumulado( data_semana.second_tournament_session_win, data_semana.rol_tournamement_second__win_serie )+"</td>");                            

                        //     if( data_semana.rol_tournament.second_team_id == 2 ){
                        //         console.log("SEMANA =>", data_semana.rol_tournament.iterator_week, data_semana.rol_tournamement_second_lost_serie);
                        //     }

                        //     $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td title='PUNTOS PERDIDOS ACUMULADOS' class='text-center no-susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+validaPuntoConfigAcumulado(data_semana.second_tournament_session_lost, data_semana.rol_tournamement_second_lost_serie)+"</td>");

                        //     // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.rol_tournamement_second__win_serie +"</td>");            

                        //     // $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("<td class='text-center susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id+"'>"+ data_semana.rol_tournamement_second_lost_serie +"</td>");            

                        //     console.log("second win serie", data_semana.rol_tournamement_second__win_serie );

                        //     if( data_semana.rol_tournament.suspended === 1 ){
                        //         $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).addClass("yellow-table");
                        //         $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("SUSPENDIDO");
                        //     }

                        //     if( data_semana.rol_tournament.second_team_suspended === 1 ){
                        //         $(".reg-equipo-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).addClass("danger-table");
                        //         $(".susp-no-asistio-"+data_semana.rol_tournament.id+"-"+data_semana.rol_tournament.second_team_id).append("NO ASISTIÓ");
                        //     }else{

                        //     }

                        // }

                    }
                        
                        // $("#body-equipos").append("<tr><td colspan='17' style='padding-top:1vw;'></td></tr>");
                        // console.log(data[semana]);
                        // body-equipos

                        num_2++;
                    }       

                    for (let index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                        $(".number-game-by-session").append("<th>"+index+"</th>");
                    }

                    if( loadExcelEquipos === false ){

                        setTimeout( function(){
    
                            $(".tabla-equipos").tableExport({
                                separator: ",",                         // [String] column separator, [default: ","]
                                headings: true,                         // [Boolean], display table headings (th elements) in the first row, [default: true]
                                buttonContent: "TABLA_POR_EQUIPOS",     // [String], text/html to display in the export button, [default: "Export file"]
                                addClass: "",                           // [String], additional button classes to add, [default: ""]
                                defaultClass: "btn",                    // [String], the default button class, [default: "btn"]
                                defaultTheme: "btn-default",            // [String], the default button theme, [default: "btn-default"]
                                type: "xlsx",                            // [xlsx, csv, txt], type of file, [default: "csv"]
                                fileName: "export",                     // [id, name, String], filename for the downloaded file, [default: "export"]
                                position: "bottom",                     // [top, bottom], position of the caption element relative to table, [default: "bottom"]
                                stripQuotes: true                       // [Boolean], remove containing double quotes (.txt files ONLY), [default: true]
                            });
    
                            $(".tabla-equipos caption").removeClass("btn-toolbar");
    
                        }, 1000);

                    }
                    
                    loadExcelEquipos = true;
                    
                

            });
        }

        function loadFilterJugaodor(){
            
            $('#jugadores-tabla').on('change', function() {

                $(".head-jugadores").empty();
                $("#body-jugadores").empty();
                
            
                var valor = this.value;
                var filtered_resp = [];
                tabla = [];

                if( valor != 0 ){

                    filtered_resp = _.filter(
                        tabla_por_jugadores, function(o) {
                            // console.log(o.player.id  + "=="+ valor);
                        return o.player.id == valor;
                        }
                    );

                }else{
                    filtered_resp = teams_jugadores; 
                }
                

                var separaSemana = _.chain(filtered_resp).groupBy("week").value();
                console.log( "separaSemana", separaSemana );
                for( var semana in separaSemana ){
                    console.log( separaSemana[semana] );
                    for( var player of separaSemana[semana] ){                            
                        
                        var busq = _.find(separaSemana[parseFloat( semana ) + 1], function(o) { return o.player_id == player.player_id; });
                        // "hc": player.rol_tournament_session_points_new[0].handycap_calculated
                        for( var player_point of player.rol_tournament_session_points_new ){
                            if( player_point.player_id == player.player_id ){
                                tabla.push({ "semana": player.semana, "valid_conteo":player.valid_conteo, "player_name": player.player_name ,"retroactivo": player.retroactivo, "promedio": player.promedio,"hc_final_new": player.hc_final , "hc_final": busq, "puntos_acum": player.puntos_acum, "juegos_jugados": player.juegos_jugados, "player": player, "player_id": player.player_id, "week": player.week, "team_id": player.team_id,"points": player_point.points, "session_number": player_point.session_number, "fecha": player.date, "hc":player.hc_inicial  ,"juegos_jugados_acum": player.juegos_jugados_acum });
                            }
                        }
                        
                    }
                }

                var tabla_new =[];
              
                var separaSemanaTabla = _.chain(tabla).groupBy("week").value();
            
                for( var semana in separaSemanaTabla ){
                    var group_points_player = _.chain(separaSemanaTabla[semana]).groupBy("player_id").value();

                    for( var player of separaSemanaTabla[semana] ){
                        
                        tabla_new.push({ "semana": player.semana, "valid_conteo":player.valid_conteo, "player_name": player.player_name, "retroactivo": player.retroactivo, "promedio": player.promedio, "puntos_acum": player.puntos_acum, "hc_final_new": player.hc_final_new, "player":player.player.player, "player_id": player.player_id, "week":player.week, "juegos":group_points_player[player.player_id], "team_id":player.team_id, suma_juegos: suma_juegos(group_points_player[player.player_id]), "fecha": player.fecha, "hc": player.hc, session_number: player.session_number, "hc_final": player.hc_final });
                        // console.log(player);
                    }

                }
                            
                var separaSemanaTablaNew = _.chain(tabla_new).groupBy("week").value();

                $(".head-jugadores").append("<tr><th width='4%'>#</th><th width='4%'>Sem.</th><th>Fecha</th><th width='20%'>Equipo</th><th width='3%'>Gen.</th><th width='18%'>Nombre</th><th>HC INICIAL</th></tr>");

                for (var index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                        var ancho = 30/league.get_player_types.number_game_by_session;
                    $(".head-jugadores tr").append("<th class='text-center' width='"+ancho+"%'>J"+index+"</th>");
                } 

                $(".head-jugadores tr").append("<th>JJ</th><th>PT</th><th>JJ ACUM.</th><th>PT ACUM.</th><th>PROMEDIO.</th><th>HC. Final</th>");
                
                var num = 0;
                // var semana = 0;
                for( var semana in separaSemanaTablaNew ){
                    console.log( "semana", semana );
                    var semana_rep = separaSemanaTablaNew[semana];
                    // console.log("semana_rep",semana_rep);
                    var unique = _.uniqBy(semana_rep, 'player_id');                        
                    
                    for( var jugador of unique ){
                        if(jugador.player){

                            if( jugador.player.gender ){                                    
                                num++;
                                
                                $("#body-jugadores").append("<tr id='tabla-player-"+jugador.player_id+"-"+jugador.week+"'><td width='4%'>"+num+"</td><td width='4%'>"+ jugador.semana + validSuspendido(jugador.valid_conteo) +"</td><td width='7%'>"+jugador.fecha+"</td><td>"+viewTeam( teams_jugadores, jugador.team_id )+"</td><td>"+pipeGender(jugador.player.gender)+"</td><td>"+jugador.player_name+"</td><td class='"+ inicalRetroactivo( jugador.hc, jugador.retroactivo ) +"'>"+ jugador.hc +"</td></tr>");                                    
                            }
                        
                            // console.log( "juegos", jugador.juegos );
                            for (var index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                                var session = validaSession( jugador.juegos, index );

                                if( session.points ){
                                    $("#tabla-player-"+session.player_id+"-"+session.week).append("<td class='text-center'>"+session.points+"</td>"); 
                                }else{
                                    $("#tabla-player-"+session.player_id+"-"+session.week).append("<td></td>"); 
                                }
                                
                            }

                            // console.log(jugador.hc_final.rol_tournament_session_points_new[0].handycap_calculated);
                                                            
                            $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='"+ pipeValidSuspendedRonda( jugador.valid_conteo ) +"'>"+ juegos_jugados_actuales( jugador.juegos )+"</td>");
                            $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='"+ pipeValidSuspendedRonda( jugador.valid_conteo ) +"'>"+suma_juegos(jugador.juegos)+"</td>");
                            $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ jugador.juegos[0].juegos_jugados_acum +"</td>");   //jugador.juegos[0].juegos_jugados
                            $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+jugador.puntos_acum+"</td>"); 
                            $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ jugador.promedio +"</td>");   
                            $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ jugador.hc_final_new +"</td>");
                            // validaHcFinal( jugador )
                            // $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ promedio(jugador.juegos[0].puntos_acum/jugador.juegos[0].juegos_jugados).toFixed(1)+"</td>");   
                            
                            // console.log( jugador.juegos );
                        }
                    }
                    
                }

            });

        }

        var tabla_por_jugadores = [];
        var teams_jugadores = [];

        function tablaPorJugadores(){

            $(".head-jugadores").empty();
            $("#body-jugadores").empty();

            $(".head-jugadores").html('<div class="alert alert-success" role="alert">Cargando tabla de posiciones individual, espere por favor.</div>');

            swal({
                title: 'Cargando...',
                text:"Consultando tabla por jugadores.",
                allowEscapeKey: false,
                allowOutsideClick: false,
                // timer: 2000,
                onOpen: () => {
                    swal.showLoading();
                }
            });

            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.tabla_por_jugador_new")); ?>',
                type: "POST",
                data: { id_liga :league.id, rol_id : rol, category_id: category_id, iterator_week: week_number },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    //separa por semana para ordenar por promedio
                    // console.log("tabla_por_jugador_new ===>",  response);

                    swal.close();

                    var tabla = [];

                    tabla_por_jugadores = response.data;
                    teams_jugadores     = response.teams;

                    let filtered_resp = _.filter(
                        response.data, function(o) {
                        return o.week == 0;
                        }
                    );

                    loadFilterJugaodor();

                    $("#jugadores-tabla").empty();
                    $("#jugadores-tabla").append(`<option value="0">Todos</option>`);

                    for( var jugador of filtered_resp ){
                        // console.log(jugador.player);
                        var name = jugador.player.nickname ? jugador.player.nickname : `${jugador.player.name} ${jugador.player.last_name}`;
                        $("#jugadores-tabla").append(`<option value="${jugador.player.id}">${name}</option>`);
                    }                    

                    console.log("filter week", filtered_resp);

                    $(".head-jugadores").empty();
                    $("#body-jugadores").empty();

                    var separaSemana = _.chain(response.data).groupBy("week").value();
                    
                    for( var semana in separaSemana ){
                        console.log( separaSemana[semana] );
                        for( var player of separaSemana[semana] ){                            
                            
                            var busq = _.find(separaSemana[parseFloat( semana ) + 1], function(o) { return o.player_id == player.player_id; });
                            // "hc": player.rol_tournament_session_points_new[0].handycap_calculated
                            for( var player_point of player.rol_tournament_session_points_new ){
                                if( player_point.player_id == player.player_id ){

                                    tabla.push({ "semana": player.semana, "valid_conteo":player.valid_conteo, "player_name": player.player_name ,"retroactivo": player.retroactivo, "promedio": player.promedio,"hc_final_new": player.hc_final , "hc_final": busq, "puntos_acum": player.puntos_acum, "juegos_jugados": player.juegos_jugados, "player": player, "player_id": player.player_id, "week": player.week, "team_id": player.team_id,"points": player_point.points, "session_number": player_point.session_number, "fecha": player.date, "hc":player.hc_inicial  ,"juegos_jugados_acum": player.juegos_jugados_acum });
                                }
                            }
                            
                        }
                    }

                    var tabla_new =[];
                    //8005002500
                    // console.log( "PLAYER =>", tabla );

                    var separaSemanaTabla = _.chain(tabla).groupBy("week").value();
                
                    for( var semana in separaSemanaTabla ){
                        var group_points_player = _.chain(separaSemanaTabla[semana]).groupBy("player_id").value();

                        for( var player of separaSemanaTabla[semana] ){
                            
                            tabla_new.push({ "semana": player.semana, "valid_conteo":player.valid_conteo, "player_name": player.player_name, "retroactivo": player.retroactivo, "promedio": player.promedio, "puntos_acum": player.puntos_acum, "hc_final_new": player.hc_final_new, "player":player.player.player, "player_id": player.player_id, "week":player.week, "juegos":group_points_player[player.player_id], "team_id":player.team_id, suma_juegos: suma_juegos(group_points_player[player.player_id]), "fecha": player.fecha, "hc": player.hc, session_number: player.session_number, "hc_final": player.hc_final });
                            // console.log(player);
                        }

                    }
                    
                    // console.log(tabla_new);
                    
                    var separaSemanaTablaNew = _.chain(tabla_new).groupBy("week").value();
                    // console.log("tabla_new", tabla_new);

                    // console.log(separaSemanaTablaNew);
                    
                    $(".head-jugadores").append("<tr><th width='4%'>#</th><th width='4%'>Sem.</th><th>Fecha</th><th width='20%'>Equipo</th><th width='3%'>Gen.</th><th width='18%'>Nombre</th><th>HC INICIAL</th></tr>");

                    for (var index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                         var ancho = 30/league.get_player_types.number_game_by_session;
                        $(".head-jugadores tr").append("<th class='text-center' width='"+ancho+"%'>J"+index+"</th>");
                    } 

                    $(".head-jugadores tr").append("<th>JJ</th><th>PT</th><th>JJ ACUM.</th><th>PT ACUM.</th><th>PROMEDIO.</th><th>HC. Final</th>");
                    
                    var num = 0;
                    // var semana = 0;
                    for( var semana in separaSemanaTablaNew ){
                        console.log( "semana", semana );
                        var semana_rep = separaSemanaTablaNew[semana];
                        // console.log("semana_rep",semana_rep);
                        var unique = _.uniqBy(semana_rep, 'player_id');                        
                        
                        for( var jugador of unique ){
                            if(jugador.player){

                                if( jugador.player.gender ){                                    
                                    num++;
                                    
                                    $("#body-jugadores").append("<tr id='tabla-player-"+jugador.player_id+"-"+jugador.week+"'><td width='4%'>"+num+"</td><td width='4%'>"+ jugador.semana + validSuspendido(jugador.valid_conteo) +"</td><td width='7%'>"+jugador.fecha+"</td><td>"+viewTeam( response.teams ,jugador.team_id )+"</td><td>"+pipeGender(jugador.player.gender)+"</td><td>"+jugador.player_name+"</td><td class='"+ inicalRetroactivo( jugador.hc, jugador.retroactivo ) +"'>"+ jugador.hc +"</td></tr>");                                    
                                }
                         
                                // console.log( "juegos", jugador.juegos );
                                for (var index = 1; index <= league.get_player_types.number_game_by_session; index++) {
                                    var session = validaSession( jugador.juegos, index );

                                    if( session.points ){
                                        $("#tabla-player-"+session.player_id+"-"+session.week).append("<td class='text-center'>"+session.points+"</td>"); 
                                    }else{
                                        $("#tabla-player-"+session.player_id+"-"+session.week).append("<td></td>"); 
                                    }
                                    
                                }

                                // console.log(jugador.hc_final.rol_tournament_session_points_new[0].handycap_calculated);
                                                                
                                $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='"+ pipeValidSuspendedRonda( jugador.valid_conteo ) +"'>"+ juegos_jugados_actuales( jugador.juegos )+"</td>");
                                $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='"+ pipeValidSuspendedRonda( jugador.valid_conteo ) +"'>"+suma_juegos(jugador.juegos)+"</td>");
                                $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ jugador.juegos[0].juegos_jugados_acum +"</td>");   //jugador.juegos[0].juegos_jugados
                                $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+jugador.puntos_acum+"</td>"); 
                                $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ jugador.promedio +"</td>");   
                                $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ jugador.hc_final_new +"</td>");
                                // validaHcFinal( jugador )
                                // $("#tabla-player-"+jugador.player_id+"-"+jugador.week).append("<td class='text-center'>"+ promedio(jugador.juegos[0].puntos_acum/jugador.juegos[0].juegos_jugados).toFixed(1)+"</td>");   
                                
                                // console.log( jugador.juegos );
                            }
                        }
                       
                    }

                   
                    if( loadExcelJugadores === false ){

                        setTimeout( function(){
        
                            $(".tabla-jugadores").tableExport({
                                separator: ",",                         // [String] column separator, [default: ","]
                                headings: true,                         // [Boolean], display table headings (th elements) in the first row, [default: true]
                                buttonContent: "TABLA_POR_EQUIPOS",     // [String], text/html to display in the export button, [default: "Export file"]
                                addClass: "",                           // [String], additional button classes to add, [default: ""]
                                defaultClass: "btn",                    // [String], the default button class, [default: "btn"]
                                defaultTheme: "btn-default",            // [String], the default button theme, [default: "btn-default"]
                                type: "xlsx",                            // [xlsx, csv, txt], type of file, [default: "csv"]
                                fileName: "tabla_jugadores",                     // [id, name, String], filename for the downloaded file, [default: "export"]
                                position: "bottom",                     // [top, bottom], position of the caption element relative to table, [default: "bottom"]
                                stripQuotes: true                       // [Boolean], remove containing double quotes (.txt files ONLY), [default: true]
                            });

                            $(".tabla-jugadores caption").removeClass("btn-toolbar");

                        }, 1000);

                    }

                    loadExcelJugadores= true;

                }                
            });
        }
        
        function validSuspendido( valor ){
            if( valor == 1 ){
                return " - PS";
            }

            return "";
        }

        function pipeValidSuspendedRonda( valor ){
            if( valor == 1 ){
                return "conteo-suspendido";
            }

            return "";
        }

        function inicalRetroactivo( hc, retroactivo ){
            
            if( retroactivo ){
                return "retroactivo";
            }

            return hc;
        }

        function validaHcFinal( jugador ){
            if( jugador.hc_final ){
                return jugador.hc_final.rol_tournament_session_points_new[0].handycap_calculated;
            }else{
                return "";
            }
        }

        function validaPromedio( promedio ){
            if( isNaN( promedio ) ){
                return 0;
            }else{
                return promedio;
            }
        }

        function juegos_jugados_actuales( juegos ){      

            var puntos = 0;
            for( var juego of juegos ){
                
                if( juego.points > 0 ){
                    puntos++;
                }
            }

            return puntos;
        }

        function promedio( promedio ){
            if( promedio ){
                return promedio;
            }

            return 0;
        }

        function pipeGender( gender ){
            if( gender === "male" ){
                return "M";
            }

            if( gender === "female" ){
                return "F";
            }

            return "S/G"
        }

        function validaSession( data, session_id ){
            for( var session of data ){
                if( session.session_number === session_id ){
                    
                    return session;
                }
            }
            
            return { player_id: data[0].player_id, week: data[0].week };
        }

        function suma_juegos( juegos ){
            var puntos = 0;
            for( var juego of juegos ){
                puntos = puntos + juego.points;
            }

            return puntos;
        }

        state_check = 1;
        
        // function puntosPorPuntualidad(){
        //     $("#puntos-puntualidad").modal();


        //     $.ajax({
        //         url: '<?php echo e(route("asignar_puntaje.get_equipos_por_puntualidad")); ?>',
        //         type: "POST",
        //         data: { id_liga :league.id, rol_id : rol, category_id: category_id, iterator_week: week_number },
        //         error: function (e) {
        //             console.log("Error",e);
        //             if( e ){

        //             }
        //         },      
        //         success: function (response) {
        //             console.log(response);
        //         }
        //     });

        // }

        function conteoGranTotal( data ){
            console.log( data );
        }

        function cerrarLiga(){
            $("#finalizar-liga").modal();
        }

        function crearLiga(){
            $("#finalizar-liga").modal('toggle');
            $("#crear-liga").modal();
            $("#nombre_liga").val(league.league_name)        
        }

        function sendCrearLiga(){
            var league_name = $("#nombre_liga").val();
            $("#crear-liga").modal('toggle');          

            
            swal({
                title: 'Creando liga',
                text:"No cierre la aplicación",
                allowEscapeKey: false,
                allowOutsideClick: false,
                // timer: 2000,
                onOpen: () => {
                    swal.showLoading();
                }
            });
            

            // return;
            
            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.reutilizar_liga")); ?>',
                type: "POST",
                data: { id: league.id, category_id: category_id, league_name:league_name },
                error: function (e) {
                    swal.close();
                    swallMensaje( "Error", "No se pudo crear la liga", "error" );
                },  
                success: function (response) {
                    
                    if( response.status ){

                        swal.close();
                        Swal.fire({
                            title: 'La liga se creó correctamente.',
                            showDenyButton: true,
                            showCancelButton: true,
                            confirmButtonText: 'Ir a configurar rol de juegos',
                            cancelButtonText : 'Config. Después',
                            }).then((result) => {
                                console.log(result.value);
                            /* Read more about isConfirmed, isDenied below */
                            if (result.value) {  
                                                         
                                var loc = window.location.host;            
                                location.href = window.location.protocol+"//"+loc+'/'+"dashboard/rol_de_juegos/edit/"+response.id;                                                              

                            } else if (result.isDenied) {
                                swal.close();
                                // Swal.fire('Changes are not saved', '', 'info')
                            }
                        })
                      

                    }else{
                        swallMensaje( "Error", "No se pudo crear la liga", "error" );                
                    }   
                }                         
            });
        }

        function valida_numero_negativo( numero ){
            if( numero ){

                if( parseFloat( numero ) < 0 ){
                    return 0;
                }

            }

            return numero;
        }

        function tabla_individual_db(){
            swal({
                title: 'Cargando...',
                text:"Consultando tabla por jugadores.",
                allowEscapeKey: false,
                allowOutsideClick: false,
                // timer: 2000,
                onOpen: () => {
                    swal.showLoading();
                }
            });

            $.ajax({
                url: '<?php echo e(route("asignar_puntaje.tabla_por_jugador_db")); ?>',
                type: "POST",
                data: { id_liga :league.id, rol_id : rol, category_id: category_id, iterator_week: week_number },
                error: function (e) {
                    console.log("Error",e);
                    if( e ){

                    }
                },      
                success: function (response) {
                    //separa por semana para ordenar por promedio
                    // console.log("tabla_por_jugador_new ===>",  response);

                    swal.close();

                    console.log("response", response);

                }
            });
        }

    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>